--* Licensed Materials - Property of IBM                                                                                       *
--* (c) Copyright IBM Corp. 2010 All Rights Reserved.                                                                          *
--*                                                                                                                            *
--*US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
--******************************************************************************************************************************

USE $(DBNAME)
 GO
CREATE SCHEMA AUTHORIZATION $(CALM_SCHEMA)
GO

CREATE TABLE $(CALM_SCHEMA).REQUEST_HISTORY (
		REQUEST_HISTORY_ID INT  NOT NULL,
		REQUEST_CLASS_ID INT  DEFAULT -1 NOT NULL,
		REQUEST_ID INT  DEFAULT -1 NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Request Name Missing' NOT NULL,
		REFERENCE_ID NVARCHAR(50),
		EXTERNAL_ID NVARCHAR(100),
		PROJECT_ID INT  DEFAULT -1 NOT NULL,
		COMPONENT_ID INT  DEFAULT -1 NOT NULL,
		BUILD_ID INT  DEFAULT -1 NOT NULL,
		PROJECT_CATEGORY_ID INT  DEFAULT -1 NOT NULL,
		PHASE_ID INT  DEFAULT -1 NOT NULL,
		REQUEST_SEVERITY_ID INT  DEFAULT -1 NOT NULL,
		REQUEST_STATE_ID INT  DEFAULT -1 NOT NULL,
		REQUEST_PRIORITY_ID INT  DEFAULT -1 NOT NULL,
		PLATFORM NVARCHAR(255),
		ITERATION_ID INT  DEFAULT -1 NOT NULL,
		RELEASE_ID INT  DEFAULT -1 NOT NULL,
		FIXEDINRELEASE_ID INT  DEFAULT -1 NOT NULL,
		SLOC_CHANGE INT  DEFAULT 0,
		OWNER_ID INT  DEFAULT -1 NOT NULL,
		REQUEST_CATEGORY_ID INT  DEFAULT -1 NOT NULL,
		TEAM_ID INT  DEFAULT -1 NOT NULL,
		RESOLVER_ID INT  DEFAULT -1 NOT NULL,
		IS_BLOCKING INT  DEFAULT 0 NOT NULL,
		REQUEST_SOURCE NVARCHAR(255),
		CREATION_DATE DATETIME,
		CLOSED_DATE DATETIME,
		SUBMIT_DATE DATETIME,
		RESOLVED_DATE DATETIME,
		ASSIGNED_DATE DATETIME,
		DUPLICATE_DATE DATETIME,
		ACTIVATE_DATE DATETIME,
		REQUEST_STATUS_ID INT  DEFAULT -1 NOT NULL,
		CUSTOMER_PRIORITY NVARCHAR(255),
		REQUEST_RESOLUTION_ID INT  DEFAULT -1 NOT NULL,
		REQUEST_TYPE_ID INT  DEFAULT -1 NOT NULL,
		PLANNED_WORK INT ,
		ACTUAL_WORK INT ,
		COMMENT_COUNT INT , 
		SUBSCRIBER_COUNT INT ,
		STORY_POINTS INT ,   
		TAGS NVARCHAR (255),
		SUMMARY NVARCHAR (1000),
		URL NVARCHAR(2048),
		EXTERNAL_KEY1 INT  DEFAULT -1 NOT NULL,
		EXTERNAL_KEY2 NCHAR(40) DEFAULT '-1' NOT NULL,
		SOURCE_ID NVARCHAR (36) DEFAULT '-1' NOT NULL,
		REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL,
		REC_DATE  DATETIME  DEFAULT GETDATE() NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		PREV_REQUEST_HISTORY_ID INT  DEFAULT -1
) ON VNF_32K 
GO


CREATE TABLE $(CALM_SCHEMA).REQUEST_BASELINE (
		REQUEST_HISTORY_ID INT  DEFAULT -1 NOT NULL,
		REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL
) ON VNF_32K 
GO


CREATE TABLE $(CALM_SCHEMA).REQUEST_INT_EXT (
		REQUEST_ID INT  DEFAULT -1 NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL INT 
) ON VNF_32K 
GO


CREATE TABLE $(CALM_SCHEMA).REQUEST_LONG_EXT (
		REQUEST_ID INT  DEFAULT -1 NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL BIGINT
) ON VNF_32K 
GO


CREATE TABLE $(CALM_SCHEMA).REQUEST_BOOL_EXT (
		REQUEST_ID INT  DEFAULT -1 NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL SMALLINT
) ON VNF_32K 
GO


CREATE TABLE $(CALM_SCHEMA).REQUEST_STRING_EXT (
		REQUEST_ID INT  DEFAULT -1 NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL NVARCHAR(255),
		NUM_VAL DOUBLE PRECISION
) ON VNF_32K 
GO


CREATE TABLE $(CALM_SCHEMA).REQUEST_STRING_M_EXT (
		REQUEST_ID INT  DEFAULT -1 NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL NVARCHAR(1023),
		NUM_VAL DOUBLE PRECISION
) ON VNF_32K 
GO


CREATE TABLE $(CALM_SCHEMA).REQUEST_STRING_L_EXT (
		REQUEST_ID INT  DEFAULT -1 NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL NVARCHAR(4000),
		NUM_VAL DOUBLE PRECISION
) ON VNF_32K 
GO


CREATE TABLE $(CALM_SCHEMA).REQUEST_TIMESTAMP_EXT (
		REQUEST_ID INT  DEFAULT -1 NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL DATETIME
) ON VNF_32K 
GO


CREATE TABLE $(CALM_SCHEMA).REQUEST_DECIMAL_EXT (
		REQUEST_ID INT  DEFAULT -1 NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL DECIMAL(10,2)
) ON VNF_32K 
GO


CREATE TABLE $(CALM_SCHEMA).REQUEST_HISTORY_INT_EXT (
		REQUEST_HISTORY_ID INT  DEFAULT -1 NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL INT 
) ON VNF_32K 
GO


CREATE TABLE $(CALM_SCHEMA).REQUEST_HISTORY_LONG_EXT (
		REQUEST_HISTORY_ID INT  DEFAULT -1 NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL BIGINT
) ON VNF_32K 
GO


CREATE TABLE $(CALM_SCHEMA).REQUEST_HISTORY_BOOL_EXT (
		REQUEST_HISTORY_ID INT  DEFAULT -1 NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL SMALLINT
) ON VNF_32K 
GO


CREATE TABLE $(CALM_SCHEMA).REQUEST_HISTORY_STRING_EXT (
		REQUEST_HISTORY_ID INT  DEFAULT -1 NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL NVARCHAR(255),
		NUM_VAL DOUBLE PRECISION
) ON VNF_32K 
GO


CREATE TABLE $(CALM_SCHEMA).REQUEST_HISTORY_STRING_M_EXT (
		REQUEST_HISTORY_ID INT  DEFAULT -1 NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL NVARCHAR(1023),
		NUM_VAL DOUBLE PRECISION
) ON VNF_32K 
GO


CREATE TABLE $(CALM_SCHEMA).REQUEST_HISTORY_STRING_L_EXT (
		REQUEST_HISTORY_ID INT  DEFAULT -1 NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL NVARCHAR(4000),
		NUM_VAL DOUBLE PRECISION
) ON VNF_32K 
GO


CREATE TABLE $(CALM_SCHEMA).REQUEST_HISTORY_TIMESTAMP_EXT (
		REQUEST_HISTORY_ID INT  DEFAULT -1 NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL DATETIME
) ON VNF_32K 
GO


CREATE TABLE $(CALM_SCHEMA).REQUEST_HISTORY_DECIMAL_EXT (
		REQUEST_HISTORY_ID INT  DEFAULT -1 NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL DECIMAL(10,2)
) ON VNF_32K 
GO


CREATE TABLE $(CALM_SCHEMA).REQUEST_ENUMERATION (
		REQUEST_ENUMERATION_ID INT  NOT NULL,
		ENUMERATION_NAME NVARCHAR(255) DEFAULT 'Request Enumeration Name Missing' NOT NULL,
		LITERAL_NAME NVARCHAR(255) DEFAULT 'Request Enumeration Literal Name Missing' NOT NULL,
		REFERENCE_ID NVARCHAR(50),
		EXTERNAL_ID NVARCHAR(100),
		PROJECT_ID INT  DEFAULT -1 NOT NULL,
		URL NVARCHAR(2048),
		EXTERNAL_KEY1 INT  DEFAULT -1 NOT NULL,
		EXTERNAL_KEY2 NCHAR(40) DEFAULT '-1' NOT NULL,
		SOURCE_ID NVARCHAR (36) DEFAULT '-1' NOT NULL,
		REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).RQRMENT_HISTORY (
		REQUIREMENT_HISTORY_ID INT  NOT NULL,
		REQUIREMENT_ID INT  NOT NULL,
		REQUIREMENT_CLASS_ID INT  DEFAULT -1 NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Requirement Name Missing' NOT NULL,
		REFERENCE_ID NVARCHAR(50),
		EXTERNAL_ID NVARCHAR(100),
		PROJECT_ID INT  DEFAULT -1 NOT NULL,
		PLANNED_ITERATION_ID INT  DEFAULT -1 NOT NULL,
		ACTUAL_ITERATION_ID INT  DEFAULT -1 NOT NULL,
		RELEASE_ID INT  DEFAULT -1 NOT NULL,
		STATUS NVARCHAR(255),
		REQUIREMENT_TYPE NVARCHAR(255),
		REQUIREMENT_STATE NVARCHAR(255),
		OWNER_ID INT  DEFAULT -1 NOT NULL,
		DIFFICULTY NVARCHAR(255),
		STABILITY NVARCHAR(255),
		COMPONENT_ID INT  DEFAULT -1 NOT NULL,
		CREATION_DATE DATETIME,
		PRIORITY NVARCHAR(255),
		CUSTOMER_PRIORITY NVARCHAR(255),
		PLATFORM NVARCHAR(255),
		REVISION_NUMBER NVARCHAR(50),
		REVISION_DATE DATETIME DEFAULT GETDATE() NOT NULL,
		URL NVARCHAR(2048),
		EXTERNAL_KEY1 INT  DEFAULT -1 NOT NULL,
		EXTERNAL_KEY2 NCHAR(40) DEFAULT '-1' NOT NULL,
		SOURCE_ID NVARCHAR (36) DEFAULT '-1' NOT NULL,
		REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		PREV_REQUIREMENT_HISTORY_ID INT  DEFAULT -1
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).RQRMENT_TYPE (
		REQUIREMENT_TYPE_ID INT  NOT NULL,
		IDENTIFIER NVARCHAR(255) NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		PROJECT_ID INT  DEFAULT -1 NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).RQRMENT_ATTRDEF (
		REQUIREMENT_ATTRDEF_ID INT  NOT NULL,
		REQUIREMENT_TYPE_ID INT  DEFAULT -1 NOT NULL,
		IDENTIFIER NVARCHAR(255) NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		DATATYPE NVARCHAR(255),
		IS_ENUMERATION SMALLINT DEFAULT 0 NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).RQRMENT_TYPE_ATTRDEF (
	REQUIREMENT_ATTRDEF_ID INT NOT NULL,
	REQUIREMENT_TYPE_ID INT DEFAULT -1 NOT NULL
) ON VNF_32K
GO

CREATE TABLE $(CALM_SCHEMA).RQRMENT_STRING_EXT (
		REQUIREMENT_ID INT  DEFAULT -1 NOT NULL,
		REQUIREMENT_ATTRDEF_ID INT DEFAULT -1 NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL NVARCHAR(255)
)  ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).RQRMENT_STRING_L_EXT (
		REQUIREMENT_ID INT  DEFAULT -1 NOT NULL,
		REQUIREMENT_ATTRDEF_ID INT DEFAULT -1 NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL NVARCHAR(4000)
)  ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).RQRMENT_INT_EXT (
		REQUIREMENT_ID INT  DEFAULT -1 NOT NULL,
		REQUIREMENT_ATTRDEF_ID INT DEFAULT -1 NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL INT 
)  ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).RQRMENT_DECIMAL_EXT (
		REQUIREMENT_ID INT  DEFAULT -1 NOT NULL,
		REQUIREMENT_ATTRDEF_ID INT DEFAULT -1 NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL DECIMAL(10,2)
)  ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).RQRMENT_BOOL_EXT (
		REQUIREMENT_ID INT  DEFAULT -1 NOT NULL,
		REQUIREMENT_ATTRDEF_ID INT DEFAULT -1 NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL SMALLINT
)  ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).RQRMENT_ENUMERATION (
		REQUIREMENT_ENUMERATION_ID INT  NOT NULL,
		REQUIREMENT_ATTRDEF_ID INT DEFAULT -1 NOT NULL,
		LITERAL_NAME NVARCHAR(255) DEFAULT ' Requirement Enumeration Literal Name Missing' NOT NULL,
		REQUIREMENT_ID INT  DEFAULT -1 NOT NULL,
		EXTERNAL_ID NVARCHAR(100),
		PROJECT_ID INT  DEFAULT -1 NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).RQRMENT_HISTORY_INT_EXT (
		REQUIREMENT_HISTORY_ID INT  DEFAULT -1 NOT NULL,
		REQUIREMENT_ATTRDEF_ID INT DEFAULT -1 NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL INT 
)  ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).RQRMENT_HISTORY_BOOL_EXT (
		REQUIREMENT_HISTORY_ID INT  DEFAULT -1 NOT NULL,
		REQUIREMENT_ATTRDEF_ID INT DEFAULT -1 NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL SMALLINT
)  ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).RQRMENT_HISTORY_STRING_EXT (
		REQUIREMENT_HISTORY_ID INT  DEFAULT -1 NOT NULL,
		REQUIREMENT_ATTRDEF_ID INT DEFAULT -1 NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL NVARCHAR(255)
)  ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).RQRMENT_HISTORY_STRING_L_EXT (
		REQUIREMENT_HISTORY_ID INT  DEFAULT -1 NOT NULL,
		REQUIREMENT_ATTRDEF_ID INT DEFAULT -1 NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL NVARCHAR(4000)
)  ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).RQRMENT_HISTORY_DECIMAL_EXT (
		REQUIREMENT_HISTORY_ID INT  DEFAULT -1 NOT NULL,
		REQUIREMENT_ATTRDEF_ID INT DEFAULT -1 NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL DECIMAL(10,2)
)  ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).REQUIREMENT_EXTERNAL_LINK (
		EXTERNAL_ID NVARCHAR(100),
		PRED_REQUIREMENT_ID INT DEFAULT -1 NOT NULL,
		LINK_TYPE_ID INT DEFAULT -1 NOT NULL,
		EXTERNAL_LABEL  NVARCHAR(255),
		EXTERNAL_URL NVARCHAR(2048)
) ON VNF_32K
GO

CREATE TABLE $(CALM_SCHEMA).KEYWORD (
		KEYWORD_ID INT  NOT NULL,
		KEYWORD_CLASS_ID INT  DEFAULT -1 NOT NULL,
		TITLE NVARCHAR(255) DEFAULT 'KeyWord Title Missing' NOT NULL,
		TAG NVARCHAR(255),
		DEFAULT_SCRIPT_ID INT  DEFAULT -1 NOT NULL,
		URL NVARCHAR(2048),
		REFERENCE_ID NVARCHAR(50),
		EXTERNAL_ID NVARCHAR(100),
		PROJECT_ID INT  DEFAULT -1 NOT NULL,
		EXTERNAL_KEY1 INT  DEFAULT -1 NOT NULL,
		EXTERNAL_KEY2 NCHAR(40) DEFAULT '-1' NOT NULL,
		SOURCE_ID NVARCHAR (36) DEFAULT '-1' NOT NULL,
		LAST_UPDATED DATETIME,
		REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).KEYWORD_CLASSIFICATION (
		KEYWORD_CLASS_ID INT  NOT NULL,
		NAME NVARCHAR(50) DEFAULT 'KeyWord Class Name Missing' NOT NULL,
		REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).KEYWORD_SCRIPT_LOOKUP (
		KEYWORD_ID INT  NOT NULL,
		TESTSCRIPT_ID INT  NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).QUALITY_OBJECTIVE (
		OBJECTIVE_ID INT  NOT NULL,
		OBJECTIVE_CLASS_ID INT  DEFAULT -1 NOT NULL,
		TITLE NVARCHAR(255) DEFAULT 'Quaility Objective Title Missing' NOT NULL,
		DESCRIPTION NVARCHAR(255),
		CREATOR_ID INT  DEFAULT -1 NOT NULL,
		OPERATOR NVARCHAR(20),
		TARGET_VALUE INT  DEFAULT 0 NOT NULL,
		EVALUATOR_ID NVARCHAR(255),
		URL NVARCHAR(2048),
		REFERENCE_ID NVARCHAR(50),
		EXTERNAL_ID NVARCHAR(100),
		PROJECT_ID INT  DEFAULT -1 NOT NULL,
		EXTERNAL_KEY1 INT  DEFAULT -1 NOT NULL,
		EXTERNAL_KEY2 NCHAR(40) DEFAULT '-1' NOT NULL,
		SOURCE_ID NVARCHAR (36) DEFAULT '-1' NOT NULL,
		LAST_UPDATED DATETIME,
		REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).OBJECTIVE_CLASSIFICATION (
		OBJECTIVE_CLASS_ID INT  NOT NULL,
		NAME NVARCHAR(50) DEFAULT 'Quaility Objective Class Name Missing' NOT NULL,
		REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).TESTPLAN_OBJECTIVESTATUS (
		TESTPLAN_OBJECTIVESTATUS_ID INT  NOT NULL,
		TESTPLAN_ID INT  DEFAULT -1 NOT NULL,
		OBJECTIVE_ID INT  DEFAULT -1 NOT NULL,
		GROUP_ORDER INT  DEFAULT -1 NOT NULL,
		ACTUAL_VALUE INT  DEFAULT 0 NOT NULL,
		STATE NVARCHAR(255),
		COMMENT NVARCHAR(255),
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).TESTPLAN_OBJECTIVE_LOOKUP (
		TESTPLAN_ID INT  NOT NULL,
		OBJECTIVE_ID INT  NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).LABREQUEST (
		LABREQUEST_ID INT  NOT NULL,
		LABREQUEST_CLASS_ID INT  DEFAULT -1 NOT NULL,
		TITLE NVARCHAR(255) DEFAULT 'LabRequest Title Missing' NOT NULL,
		SUMMARY NVARCHAR(255),
		COMMENTS NVARCHAR(1024),
		CREATE_DATE DATETIME DEFAULT GETDATE() NOT NULL,
		CONFIRMATION_DATE DATETIME,
		REQUESTER_ID INT  DEFAULT -1 NOT NULL,
		FULFILLER_ID INT  DEFAULT -1 NOT NULL,
		PRIORITY NVARCHAR(255),
		CURRENT_STATE NVARCHAR(255),
		VISIBLE_ID INT  DEFAULT -1 NOT NULL,
		CONFIGURATION NVARCHAR(2048),
		RESERVE_FROM DATETIME,
		RESERVE_TO DATETIME,
		URL NVARCHAR(2048),
		REFERENCE_ID NVARCHAR(50),
		EXTERNAL_ID NVARCHAR(100),
		PROJECT_ID INT  DEFAULT -1 NOT NULL,
		EXTERNAL_KEY1 INT  DEFAULT -1 NOT NULL,
		EXTERNAL_KEY2 NCHAR(40) DEFAULT '-1' NOT NULL,
		SOURCE_ID NVARCHAR (36) DEFAULT '-1' NOT NULL,
		LAST_UPDATED DATETIME,
		REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).LABREQUEST_CLASSIFICATION (
		LABREQUEST_CLASS_ID INT  NOT NULL,
		NAME NVARCHAR(50) DEFAULT 'LabRequest Class Name Missing' NOT NULL,
		REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).LABREQUEST_CHANGESTATE (
		CHANGESTATE_ID INT  NOT NULL,
		LABREQUEST_ID INT  DEFAULT -1 NOT NULL,
		STATE_UUID NVARCHAR(255) DEFAULT '-1' NOT NULL,
		FROM_STATE NVARCHAR(255),
		TO_STATE NVARCHAR(255),
		FROM_TIME DATETIME,
		TO_TIME DATETIME,
		USER_ID INT  DEFAULT -1 NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL		
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).RESERVATION_LABREQUEST_LOOKUP (
		RESERVATION_ID INT  NOT NULL,
		LABREQUEST_ID INT  NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).TESTPLAN_STRING_EXT (
		TESTPLAN_ID INT  DEFAULT -1 NOT NULL,
		IDENTIFIER NVARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR NVARCHAR(255),
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).TESTPLAN_STRING_M_EXT (
		TESTPLAN_ID INT  DEFAULT -1 NOT NULL,
		IDENTIFIER NVARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR NVARCHAR(1024),
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).TESTPLAN_INT_EXT (
		TESTPLAN_ID INT  DEFAULT -1 NOT NULL,
		IDENTIFIER NVARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR INT ,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).TESTPLAN_TIMESTAMP_EXT (
		TESTPLAN_ID INT  DEFAULT -1 NOT NULL,
		IDENTIFIER NVARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR DATETIME,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).TESTCASE_STRING_EXT (
		TESTCASE_ID INT  DEFAULT -1 NOT NULL,
		IDENTIFIER NVARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR NVARCHAR(255),
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).TESTCASE_STRING_M_EXT (
		TESTCASE_ID INT  DEFAULT -1 NOT NULL,
		IDENTIFIER NVARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR NVARCHAR(1024),
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).TESTCASE_INT_EXT (
		TESTCASE_ID INT  DEFAULT -1 NOT NULL,
		IDENTIFIER NVARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR INT ,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).TESTCASE_TIMESTAMP_EXT (
		TESTCASE_ID INT  DEFAULT -1 NOT NULL,
		IDENTIFIER NVARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR DATETIME,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).TESTSCRIPT_STRING_EXT (
		TESTSCRIPT_ID INT  DEFAULT -1 NOT NULL,
		IDENTIFIER NVARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR NVARCHAR(255),
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).TESTSCRIPT_STRING_M_EXT (
		TESTSCRIPT_ID INT  DEFAULT -1 NOT NULL,
		IDENTIFIER NVARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR NVARCHAR(1024),
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).TESTSCRIPT_INT_EXT (
		TESTSCRIPT_ID INT  DEFAULT -1 NOT NULL,
		IDENTIFIER NVARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR INT ,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).TESTSCRIPT_TIMESTAMP_EXT (
		TESTSCRIPT_ID INT  DEFAULT -1 NOT NULL,
		IDENTIFIER NVARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR DATETIME,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).TESTSUITE_STRING_EXT (
		TESTSUITE_ID INT  DEFAULT -1 NOT NULL,
		IDENTIFIER NVARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR NVARCHAR(255),
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).TESTSUITE_STRING_M_EXT (
		TESTSUITE_ID INT  DEFAULT -1 NOT NULL,
		IDENTIFIER NVARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR NVARCHAR(1024),
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).TESTSUITE_INT_EXT (
		TESTSUITE_ID INT  DEFAULT -1 NOT NULL,
		IDENTIFIER NVARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR INT ,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).TESTSUITE_TIMESTAMP_EXT (
		TESTSUITE_ID INT  DEFAULT -1 NOT NULL,
		IDENTIFIER NVARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR DATETIME,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).EXECRES_STRING_EXT (
		EXECUTION_RESULT_ID INT  DEFAULT -1 NOT NULL,
		IDENTIFIER NVARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR NVARCHAR(255),
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).EXECRES_STRING_M_EXT (
		EXECUTION_RESULT_ID INT  DEFAULT -1 NOT NULL,
		IDENTIFIER NVARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR NVARCHAR(1024),
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).EXECRES_INT_EXT (
		EXECUTION_RESULT_ID INT  DEFAULT -1 NOT NULL,
		IDENTIFIER NVARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR INT ,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).EXECRES_TIMESTAMP_EXT (
		EXECUTION_RESULT_ID INT  DEFAULT -1 NOT NULL,
		IDENTIFIER NVARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR DATETIME,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).TESTSUITELOG_STRING_EXT (
		TESTSUITELOG_ID INT  DEFAULT -1 NOT NULL,
		IDENTIFIER NVARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR NVARCHAR(255),
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).TESTSUITELOG_STRING_M_EXT (
		TESTSUITELOG_ID INT  DEFAULT -1 NOT NULL,
		IDENTIFIER NVARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR NVARCHAR(1024),
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).TESTSUITELOG_INT_EXT (
		TESTSUITELOG_ID INT  DEFAULT -1 NOT NULL,
		IDENTIFIER NVARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR INT ,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).TESTSUITELOG_TIMESTAMP_EXT (
		TESTSUITELOG_ID INT  DEFAULT -1 NOT NULL,
		IDENTIFIER NVARCHAR(255) DEFAULT '-1' NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Custom Attribute Name Missing' NOT NULL,
		VAR DATETIME,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).ITERATION_EXEC_DETAIL (
		ITER_EXEC_DETAIL_ID INT  NOT NULL,
		ITERATION_ID INT  DEFAULT -1 NOT NULL,
		COMMENT NVARCHAR(255),
		EXEC_DATE DATETIME DEFAULT GETDATE() NOT NULL,
		POINT_ATTEMPTED INT  DEFAULT 0 NOT NULL,
		POINT_COMPLETED INT  DEFAULT 0 NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL
) ON VNF_32K 
GO

CREATE INDEX REQHIS_IDX3 ON $(CALM_SCHEMA).REQUEST_HISTORY (EXTERNAL_KEY2 ASC)  ON VNF_IDX
GO

CREATE INDEX REQHIS_IDX4 ON $(CALM_SCHEMA).REQUEST_HISTORY (EXTERNAL_KEY1 ASC, SOURCE_ID ASC)  ON VNF_IDX
GO

CREATE INDEX REQHIS_IDX5 ON $(CALM_SCHEMA).REQUEST_HISTORY (EXTERNAL_KEY2 ASC, SOURCE_ID ASC)  ON VNF_IDX
GO

CREATE INDEX REQHIS_IDX6 ON $(CALM_SCHEMA).REQUEST_HISTORY (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX REQHIS_IDX7 ON $(CALM_SCHEMA).REQUEST_HISTORY (REQUEST_CLASS_ID ASC, REQUEST_HISTORY_ID ASC, EXTERNAL_KEY1 ASC, SOURCE_ID ASC)  ON VNF_IDX
GO

CREATE INDEX REQHIS_IDX8 ON $(CALM_SCHEMA).REQUEST_HISTORY (REQUEST_HISTORY_ID ASC, EXTERNAL_KEY1 ASC, SOURCE_ID ASC)  ON VNF_IDX
GO

CREATE INDEX REQHIS_IDX9 ON $(CALM_SCHEMA).REQUEST_HISTORY (BUILD_ID ASC, REQUEST_HISTORY_ID ASC)  ON VNF_IDX
GO

CREATE INDEX REQHIS_IDX10 ON $(CALM_SCHEMA).REQUEST_HISTORY (REQUEST_CLASS_ID ASC, PROJECT_ID ASC, COMPONENT_ID ASC, OWNER_ID ASC, REQUEST_HISTORY_ID ASC, ITERATION_ID ASC)  ON VNF_IDX
GO

CREATE INDEX REQHIS_IDX11 ON $(CALM_SCHEMA).REQUEST_HISTORY (REQUEST_SOURCE ASC)  ON VNF_IDX
GO

CREATE INDEX REQHIS_IDX12 ON $(CALM_SCHEMA).REQUEST_HISTORY (REQUEST_TYPE_ID ASC)  ON VNF_IDX
GO

CREATE INDEX REQHIS_IDX13 ON $(CALM_SCHEMA).REQUEST_HISTORY (REQUEST_STATUS_ID ASC)  ON VNF_IDX
GO

CREATE INDEX REQHIS_IDX14 ON $(CALM_SCHEMA).REQUEST_HISTORY (COMPONENT_ID ASC, IS_BLOCKING ASC, REQUEST_HISTORY_ID ASC)  ON VNF_IDX
GO

CREATE INDEX REQHIS_IDX15 ON $(CALM_SCHEMA).REQUEST_HISTORY (REQUEST_CLASS_ID ASC, REQUEST_HISTORY_ID ASC)  ON VNF_IDX
GO

CREATE INDEX REQHIS_IDX16 ON $(CALM_SCHEMA).REQUEST_HISTORY (REQUEST_ID ASC)  ON VNF_IDX
GO

CREATE INDEX REQHIS_IDX17 ON $(CALM_SCHEMA).REQUEST_HISTORY (REC_DATETIME ASC)  ON VNF_IDX
GO

CREATE INDEX REQHIS_IDX18 ON $(CALM_SCHEMA).REQUEST_HISTORY (PREV_REQUEST_HISTORY_ID ASC)  ON VNF_IDX
GO

CREATE INDEX REQBASE_IDX1 ON $(CALM_SCHEMA).REQUEST_BASELINE (REQUEST_HISTORY_ID ASC)  ON VNF_IDX
GO

CREATE INDEX REQBASE_IDX2 ON $(CALM_SCHEMA).REQUEST_BASELINE (REC_DATETIME ASC)  ON VNF_IDX
GO

CREATE INDEX REQBASE_IDX3 ON $(CALM_SCHEMA).REQUEST_BASELINE (REQUEST_HISTORY_ID ASC, REC_DATETIME ASC)  ON VNF_IDX
GO

CREATE INDEX REQINTEXT_IDX1 ON $(CALM_SCHEMA).REQUEST_INT_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX REQINTEXT_IDX2 ON $(CALM_SCHEMA).REQUEST_INT_EXT (REQUEST_ID ASC, NAME ASC)  ON VNF_IDX
GO

CREATE INDEX REQLONGEXT_IDX1 ON $(CALM_SCHEMA).REQUEST_LONG_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX REQLONGEXT_IDX2 ON $(CALM_SCHEMA).REQUEST_LONG_EXT (REQUEST_ID ASC, NAME ASC)  ON VNF_IDX
GO

CREATE INDEX REQBOOLEXT_IDX1 ON $(CALM_SCHEMA).REQUEST_BOOL_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX REQBOOLEXT_IDX2 ON $(CALM_SCHEMA).REQUEST_BOOL_EXT (REQUEST_ID ASC, NAME ASC)  ON VNF_IDX
GO

CREATE INDEX REQBOOLEXT_IDX3 ON $(CALM_SCHEMA).REQUEST_BOOL_EXT (REQUEST_ID ASC, NAME ASC, VAL ASC)  ON VNF_IDX
GO

CREATE INDEX REQSTREXT_IDX1 ON $(CALM_SCHEMA).REQUEST_STRING_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX REQSTREXT_IDX2 ON $(CALM_SCHEMA).REQUEST_STRING_EXT (REQUEST_ID ASC, NAME ASC)  ON VNF_IDX
GO

CREATE INDEX REQSTREXT_IDX3 ON $(CALM_SCHEMA).REQUEST_STRING_EXT (REQUEST_ID ASC, VAL ASC)  ON VNF_IDX
GO

CREATE INDEX REQSTRMEXT_IDX1 ON $(CALM_SCHEMA).REQUEST_STRING_M_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX REQSTRMEXT_IDX2 ON $(CALM_SCHEMA).REQUEST_STRING_M_EXT (REQUEST_ID ASC, NAME ASC)  ON VNF_IDX
GO

CREATE INDEX REQSTRLEXT_IDX1 ON $(CALM_SCHEMA).REQUEST_STRING_L_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX REQSTRLEXT_IDX2 ON $(CALM_SCHEMA).REQUEST_STRING_L_EXT (REQUEST_ID ASC, NAME ASC)  ON VNF_IDX
GO

CREATE INDEX REQTSEXT_IDX1 ON $(CALM_SCHEMA).REQUEST_TIMESTAMP_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX REQTSEXT_IDX2 ON $(CALM_SCHEMA).REQUEST_TIMESTAMP_EXT (REQUEST_ID ASC, NAME ASC)  ON VNF_IDX
GO

CREATE INDEX REQDECEXT_IDX1 ON $(CALM_SCHEMA).REQUEST_DECIMAL_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX REQDECEXT_IDX2 ON $(CALM_SCHEMA).REQUEST_DECIMAL_EXT (REQUEST_ID ASC, NAME ASC)  ON VNF_IDX
GO

CREATE INDEX REQHISINTEXT_IDX1 ON $(CALM_SCHEMA).REQUEST_HISTORY_INT_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX REQHISINTEXT_IDX2 ON $(CALM_SCHEMA).REQUEST_HISTORY_INT_EXT (REQUEST_HISTORY_ID ASC, NAME ASC)  ON VNF_IDX
GO

CREATE INDEX REQHISLONGEXT_IDX1 ON $(CALM_SCHEMA).REQUEST_HISTORY_LONG_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX REQHISLONGEXT_IDX2 ON $(CALM_SCHEMA).REQUEST_HISTORY_LONG_EXT (REQUEST_HISTORY_ID ASC, NAME ASC)  ON VNF_IDX
GO

CREATE INDEX REQHISBOOLEXT_IDX1 ON $(CALM_SCHEMA).REQUEST_HISTORY_BOOL_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX REQHISBOOLEXT_IDX2 ON $(CALM_SCHEMA).REQUEST_HISTORY_BOOL_EXT (REQUEST_HISTORY_ID ASC, NAME ASC)  ON VNF_IDX
GO

CREATE INDEX REQHISBOOLEXT_IDX3 ON $(CALM_SCHEMA).REQUEST_HISTORY_BOOL_EXT (REQUEST_HISTORY_ID ASC, NAME ASC, VAL ASC)  ON VNF_IDX
GO

CREATE INDEX REQHISSTREXT_IDX1 ON $(CALM_SCHEMA).REQUEST_HISTORY_STRING_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX REQHISSTREXT_IDX2 ON $(CALM_SCHEMA).REQUEST_HISTORY_STRING_EXT (REQUEST_HISTORY_ID ASC, NAME ASC)  ON VNF_IDX
GO

CREATE INDEX REQHISSTREXT_IDX3 ON $(CALM_SCHEMA).REQUEST_HISTORY_STRING_EXT (REQUEST_HISTORY_ID ASC, VAL ASC)  ON VNF_IDX
GO

CREATE INDEX REQHISSTRMEXT_IDX1 ON $(CALM_SCHEMA).REQUEST_HISTORY_STRING_M_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX REQHISSTRMEXT_IDX2 ON $(CALM_SCHEMA).REQUEST_HISTORY_STRING_M_EXT (REQUEST_HISTORY_ID ASC, NAME ASC)  ON VNF_IDX
GO

CREATE INDEX REQHISSTRLEXT_IDX1 ON $(CALM_SCHEMA).REQUEST_HISTORY_STRING_L_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX REQHISSTRLEXT_IDX2 ON $(CALM_SCHEMA).REQUEST_HISTORY_STRING_L_EXT (REQUEST_HISTORY_ID ASC, NAME ASC)  ON VNF_IDX
GO

CREATE INDEX REQHISTSEXT_IDX1 ON $(CALM_SCHEMA).REQUEST_HISTORY_TIMESTAMP_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX REQHISTSEXT_IDX2 ON $(CALM_SCHEMA).REQUEST_HISTORY_TIMESTAMP_EXT (REQUEST_HISTORY_ID ASC, NAME ASC)  ON VNF_IDX
GO

CREATE INDEX REQHISDECEXT_IDX1 ON $(CALM_SCHEMA).REQUEST_HISTORY_DECIMAL_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX REQHISDECEXT_IDX2 ON $(CALM_SCHEMA).REQUEST_HISTORY_DECIMAL_EXT (REQUEST_HISTORY_ID ASC, NAME ASC)  ON VNF_IDX
GO

CREATE INDEX REQEXTLNK_IDX1 ON $(CALM_SCHEMA).REQUIREMENT_EXTERNAL_LINK (PRED_REQUIREMENT_ID ASC, LINK_TYPE_ID ASC) ON VNF_IDX
GO

CREATE INDEX REQEXTLNK_IDX2 ON $(CALM_SCHEMA).REQUIREMENT_EXTERNAL_LINK (EXTERNAL_ID ASC, PRED_REQUIREMENT_ID ASC, EXTERNAL_LABEL ASC, LINK_TYPE_ID ASC) ON VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY ADD CONSTRAINT REQHIS_PK PRIMARY KEY (REQUEST_HISTORY_ID) ON  VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).REQUEST_ENUMERATION ADD CONSTRAINT REQENUM_PK PRIMARY KEY (REQUEST_ENUMERATION_ID) ON  VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY ADD CONSTRAINT REQHIS_FK1 FOREIGN KEY (PROJECT_ID)
REFERENCES $(NF_SCHEMA).PROJECT (PROJECT_ID)
GO

ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY ADD CONSTRAINT REQHIS_FK10 FOREIGN KEY (BUILD_ID)
REFERENCES $(NF_SCHEMA).BUILD (BUILD_ID)
GO

ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY ADD CONSTRAINT REQHIS_FK11 FOREIGN KEY (PROJECT_CATEGORY_ID)
REFERENCES $(NF_SCHEMA).PROJECT_CATEGORY (PROJECT_CATEGORY_ID)
GO

ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY ADD CONSTRAINT REQHIS_FK12 FOREIGN KEY (TEAM_ID)
REFERENCES $(NF_SCHEMA).TEAM (TEAM_ID)
GO

ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY ADD CONSTRAINT REQHIS_FK13 FOREIGN KEY (PHASE_ID)
REFERENCES $(NF_SCHEMA).PHASE (PHASE_ID)
GO

ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY ADD CONSTRAINT REQHIS_FK2 FOREIGN KEY (COMPONENT_ID)
REFERENCES $(NF_SCHEMA).COMPONENT (COMPONENT_ID)
GO

ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY ADD CONSTRAINT REQHIS_FK3 FOREIGN KEY (ITERATION_ID)
REFERENCES $(NF_SCHEMA).ITERATION (ITERATION_ID)
GO

ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY ADD CONSTRAINT REQHIS_FK5 FOREIGN KEY (RELEASE_ID)
REFERENCES $(NF_SCHEMA).RELEASE (RELEASE_ID)
GO

ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY ADD CONSTRAINT REQHIS_FK6 FOREIGN KEY (FIXEDINRELEASE_ID)
REFERENCES $(NF_SCHEMA).RELEASE (RELEASE_ID)
GO

ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY ADD CONSTRAINT REQHIS_FK7 FOREIGN KEY (REQUEST_CLASS_ID)
REFERENCES $(NF_SCHEMA).REQUEST_CLASSIFICATION (REQUEST_CLASS_ID)
GO

ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY ADD CONSTRAINT REQHIS_FK8 FOREIGN KEY (OWNER_ID)
REFERENCES $(NF_SCHEMA).RESOURCE (RESOURCE_ID)
GO

ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY ADD CONSTRAINT REQHIS_FK9 FOREIGN KEY (RESOLVER_ID)
REFERENCES $(NF_SCHEMA).RESOURCE (RESOURCE_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY ADD CONSTRAINT REQUEST_FK14 FOREIGN KEY (REQUEST_STATE_ID)
REFERENCES $(NF_SCHEMA).REQUEST_STATE (REQUEST_STATE_ID)
GO

ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY ADD CONSTRAINT REQUEST_FK15 FOREIGN KEY (REQUEST_STATUS_ID)
REFERENCES $(NF_SCHEMA).REQUEST_STATUS (REQUEST_STATUS_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY ADD CONSTRAINT REQUEST_FK16 FOREIGN KEY (REQUEST_RESOLUTION_ID)
REFERENCES $(NF_SCHEMA).REQUEST_RESOLUTION (REQUEST_RESOLUTION_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY ADD CONSTRAINT REQUEST_FK17 FOREIGN KEY (REQUEST_SEVERITY_ID)
REFERENCES $(NF_SCHEMA).REQUEST_SEVERITY (REQUEST_SEVERITY_ID)
GO
			
ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY ADD CONSTRAINT REQUEST_FK18 FOREIGN KEY (REQUEST_PRIORITY_ID)
REFERENCES $(NF_SCHEMA).REQUEST_PRIORITY (REQUEST_PRIORITY_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY ADD CONSTRAINT REQUEST_FK19 FOREIGN KEY (REQUEST_TYPE_ID)
REFERENCES $(NF_SCHEMA).REQUEST_TYPE (REQUEST_TYPE_ID)
GO

ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY ADD CONSTRAINT REQHIS_FK20 FOREIGN KEY (REQUEST_ID)
REFERENCES $(NF_SCHEMA).REQUEST(REQUEST_ID)
GO

ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY ADD CONSTRAINT REQHIS_FK21 FOREIGN KEY (PREV_REQUEST_HISTORY_ID) 
REFERENCES $(CALM_SCHEMA).REQUEST_HISTORY (REQUEST_HISTORY_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_BASELINE ADD CONSTRAINT REQBASE_FK1 FOREIGN KEY (REQUEST_HISTORY_ID) 
REFERENCES $(CALM_SCHEMA).REQUEST_HISTORY (REQUEST_HISTORY_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_INT_EXT ADD CONSTRAINT REQINTEXT_FK1 FOREIGN KEY (REQUEST_ID) 
REFERENCES $(NF_SCHEMA).REQUEST (REQUEST_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_LONG_EXT ADD CONSTRAINT REQLONGEXT_FK1 FOREIGN KEY (REQUEST_ID) 
REFERENCES $(NF_SCHEMA).REQUEST (REQUEST_ID)
GO

ALTER TABLE $(CALM_SCHEMA).REQUEST_BOOL_EXT ADD CONSTRAINT REQBOOLEXT_FK1 FOREIGN KEY (REQUEST_ID)
REFERENCES $(NF_SCHEMA).REQUEST (REQUEST_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_STRING_EXT ADD CONSTRAINT REQSTREXT_FK1 FOREIGN KEY (REQUEST_ID)
REFERENCES $(NF_SCHEMA).REQUEST (REQUEST_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_STRING_M_EXT ADD CONSTRAINT REQSTRMEXT_FK1 FOREIGN KEY (REQUEST_ID)
REFERENCES $(NF_SCHEMA).REQUEST (REQUEST_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_STRING_L_EXT ADD CONSTRAINT REQSTRLEXT_FK1 FOREIGN KEY (REQUEST_ID)
REFERENCES $(NF_SCHEMA).REQUEST (REQUEST_ID)
GO

ALTER TABLE $(CALM_SCHEMA).REQUEST_TIMESTAMP_EXT ADD CONSTRAINT REQTSEXT_FK1 FOREIGN KEY (REQUEST_ID) 
REFERENCES $(NF_SCHEMA).REQUEST (REQUEST_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_DECIMAL_EXT ADD CONSTRAINT REQDECEXT_FK1 FOREIGN KEY (REQUEST_ID) 
REFERENCES $(NF_SCHEMA).REQUEST (REQUEST_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY_INT_EXT ADD CONSTRAINT REQHISINTEXT_FK1 FOREIGN KEY (REQUEST_HISTORY_ID) 
REFERENCES $(CALM_SCHEMA).REQUEST_HISTORY (REQUEST_HISTORY_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY_LONG_EXT ADD CONSTRAINT REQHISLONGEXT_FK1 FOREIGN KEY (REQUEST_HISTORY_ID) 
REFERENCES $(CALM_SCHEMA).REQUEST_HISTORY (REQUEST_HISTORY_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY_BOOL_EXT ADD CONSTRAINT REQHISBOOLEXT_FK1 FOREIGN KEY (REQUEST_HISTORY_ID) 
REFERENCES $(CALM_SCHEMA).REQUEST_HISTORY (REQUEST_HISTORY_ID)
GO

ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY_STRING_EXT ADD CONSTRAINT REQHISSTREXT_FK1 FOREIGN KEY (REQUEST_HISTORY_ID)
REFERENCES $(CALM_SCHEMA).REQUEST_HISTORY (REQUEST_HISTORY_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY_STRING_M_EXT ADD CONSTRAINT REQHISSTRMEXT_FK1 FOREIGN KEY (REQUEST_HISTORY_ID)
REFERENCES $(CALM_SCHEMA).REQUEST_HISTORY (REQUEST_HISTORY_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY_STRING_L_EXT ADD CONSTRAINT REQHISSTRLEXT_FK1 FOREIGN KEY (REQUEST_HISTORY_ID)
REFERENCES $(CALM_SCHEMA).REQUEST_HISTORY (REQUEST_HISTORY_ID)
GO

ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY_TIMESTAMP_EXT ADD CONSTRAINT REQHISTSEXT_FK1 FOREIGN KEY (REQUEST_HISTORY_ID) 
REFERENCES $(CALM_SCHEMA).REQUEST_HISTORY (REQUEST_HISTORY_ID)
GO

ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY_DECIMAL_EXT ADD CONSTRAINT REQHISDECEXT_FK1 FOREIGN KEY (REQUEST_HISTORY_ID) 
REFERENCES $(CALM_SCHEMA).REQUEST_HISTORY (REQUEST_HISTORY_ID)
GO

ALTER TABLE $(CALM_SCHEMA).REQUEST_ENUMERATION ADD CONSTRAINT REQENUM_FK1 FOREIGN KEY (PROJECT_ID)
REFERENCES $(NF_SCHEMA).PROJECT (PROJECT_ID)
GO

ALTER TABLE $(CALM_SCHEMA).REQUIREMENT_EXTERNAL_LINK ADD CONSTRAINT REQEXTLNK_FK1 FOREIGN KEY (PRED_REQUIREMENT_ID)
	REFERENCES $(NF_SCHEMA).REQUIREMENT (REQUIREMENT_ID);

ALTER TABLE $(CALM_SCHEMA).REQUIREMENT_EXTERNAL_LINK ADD CONSTRAINT REQEXTLNK_FK2 FOREIGN KEY (LINK_TYPE_ID)
REFERENCES $(NF_SCHEMA).REQUIREMENT_LINK_TYPE (LINK_TYPE_ID)
GO
	
CREATE INDEX RQRHIS_IDX1 ON $(CALM_SCHEMA).RQRMENT_HISTORY (EXTERNAL_KEY2 ASC) ON VNF_IDX
GO

CREATE INDEX RQRHIS_IDX2 ON $(CALM_SCHEMA).RQRMENT_HISTORY (EXTERNAL_KEY1 ASC, SOURCE_ID ASC) ON VNF_IDX
GO

CREATE INDEX RQRHIS_IDX3 ON $(CALM_SCHEMA).RQRMENT_HISTORY (EXTERNAL_KEY2 ASC, SOURCE_ID ASC) ON VNF_IDX
GO

CREATE INDEX RQRHIS_IDX4 ON $(CALM_SCHEMA).RQRMENT_HISTORY (ISSOFTDELETED ASC) ON VNF_IDX
GO

CREATE INDEX RQRHIS_IDX5 ON $(CALM_SCHEMA).RQRMENT_HISTORY (REQUIREMENT_CLASS_ID ASC, REQUIREMENT_HISTORY_ID ASC, EXTERNAL_KEY1 ASC, SOURCE_ID ASC) ON VNF_IDX
GO

CREATE INDEX RQRHIS_IDX6 ON $(CALM_SCHEMA).RQRMENT_HISTORY (REQUIREMENT_CLASS_ID ASC, REQUIREMENT_HISTORY_ID ASC) ON VNF_IDX
GO

CREATE INDEX RQRHIS_IDX7 ON $(CALM_SCHEMA).RQRMENT_HISTORY (REQUIREMENT_HISTORY_ID ASC, EXTERNAL_KEY1 ASC, SOURCE_ID ASC) ON VNF_IDX
GO
	
CREATE INDEX RQRTYPE_IDX1 ON $(CALM_SCHEMA).RQRMENT_TYPE (REQUIREMENT_TYPE_ID ASC, IDENTIFIER ASC)  ON VNF_IDX
GO	

CREATE INDEX RQRTYPE_IDX2 ON $(CALM_SCHEMA).RQRMENT_TYPE (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX RQRATTRDEF_IDX1 ON $(CALM_SCHEMA).RQRMENT_ATTRDEF (REQUIREMENT_ATTRDEF_ID ASC, IDENTIFIER ASC)  ON VNF_IDX
GO
	
CREATE INDEX RQRATTRDEF_IDX2 ON $(CALM_SCHEMA).RQRMENT_ATTRDEF (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX RQRTYP_ATTDEF_IDX1 ON $(CALM_SCHEMA).RQRMENT_TYPE_ATTRDEF (REQUIREMENT_TYPE_ID ASC, REQUIREMENT_ATTRDEF_ID ASC)  ON VNF_IDX
GO

CREATE INDEX RQRENUM_IDX1 ON $(CALM_SCHEMA).RQRMENT_ENUMERATION (REQUIREMENT_ID ASC, REQUIREMENT_ATTRDEF_ID ASC, PROJECT_ID ASC, EXTERNAL_ID ASC) ON VNF_IDX
GO

CREATE INDEX RQRINTEXT_IDX1 ON $(CALM_SCHEMA).RQRMENT_INT_EXT (ISSOFTDELETED ASC) ON VNF_IDX
GO

CREATE INDEX RQRINTEXT_IDX2 ON $(CALM_SCHEMA).RQRMENT_INT_EXT (REQUIREMENT_ID ASC, REQUIREMENT_ATTRDEF_ID ASC) ON VNF_IDX
GO

CREATE INDEX RQRBOOLEXT_IDX1 ON $(CALM_SCHEMA).RQRMENT_BOOL_EXT (ISSOFTDELETED ASC) ON VNF_IDX
GO

CREATE INDEX RQRBOOLEXT_IDX2 ON $(CALM_SCHEMA).RQRMENT_BOOL_EXT (REQUIREMENT_ID ASC, REQUIREMENT_ATTRDEF_ID ASC) ON VNF_IDX
GO

CREATE INDEX RQRBOOLEXT_IDX3 ON $(CALM_SCHEMA).RQRMENT_BOOL_EXT (REQUIREMENT_ID ASC, REQUIREMENT_ATTRDEF_ID ASC, VAL ASC) ON VNF_IDX
GO

CREATE INDEX RQRSTREXT_IDX1 ON $(CALM_SCHEMA).RQRMENT_STRING_EXT (ISSOFTDELETED ASC) ON VNF_IDX
GO

CREATE INDEX RQRSTREXT_IDX2 ON $(CALM_SCHEMA).RQRMENT_STRING_EXT (REQUIREMENT_ID ASC, REQUIREMENT_ATTRDEF_ID ASC) ON VNF_IDX
GO

CREATE INDEX RQRSTREXT_IDX3 ON $(CALM_SCHEMA).RQRMENT_STRING_EXT (REQUIREMENT_ID ASC, REQUIREMENT_ATTRDEF_ID ASC, VAL ASC) ON VNF_IDX
GO

CREATE INDEX RQRSTRLEXT_IDX1 ON $(CALM_SCHEMA).RQRMENT_STRING_L_EXT (ISSOFTDELETED ASC) ON VNF_IDX
GO

CREATE INDEX RQRSTRLEXT_IDX2 ON $(CALM_SCHEMA).RQRMENT_STRING_L_EXT (REQUIREMENT_ID ASC, REQUIREMENT_ATTRDEF_ID ASC) ON VNF_IDX
GO

CREATE INDEX RQRDECEXT_IDX1 ON $(CALM_SCHEMA).RQRMENT_DECIMAL_EXT (ISSOFTDELETED ASC) ON VNF_IDX
GO

CREATE INDEX RQRDECEXT_IDX2 ON $(CALM_SCHEMA).RQRMENT_DECIMAL_EXT (REQUIREMENT_ID ASC, REQUIREMENT_ATTRDEF_ID ASC) ON VNF_IDX
GO

CREATE INDEX RQRHISINTEXT_IDX1 ON $(CALM_SCHEMA).RQRMENT_HISTORY_INT_EXT (ISSOFTDELETED ASC) ON VNF_IDX
GO

CREATE INDEX RQRHISINTEXT_IDX2 ON $(CALM_SCHEMA).RQRMENT_HISTORY_INT_EXT (REQUIREMENT_HISTORY_ID ASC, REQUIREMENT_ATTRDEF_ID ASC) ON VNF_IDX
GO

CREATE INDEX RQRHISBOOLEXT_IDX1 ON $(CALM_SCHEMA).RQRMENT_HISTORY_BOOL_EXT (ISSOFTDELETED ASC) ON VNF_IDX
GO

CREATE INDEX RQRHISBOOLEXT_IDX2 ON $(CALM_SCHEMA).RQRMENT_HISTORY_BOOL_EXT (REQUIREMENT_HISTORY_ID ASC, REQUIREMENT_ATTRDEF_ID ASC) ON VNF_IDX
GO

CREATE INDEX RQRHISBOOLEXT_IDX3 ON $(CALM_SCHEMA).RQRMENT_HISTORY_BOOL_EXT (REQUIREMENT_HISTORY_ID ASC, REQUIREMENT_ATTRDEF_ID ASC, VAL ASC) ON VNF_IDX
GO

CREATE INDEX RQRHISSTREXT_IDX1 ON $(CALM_SCHEMA).RQRMENT_HISTORY_STRING_EXT (ISSOFTDELETED ASC) ON VNF_IDX
GO

CREATE INDEX RQRHISSTREXT_IDX2 ON $(CALM_SCHEMA).RQRMENT_HISTORY_STRING_EXT (REQUIREMENT_HISTORY_ID ASC, REQUIREMENT_ATTRDEF_ID ASC) ON VNF_IDX
GO

CREATE INDEX RQRHISSTREXT_IDX3 ON $(CALM_SCHEMA).RQRMENT_HISTORY_STRING_EXT (REQUIREMENT_HISTORY_ID ASC, REQUIREMENT_ATTRDEF_ID ASC, VAL ASC) ON VNF_IDX
GO

CREATE INDEX RQRHISSTRLEXT_IDX1 ON $(CALM_SCHEMA).RQRMENT_HISTORY_STRING_L_EXT (ISSOFTDELETED ASC) ON VNF_IDX
GO

CREATE INDEX RQRHISSTRLEXT_IDX2 ON $(CALM_SCHEMA).RQRMENT_HISTORY_STRING_L_EXT (REQUIREMENT_HISTORY_ID ASC, REQUIREMENT_ATTRDEF_ID ASC) ON VNF_IDX
GO

CREATE INDEX RQRHISDECEXT_IDX1 ON $(CALM_SCHEMA).RQRMENT_HISTORY_DECIMAL_EXT (ISSOFTDELETED ASC) ON VNF_IDX
GO

CREATE INDEX RQRHISDECEXT_IDX2 ON $(CALM_SCHEMA).RQRMENT_HISTORY_DECIMAL_EXT (REQUIREMENT_HISTORY_ID ASC, REQUIREMENT_ATTRDEF_ID ASC) ON VNF_IDX
GO
	
ALTER TABLE $(CALM_SCHEMA).RQRMENT_HISTORY ADD CONSTRAINT RQRHIS_PK PRIMARY KEY 
	(REQUIREMENT_HISTORY_ID) ON VNF_IDX
GO
 	
ALTER TABLE $(CALM_SCHEMA).RQRMENT_HISTORY ADD CONSTRAINT RQRHIS_FK1 FOREIGN KEY (PROJECT_ID)
	REFERENCES $(NF_SCHEMA).PROJECT (PROJECT_ID)
GO

ALTER TABLE $(CALM_SCHEMA).RQRMENT_HISTORY ADD CONSTRAINT RQRHIS_FK3 FOREIGN KEY (REQUIREMENT_CLASS_ID)
	REFERENCES $(NF_SCHEMA).REQUIREMENT_CLASSIFICATION (REQUIREMENT_CLASS_ID)
GO

ALTER TABLE $(CALM_SCHEMA).RQRMENT_HISTORY ADD CONSTRAINT RQRHIS_FK4 FOREIGN KEY (OWNER_ID)
	REFERENCES $(NF_SCHEMA).RESOURCE (RESOURCE_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).RQRMENT_HISTORY ADD CONSTRAINT RQRHIS_FK5 FOREIGN KEY (REQUIREMENT_ID)
	REFERENCES $(NF_SCHEMA).REQUIREMENT(REQUIREMENT_ID)
GO

ALTER TABLE $(CALM_SCHEMA).RQRMENT_HISTORY ADD CONSTRAINT RQRHIS_FK7 FOREIGN KEY (PREV_REQUIREMENT_HISTORY_ID) 
	REFERENCES $(CALM_SCHEMA).RQRMENT_HISTORY (REQUIREMENT_HISTORY_ID)
GO
		
ALTER TABLE $(CALM_SCHEMA).RQRMENT_TYPE ADD CONSTRAINT RQRMENT_TYPE_PK PRIMARY KEY (REQUIREMENT_TYPE_ID) ON  VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).RQRMENT_TYPE ADD CONSTRAINT RQRMENT_TYPE_FK1 FOREIGN KEY (PROJECT_ID)
	REFERENCES $(NF_SCHEMA).PROJECT (PROJECT_ID)
GO
		
ALTER TABLE $(CALM_SCHEMA).RQRMENT_ATTRDEF ADD CONSTRAINT RQRMENT_ATTRDEF_PK PRIMARY KEY (REQUIREMENT_ATTRDEF_ID) ON  VNF_IDX
GO
	
ALTER TABLE $(CALM_SCHEMA).RQRMENT_ATTRDEF ADD CONSTRAINT RQRMENT_ATTRDEF_FK1 FOREIGN KEY (REQUIREMENT_TYPE_ID)
	REFERENCES $(CALM_SCHEMA).RQRMENT_TYPE (REQUIREMENT_TYPE_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).RQRMENT_TYPE_ATTRDEF ADD CONSTRAINT RQRTYPE_ATTRDEF_FK1 FOREIGN KEY (REQUIREMENT_TYPE_ID)
	REFERENCES $(CALM_SCHEMA).RQRMENT_TYPE (REQUIREMENT_TYPE_ID)
GO

ALTER TABLE $(CALM_SCHEMA).RQRMENT_TYPE_ATTRDEF ADD CONSTRAINT RQRTYPE_ATTRDEF_FK2 FOREIGN KEY (REQUIREMENT_ATTRDEF_ID)
	REFERENCES $(CALM_SCHEMA).RQRMENT_ATTRDEF (REQUIREMENT_ATTRDEF_ID)
GO

ALTER TABLE $(CALM_SCHEMA).RQRMENT_INT_EXT ADD CONSTRAINT RQRINTEXT_FK1 FOREIGN KEY (REQUIREMENT_ID) 
	REFERENCES $(NF_SCHEMA).REQUIREMENT (REQUIREMENT_ID)
GO

ALTER TABLE $(CALM_SCHEMA).RQRMENT_INT_EXT ADD CONSTRAINT RQRINTEXT_FK2 FOREIGN KEY (REQUIREMENT_ATTRDEF_ID)
	REFERENCES $(CALM_SCHEMA).RQRMENT_ATTRDEF (REQUIREMENT_ATTRDEF_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).RQRMENT_BOOL_EXT ADD CONSTRAINT RQRBOOLEXT_FK1 FOREIGN KEY (REQUIREMENT_ID)
    REFERENCES $(NF_SCHEMA).REQUIREMENT (REQUIREMENT_ID)
GO

ALTER TABLE $(CALM_SCHEMA).RQRMENT_BOOL_EXT ADD CONSTRAINT RQRBOOLEXT_FK2 FOREIGN KEY (REQUIREMENT_ATTRDEF_ID)
	REFERENCES $(CALM_SCHEMA).RQRMENT_ATTRDEF (REQUIREMENT_ATTRDEF_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).RQRMENT_STRING_EXT ADD CONSTRAINT RQRSTREXT_FK1 FOREIGN KEY (REQUIREMENT_ID)
	REFERENCES $(NF_SCHEMA).REQUIREMENT (REQUIREMENT_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).RQRMENT_STRING_EXT ADD CONSTRAINT RQRSTREXT_FK2 FOREIGN KEY (REQUIREMENT_ATTRDEF_ID)
	REFERENCES $(CALM_SCHEMA).RQRMENT_ATTRDEF (REQUIREMENT_ATTRDEF_ID)
GO
		
ALTER TABLE $(CALM_SCHEMA).RQRMENT_STRING_L_EXT ADD CONSTRAINT RQRSTRLEXT_FK1 FOREIGN KEY (REQUIREMENT_ID)
	REFERENCES $(NF_SCHEMA).REQUIREMENT (REQUIREMENT_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).RQRMENT_STRING_L_EXT ADD CONSTRAINT RQRSTRLEXT_FK2 FOREIGN KEY (REQUIREMENT_ATTRDEF_ID)
	REFERENCES $(CALM_SCHEMA).RQRMENT_ATTRDEF (REQUIREMENT_ATTRDEF_ID)
GO

ALTER TABLE $(CALM_SCHEMA).RQRMENT_DECIMAL_EXT ADD CONSTRAINT RQRDECEXT_FK1 FOREIGN KEY (REQUIREMENT_ID) 
	REFERENCES $(NF_SCHEMA).REQUIREMENT (REQUIREMENT_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).RQRMENT_DECIMAL_EXT ADD CONSTRAINT RQRDECEXT_FK2 FOREIGN KEY (REQUIREMENT_ATTRDEF_ID)
	REFERENCES $(CALM_SCHEMA).RQRMENT_ATTRDEF (REQUIREMENT_ATTRDEF_ID)
GO

ALTER TABLE $(CALM_SCHEMA).RQRMENT_HISTORY_INT_EXT ADD CONSTRAINT RQRHISINTEXT_FK1 FOREIGN KEY (REQUIREMENT_HISTORY_ID) 
	REFERENCES $(CALM_SCHEMA).RQRMENT_HISTORY (REQUIREMENT_HISTORY_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).RQRMENT_HISTORY_INT_EXT ADD CONSTRAINT RQRHISINTEXT_FK2 FOREIGN KEY (REQUIREMENT_ATTRDEF_ID)
	REFERENCES $(CALM_SCHEMA).RQRMENT_ATTRDEF (REQUIREMENT_ATTRDEF_ID)
GO

ALTER TABLE $(CALM_SCHEMA).RQRMENT_HISTORY_BOOL_EXT ADD CONSTRAINT RQRHISBOOLEXT_FK1 FOREIGN KEY (REQUIREMENT_HISTORY_ID) 
	REFERENCES $(CALM_SCHEMA).RQRMENT_HISTORY (REQUIREMENT_HISTORY_ID)
GO

ALTER TABLE $(CALM_SCHEMA).RQRMENT_HISTORY_BOOL_EXT ADD CONSTRAINT RQRHISBOOLEXT_FK2 FOREIGN KEY (REQUIREMENT_ATTRDEF_ID)
	REFERENCES $(CALM_SCHEMA).RQRMENT_ATTRDEF (REQUIREMENT_ATTRDEF_ID)
GO

ALTER TABLE $(CALM_SCHEMA).RQRMENT_HISTORY_STRING_EXT ADD CONSTRAINT RQRHISSTREXT_FK1 FOREIGN KEY (REQUIREMENT_HISTORY_ID)
	REFERENCES $(CALM_SCHEMA).RQRMENT_HISTORY (REQUIREMENT_HISTORY_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).RQRMENT_HISTORY_STRING_EXT ADD CONSTRAINT RQRHISSTREXT_FK2 FOREIGN KEY (REQUIREMENT_ATTRDEF_ID)
	REFERENCES $(CALM_SCHEMA).RQRMENT_ATTRDEF (REQUIREMENT_ATTRDEF_ID)
GO

ALTER TABLE $(CALM_SCHEMA).RQRMENT_HISTORY_STRING_L_EXT ADD CONSTRAINT RQRHISSTRLEXT_FK1 FOREIGN KEY (REQUIREMENT_HISTORY_ID)
	REFERENCES $(CALM_SCHEMA).RQRMENT_HISTORY (REQUIREMENT_HISTORY_ID)
GO

ALTER TABLE $(CALM_SCHEMA).RQRMENT_HISTORY_STRING_L_EXT ADD CONSTRAINT RQRHISSTRLEXT_FK2 FOREIGN KEY (REQUIREMENT_ATTRDEF_ID)
	REFERENCES $(CALM_SCHEMA).RQRMENT_ATTRDEF (REQUIREMENT_ATTRDEF_ID)
GO

ALTER TABLE $(CALM_SCHEMA).RQRMENT_HISTORY_DECIMAL_EXT ADD CONSTRAINT RQRHISDECEXT_FK1 FOREIGN KEY (REQUIREMENT_HISTORY_ID) 
	REFERENCES $(CALM_SCHEMA).RQRMENT_HISTORY (REQUIREMENT_HISTORY_ID)
GO

ALTER TABLE $(CALM_SCHEMA).RQRMENT_HISTORY_DECIMAL_EXT ADD CONSTRAINT RQRHISDECEXT_FK2 FOREIGN KEY (REQUIREMENT_ATTRDEF_ID)
	REFERENCES $(CALM_SCHEMA).RQRMENT_ATTRDEF (REQUIREMENT_ATTRDEF_ID)
GO

ALTER TABLE $(CALM_SCHEMA).RQRMENT_ENUMERATION ADD CONSTRAINT RQRENUM_PK PRIMARY KEY (REQUIREMENT_ENUMERATION_ID) ON  VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).RQRMENT_ENUMERATION ADD CONSTRAINT RQRMENT_ENUMERATION_FK1 FOREIGN KEY (REQUIREMENT_ATTRDEF_ID)
	REFERENCES $(CALM_SCHEMA).RQRMENT_ATTRDEF (REQUIREMENT_ATTRDEF_ID)
GO

ALTER TABLE $(CALM_SCHEMA).RQRMENT_ENUMERATION ADD CONSTRAINT RQRMENT_ENUMERATION_FK2 FOREIGN KEY (REQUIREMENT_ID)
	REFERENCES $(NF_SCHEMA).REQUIREMENT (REQUIREMENT_ID)
GO

-- INDEX CREATE
CREATE INDEX KEYWORD_IDX1 ON $(CALM_SCHEMA).KEYWORD (EXTERNAL_KEY2 ASC)  ON VNF_IDX
GO
CREATE INDEX KEYWORD_IDX2 ON $(CALM_SCHEMA).KEYWORD (EXTERNAL_KEY1 ASC, SOURCE_ID ASC)  ON VNF_IDX
GO
CREATE INDEX KEYWORD_IDX3 ON $(CALM_SCHEMA).KEYWORD (EXTERNAL_KEY2 ASC, SOURCE_ID ASC)  ON VNF_IDX
GO
CREATE INDEX KEYWORD_IDX4 ON $(CALM_SCHEMA).KEYWORD (EXTERNAL_ID ASC)  ON VNF_IDX
GO
CREATE INDEX KEYWORD_IDX5 ON $(CALM_SCHEMA).KEYWORD (EXTERNAL_ID ASC, PROJECT_ID ASC, SOURCE_ID ASC)  ON VNF_IDX
GO
CREATE INDEX KEYWORD_IDX6 ON $(CALM_SCHEMA).KEYWORD (TITLE ASC, KEYWORD_CLASS_ID ASC)  ON VNF_IDX
GO
CREATE INDEX KEYWORD_IDX7 ON $(CALM_SCHEMA).KEYWORD (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX QOBJ_IDX1 ON $(CALM_SCHEMA).QUALITY_OBJECTIVE (EXTERNAL_KEY2 ASC)  ON VNF_IDX
GO
CREATE INDEX QOBJ_IDX2 ON $(CALM_SCHEMA).QUALITY_OBJECTIVE (EXTERNAL_KEY1 ASC, SOURCE_ID ASC)  ON VNF_IDX
GO
CREATE INDEX QOBJ_IDX3 ON $(CALM_SCHEMA).QUALITY_OBJECTIVE (EXTERNAL_KEY2 ASC, SOURCE_ID ASC)  ON VNF_IDX
GO
CREATE INDEX QOBJ_IDX4 ON $(CALM_SCHEMA).QUALITY_OBJECTIVE (EXTERNAL_ID ASC)  ON VNF_IDX
GO
CREATE INDEX QOBJ_IDX5 ON $(CALM_SCHEMA).QUALITY_OBJECTIVE (EXTERNAL_ID ASC, PROJECT_ID ASC, SOURCE_ID ASC)  ON VNF_IDX
GO
CREATE INDEX QOBJ_IDX6 ON $(CALM_SCHEMA).QUALITY_OBJECTIVE (TITLE ASC, OBJECTIVE_CLASS_ID ASC)  ON VNF_IDX
GO
CREATE INDEX QOBJ_IDX7 ON $(CALM_SCHEMA).QUALITY_OBJECTIVE (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX TPOBJSTA_IDX1 ON $(CALM_SCHEMA).TESTPLAN_OBJECTIVESTATUS (TESTPLAN_ID ASC)  ON VNF_IDX
GO
CREATE INDEX TPOBJSTA_IDX2 ON $(CALM_SCHEMA).TESTPLAN_OBJECTIVESTATUS (TESTPLAN_ID ASC, OBJECTIVE_ID ASC)  ON VNF_IDX
GO
CREATE INDEX TPOBJSTA_IDX3 ON $(CALM_SCHEMA).TESTPLAN_OBJECTIVESTATUS (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX LABREQ_IDX1 ON $(CALM_SCHEMA).LABREQUEST (EXTERNAL_KEY2 ASC)  ON VNF_IDX
GO
CREATE INDEX LABREQ_IDX2 ON $(CALM_SCHEMA).LABREQUEST (EXTERNAL_KEY1 ASC, SOURCE_ID ASC)  ON VNF_IDX
GO
CREATE INDEX LABREQ_IDX3 ON $(CALM_SCHEMA).LABREQUEST (EXTERNAL_KEY2 ASC, SOURCE_ID ASC)  ON VNF_IDX
GO
CREATE INDEX LABREQ_IDX4 ON $(CALM_SCHEMA).LABREQUEST (EXTERNAL_ID ASC)  ON VNF_IDX
GO
CREATE INDEX LABREQ_IDX5 ON $(CALM_SCHEMA).LABREQUEST (EXTERNAL_ID ASC, PROJECT_ID ASC, SOURCE_ID ASC)  ON VNF_IDX
GO
CREATE INDEX LABREQ_IDX6 ON $(CALM_SCHEMA).LABREQUEST (VISIBLE_ID ASC)  ON VNF_IDX
GO
CREATE INDEX LABREQ_IDX7 ON $(CALM_SCHEMA).LABREQUEST (PRIORITY ASC)  ON VNF_IDX
GO
CREATE INDEX LABREQ_IDX8 ON $(CALM_SCHEMA).LABREQUEST (CURRENT_STATE ASC)  ON VNF_IDX
GO
CREATE INDEX LABREQ_IDX9 ON $(CALM_SCHEMA).LABREQUEST (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX REQCS_IDX1 ON $(CALM_SCHEMA).LABREQUEST_CHANGESTATE (LABREQUEST_ID ASC)  ON VNF_IDX
GO
CREATE INDEX REQCS_IDX2 ON $(CALM_SCHEMA).LABREQUEST_CHANGESTATE (CHANGESTATE_ID ASC, LABREQUEST_ID ASC)  ON VNF_IDX
GO
CREATE INDEX REQCS_IDX3 ON $(CALM_SCHEMA).LABREQUEST_CHANGESTATE (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX TPSTREXT_IDX1 ON $(CALM_SCHEMA).TESTPLAN_STRING_EXT (TESTPLAN_ID ASC, NAME ASC)  ON VNF_IDX
GO
CREATE INDEX TPSTREXT_IDX2 ON $(CALM_SCHEMA).TESTPLAN_STRING_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX TPSTRMEXT_IDX1 ON $(CALM_SCHEMA).TESTPLAN_STRING_M_EXT (TESTPLAN_ID ASC, NAME ASC)  ON VNF_IDX
GO
CREATE INDEX TPSTRMEXT_IDX2 ON $(CALM_SCHEMA).TESTPLAN_STRING_M_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX TPINTEXT_IDX1 ON $(CALM_SCHEMA).TESTPLAN_INT_EXT (TESTPLAN_ID ASC, NAME ASC)  ON VNF_IDX
GO
CREATE INDEX TPINTEXT_IDX2 ON $(CALM_SCHEMA).TESTPLAN_INT_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX TPTIMEEXT_IDX1 ON $(CALM_SCHEMA).TESTPLAN_TIMESTAMP_EXT (TESTPLAN_ID ASC, NAME ASC)  ON VNF_IDX
GO
CREATE INDEX TPTIMEEXT_IDX2 ON $(CALM_SCHEMA).TESTPLAN_TIMESTAMP_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX TCSTREXT_IDX1 ON $(CALM_SCHEMA).TESTCASE_STRING_EXT (TESTCASE_ID ASC, NAME ASC)  ON VNF_IDX
GO
CREATE INDEX TCSTREXT_IDX2 ON $(CALM_SCHEMA).TESTCASE_STRING_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX TCSTRMEXT_IDX1 ON $(CALM_SCHEMA).TESTCASE_STRING_M_EXT (TESTCASE_ID ASC, NAME ASC)  ON VNF_IDX
GO
CREATE INDEX TCSTRMEXT_IDX2 ON $(CALM_SCHEMA).TESTCASE_STRING_M_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX TCINTEXT_IDX1 ON $(CALM_SCHEMA).TESTCASE_INT_EXT (TESTCASE_ID ASC, NAME ASC)  ON VNF_IDX
GO
CREATE INDEX TCINTEXT_IDX2 ON $(CALM_SCHEMA).TESTCASE_INT_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX TCTIMEEXT_IDX1 ON $(CALM_SCHEMA).TESTCASE_TIMESTAMP_EXT (TESTCASE_ID ASC, NAME ASC)  ON VNF_IDX
GO
CREATE INDEX TCTIMEEXT_IDX2 ON $(CALM_SCHEMA).TESTCASE_TIMESTAMP_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX TSCSTREXT_IDX1 ON $(CALM_SCHEMA).TESTSCRIPT_STRING_EXT (TESTSCRIPT_ID ASC, NAME ASC)  ON VNF_IDX
GO
CREATE INDEX TSCSTREXT_IDX2 ON $(CALM_SCHEMA).TESTSCRIPT_STRING_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX TSCSTRMEXT_IDX1 ON $(CALM_SCHEMA).TESTSCRIPT_STRING_M_EXT (TESTSCRIPT_ID ASC, NAME ASC)  ON VNF_IDX
GO
CREATE INDEX TSCSTRMEXT_IDX2 ON $(CALM_SCHEMA).TESTSCRIPT_STRING_M_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX TSCINTEXT_IDX1 ON $(CALM_SCHEMA).TESTSCRIPT_INT_EXT (TESTSCRIPT_ID ASC, NAME ASC)  ON VNF_IDX
GO
CREATE INDEX TSCINTEXT_IDX2 ON $(CALM_SCHEMA).TESTSCRIPT_INT_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX TSCTIMEEXT_IDX1 ON $(CALM_SCHEMA).TESTSCRIPT_TIMESTAMP_EXT (TESTSCRIPT_ID ASC, NAME ASC)  ON VNF_IDX
GO
CREATE INDEX TSCTIMEEXT_IDX2 ON $(CALM_SCHEMA).TESTSCRIPT_TIMESTAMP_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX TSUSTREXT_IDX1 ON $(CALM_SCHEMA).TESTSUITE_STRING_EXT (TESTSUITE_ID ASC, NAME ASC)  ON VNF_IDX
GO
CREATE INDEX TSUSTREXT_IDX2 ON $(CALM_SCHEMA).TESTSUITE_STRING_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX TSUSTRMEXT_IDX1 ON $(CALM_SCHEMA).TESTSUITE_STRING_M_EXT (TESTSUITE_ID ASC, NAME ASC)  ON VNF_IDX
GO
CREATE INDEX TSUSTRMEXT_IDX2 ON $(CALM_SCHEMA).TESTSUITE_STRING_M_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX TSUINTEXT_IDX1 ON $(CALM_SCHEMA).TESTSUITE_INT_EXT (TESTSUITE_ID ASC, NAME ASC)  ON VNF_IDX
GO
CREATE INDEX TSUINTEXT_IDX2 ON $(CALM_SCHEMA).TESTSUITE_INT_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX TSUTIMEEXT_IDX1 ON $(CALM_SCHEMA).TESTSUITE_TIMESTAMP_EXT (TESTSUITE_ID ASC, NAME ASC)  ON VNF_IDX
GO
CREATE INDEX TSUTIMEEXT_IDX2 ON $(CALM_SCHEMA).TESTSUITE_TIMESTAMP_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX EXCRESSTREXT_IDX1 ON $(CALM_SCHEMA).EXECRES_STRING_EXT (EXECUTION_RESULT_ID ASC, NAME ASC)  ON VNF_IDX
GO
CREATE INDEX EXCRESSTREXT_IDX2 ON $(CALM_SCHEMA).EXECRES_STRING_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX EXCRESSTRMEXT_IDX1 ON $(CALM_SCHEMA).EXECRES_STRING_M_EXT (EXECUTION_RESULT_ID ASC, NAME ASC)  ON VNF_IDX
GO
CREATE INDEX EXCRESSTRMEXT_IDX2 ON $(CALM_SCHEMA).EXECRES_STRING_M_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX EXCRESINTEXT_IDX1 ON $(CALM_SCHEMA).EXECRES_INT_EXT (EXECUTION_RESULT_ID ASC, NAME ASC)  ON VNF_IDX
GO
CREATE INDEX EXCRESINTEXT_IDX2 ON $(CALM_SCHEMA).EXECRES_INT_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX EXCRESTIMEEXT_IDX1 ON $(CALM_SCHEMA).EXECRES_TIMESTAMP_EXT (EXECUTION_RESULT_ID ASC, NAME ASC)  ON VNF_IDX
GO
CREATE INDEX EXCRESTIMEEXT_IDX2 ON $(CALM_SCHEMA).EXECRES_TIMESTAMP_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX TSULOGSTREXT_IDX1 ON $(CALM_SCHEMA).TESTSUITELOG_STRING_EXT (TESTSUITELOG_ID ASC, NAME ASC)  ON VNF_IDX
GO
CREATE INDEX TSULOGSTREXT_IDX2 ON $(CALM_SCHEMA).TESTSUITELOG_STRING_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX TSULOGSTRMEXT_IDX1 ON $(CALM_SCHEMA).TESTSUITELOG_STRING_M_EXT (TESTSUITELOG_ID ASC, NAME ASC)  ON VNF_IDX
GO
CREATE INDEX TSULOGSTRMEXT_IDX2 ON $(CALM_SCHEMA).TESTSUITELOG_STRING_M_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX TSULOGINTEXT_IDX1 ON $(CALM_SCHEMA).TESTSUITELOG_INT_EXT (TESTSUITELOG_ID ASC, NAME ASC)  ON VNF_IDX
GO
CREATE INDEX TSULOGINTEXT_IDX2 ON $(CALM_SCHEMA).TESTSUITELOG_INT_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX TSULOGTIMEEXT_IDX1 ON $(CALM_SCHEMA).TESTSUITELOG_TIMESTAMP_EXT (TESTSUITELOG_ID ASC, NAME ASC)  ON VNF_IDX
GO
CREATE INDEX TSULOGTIMEEXT_IDX2 ON $(CALM_SCHEMA).TESTSUITELOG_TIMESTAMP_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX ITERDET_IDX1 ON $(CALM_SCHEMA).ITERATION_EXEC_DETAIL (ITERATION_ID ASC)  ON VNF_IDX
GO
CREATE INDEX ITERDET_IDX2 ON $(CALM_SCHEMA).ITERATION_EXEC_DETAIL (ISSOFTDELETED ASC)  ON VNF_IDX
GO

-- PK CONSTRAINTS
ALTER TABLE $(CALM_SCHEMA).KEYWORD ADD CONSTRAINT KEYWORD_PK PRIMARY KEY (KEYWORD_ID) ON  VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).KEYWORD_CLASSIFICATION ADD CONSTRAINT KWCLASS_PK PRIMARY KEY (KEYWORD_CLASS_ID) ON  VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).KEYWORD_SCRIPT_LOOKUP ADD CONSTRAINT KWSCRIPT_PK PRIMARY KEY (KEYWORD_ID, TESTSCRIPT_ID) ON  VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).QUALITY_OBJECTIVE ADD CONSTRAINT QOBJ_PK PRIMARY KEY (OBJECTIVE_ID) ON  VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).OBJECTIVE_CLASSIFICATION ADD CONSTRAINT QOBJCLASS_PK PRIMARY KEY (OBJECTIVE_CLASS_ID) ON  VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).TESTPLAN_OBJECTIVESTATUS ADD CONSTRAINT TPOBJSTA_PK PRIMARY KEY (TESTPLAN_OBJECTIVESTATUS_ID) ON  VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).TESTPLAN_OBJECTIVE_LOOKUP ADD CONSTRAINT TPOBJ_PK PRIMARY KEY (TESTPLAN_ID, OBJECTIVE_ID) ON  VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).LABREQUEST ADD CONSTRAINT LABREQ_PK PRIMARY KEY (LABREQUEST_ID) ON  VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).LABREQUEST_CLASSIFICATION ADD CONSTRAINT REQCLASS_PK PRIMARY KEY (LABREQUEST_CLASS_ID) ON  VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).LABREQUEST_CHANGESTATE ADD CONSTRAINT REQCS_PK PRIMARY KEY (CHANGESTATE_ID) ON  VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).RESERVATION_LABREQUEST_LOOKUP ADD CONSTRAINT RESVREQ_PK PRIMARY KEY (RESERVATION_ID, LABREQUEST_ID) ON  VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).TESTPLAN_STRING_EXT ADD CONSTRAINT TPSTREXT_PK PRIMARY KEY (TESTPLAN_ID, IDENTIFIER) ON  VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).TESTPLAN_STRING_M_EXT ADD CONSTRAINT TPSTRMEXT_PK PRIMARY KEY (TESTPLAN_ID, IDENTIFIER) ON  VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).TESTPLAN_INT_EXT ADD CONSTRAINT TPINTEXT_PK PRIMARY KEY (TESTPLAN_ID, IDENTIFIER) ON  VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).TESTPLAN_TIMESTAMP_EXT ADD CONSTRAINT TPTIMEEXT_PK PRIMARY KEY (TESTPLAN_ID, IDENTIFIER) ON  VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).TESTCASE_STRING_EXT ADD CONSTRAINT TCSTREXT_PK PRIMARY KEY (TESTCASE_ID, IDENTIFIER) ON  VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).TESTCASE_STRING_M_EXT ADD CONSTRAINT TCSTRMEXT_PK PRIMARY KEY (TESTCASE_ID, IDENTIFIER) ON  VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).TESTCASE_INT_EXT ADD CONSTRAINT TCINTEXT_PK PRIMARY KEY (TESTCASE_ID, IDENTIFIER) ON  VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).TESTCASE_TIMESTAMP_EXT ADD CONSTRAINT TCTIMEEXT_PK PRIMARY KEY (TESTCASE_ID, IDENTIFIER) ON  VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).TESTSCRIPT_STRING_EXT ADD CONSTRAINT TSCSTREXT_PK PRIMARY KEY (TESTSCRIPT_ID, IDENTIFIER) ON  VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).TESTSCRIPT_STRING_M_EXT ADD CONSTRAINT TSCSTRMEXT_PK PRIMARY KEY (TESTSCRIPT_ID, IDENTIFIER) ON  VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).TESTSCRIPT_INT_EXT ADD CONSTRAINT TSCINTEXT_PK PRIMARY KEY (TESTSCRIPT_ID, IDENTIFIER) ON  VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).TESTSCRIPT_TIMESTAMP_EXT ADD CONSTRAINT TSCTIMEEXT_PK PRIMARY KEY (TESTSCRIPT_ID, IDENTIFIER) ON  VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).TESTSUITE_STRING_EXT ADD CONSTRAINT TSUSTREXT_PK PRIMARY KEY (TESTSUITE_ID, IDENTIFIER) ON  VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).TESTSUITE_STRING_M_EXT ADD CONSTRAINT TSUSTRMEXT_PK PRIMARY KEY (TESTSUITE_ID, IDENTIFIER) ON  VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).TESTSUITE_INT_EXT ADD CONSTRAINT TSUINTEXT_PK PRIMARY KEY (TESTSUITE_ID, IDENTIFIER) ON  VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).TESTSUITE_TIMESTAMP_EXT ADD CONSTRAINT TSUTIMEEXT_PK PRIMARY KEY (TESTSUITE_ID, IDENTIFIER) ON  VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).EXECRES_STRING_EXT ADD CONSTRAINT EXCRESSTREXT_PK PRIMARY KEY (EXECUTION_RESULT_ID, IDENTIFIER) ON  VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).EXECRES_STRING_M_EXT ADD CONSTRAINT EXCRESSTRMEXT_PK PRIMARY KEY (EXECUTION_RESULT_ID, IDENTIFIER) ON  VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).EXECRES_INT_EXT ADD CONSTRAINT EXCRESINTEXT_PK PRIMARY KEY (EXECUTION_RESULT_ID, IDENTIFIER) ON  VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).EXECRES_TIMESTAMP_EXT ADD CONSTRAINT EXCRESTIMEEXT_PK PRIMARY KEY (EXECUTION_RESULT_ID, IDENTIFIER) ON  VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).TESTSUITELOG_STRING_EXT ADD CONSTRAINT TSULOGSTREXT_PK PRIMARY KEY (TESTSUITELOG_ID, IDENTIFIER) ON  VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).TESTSUITELOG_STRING_M_EXT ADD CONSTRAINT TSULOGSTRMEXT_PK PRIMARY KEY (TESTSUITELOG_ID, IDENTIFIER) ON  VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).TESTSUITELOG_INT_EXT ADD CONSTRAINT TSULOGINTEXT_PK PRIMARY KEY (TESTSUITELOG_ID, IDENTIFIER) ON  VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).TESTSUITELOG_TIMESTAMP_EXT ADD CONSTRAINT TSULOGTIMEEXT_PK PRIMARY KEY (TESTSUITELOG_ID, IDENTIFIER) ON  VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).ITERATION_EXEC_DETAIL ADD CONSTRAINT ITERDET_PK PRIMARY KEY (ITER_EXEC_DETAIL_ID) ON  VNF_IDX
GO

-- FOREIGN KEY CONSTRAINTS
ALTER TABLE $(CALM_SCHEMA).KEYWORD ADD CONSTRAINT KEYWORD_FK1 FOREIGN KEY (PROJECT_ID)
REFERENCES $(NF_SCHEMA).PROJECT (PROJECT_ID)
GO

ALTER TABLE $(CALM_SCHEMA).KEYWORD ADD CONSTRAINT KEYWORD_FK2 FOREIGN KEY (KEYWORD_CLASS_ID)
REFERENCES $(CALM_SCHEMA).KEYWORD_CLASSIFICATION (KEYWORD_CLASS_ID)
GO

ALTER TABLE $(CALM_SCHEMA).KEYWORD ADD CONSTRAINT KEYWORD_FK3 FOREIGN KEY (DEFAULT_SCRIPT_ID)
REFERENCES $(NF_SCHEMA).TESTSCRIPT (TESTSCRIPT_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).KEYWORD_SCRIPT_LOOKUP ADD CONSTRAINT KWSCRIPT_FK1 FOREIGN KEY (KEYWORD_ID)
REFERENCES $(CALM_SCHEMA).KEYWORD (KEYWORD_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).KEYWORD_SCRIPT_LOOKUP ADD CONSTRAINT KWSCRIPT_FK2 FOREIGN KEY (TESTSCRIPT_ID)
REFERENCES $(NF_SCHEMA).TESTSCRIPT (TESTSCRIPT_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).QUALITY_OBJECTIVE ADD CONSTRAINT QOBJ_FK1 FOREIGN KEY (PROJECT_ID)
REFERENCES $(NF_SCHEMA).PROJECT (PROJECT_ID)
GO

ALTER TABLE $(CALM_SCHEMA).QUALITY_OBJECTIVE ADD CONSTRAINT QOBJ_FK2 FOREIGN KEY (CREATOR_ID)
REFERENCES $(NF_SCHEMA).RESOURCE (RESOURCE_ID)
GO

ALTER TABLE $(CALM_SCHEMA).QUALITY_OBJECTIVE ADD CONSTRAINT QOBJ_FK3 FOREIGN KEY (OBJECTIVE_CLASS_ID)
REFERENCES $(CALM_SCHEMA).OBJECTIVE_CLASSIFICATION (OBJECTIVE_CLASS_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).TESTPLAN_OBJECTIVESTATUS ADD CONSTRAINT TPOBJSTA_FK1 FOREIGN KEY (TESTPLAN_ID)
REFERENCES $(NF_SCHEMA).TESTPLAN (TESTPLAN_ID) ON DELETE CASCADE
GO

ALTER TABLE $(CALM_SCHEMA).TESTPLAN_OBJECTIVESTATUS ADD CONSTRAINT TPOBJSTA_FK2 FOREIGN KEY (OBJECTIVE_ID)
REFERENCES $(CALM_SCHEMA).QUALITY_OBJECTIVE (OBJECTIVE_ID)
GO

ALTER TABLE $(CALM_SCHEMA).TESTPLAN_OBJECTIVE_LOOKUP ADD CONSTRAINT TPOBJ_FK1 FOREIGN KEY (TESTPLAN_ID)
REFERENCES $(NF_SCHEMA).TESTPLAN (TESTPLAN_ID)
GO

ALTER TABLE $(CALM_SCHEMA).TESTPLAN_OBJECTIVE_LOOKUP ADD CONSTRAINT TPOBJ_FK2 FOREIGN KEY (OBJECTIVE_ID)
REFERENCES $(CALM_SCHEMA).QUALITY_OBJECTIVE (OBJECTIVE_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).LABREQUEST ADD CONSTRAINT LABREQ_FK1 FOREIGN KEY (PROJECT_ID)
REFERENCES $(NF_SCHEMA).PROJECT (PROJECT_ID)
GO

ALTER TABLE $(CALM_SCHEMA).LABREQUEST ADD CONSTRAINT LABREQ_FK2 FOREIGN KEY (REQUESTER_ID)
REFERENCES $(NF_SCHEMA).RESOURCE (RESOURCE_ID)
GO

ALTER TABLE $(CALM_SCHEMA).LABREQUEST ADD CONSTRAINT LABREQ_FK3 FOREIGN KEY (FULFILLER_ID)
REFERENCES $(NF_SCHEMA).RESOURCE (RESOURCE_ID)
GO

ALTER TABLE $(CALM_SCHEMA).LABREQUEST ADD CONSTRAINT LABREQ_FK4 FOREIGN KEY (LABREQUEST_CLASS_ID)
REFERENCES $(CALM_SCHEMA).LABREQUEST_CLASSIFICATION (LABREQUEST_CLASS_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).LABREQUEST_CHANGESTATE ADD CONSTRAINT REQCS_FK1 FOREIGN KEY (LABREQUEST_ID)
REFERENCES $(CALM_SCHEMA).LABREQUEST (LABREQUEST_ID) ON DELETE CASCADE
GO

ALTER TABLE $(CALM_SCHEMA).LABREQUEST_CHANGESTATE ADD CONSTRAINT REQCS_FK2 FOREIGN KEY (USER_ID)
REFERENCES $(NF_SCHEMA).RESOURCE (RESOURCE_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).RESERVATION_LABREQUEST_LOOKUP ADD CONSTRAINT RESVREQ_FK1 FOREIGN KEY (RESERVATION_ID)
REFERENCES $(NF_SCHEMA).RESERVATION (RESERVATION_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).RESERVATION_LABREQUEST_LOOKUP ADD CONSTRAINT RESVREQ_FK2 FOREIGN KEY (LABREQUEST_ID)
REFERENCES $(CALM_SCHEMA).LABREQUEST (LABREQUEST_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).TESTPLAN_STRING_EXT ADD CONSTRAINT TPSTREXT_FK1 FOREIGN KEY (TESTPLAN_ID)
REFERENCES $(NF_SCHEMA).TESTPLAN (TESTPLAN_ID) ON DELETE CASCADE
GO
	
ALTER TABLE $(CALM_SCHEMA).TESTPLAN_STRING_M_EXT ADD CONSTRAINT TPSTRMEXT_FK1 FOREIGN KEY (TESTPLAN_ID)
REFERENCES $(NF_SCHEMA).TESTPLAN (TESTPLAN_ID) ON DELETE CASCADE
GO
	
ALTER TABLE $(CALM_SCHEMA).TESTPLAN_INT_EXT ADD CONSTRAINT TPINTEXT_FK1 FOREIGN KEY (TESTPLAN_ID)
REFERENCES $(NF_SCHEMA).TESTPLAN (TESTPLAN_ID) ON DELETE CASCADE
GO
	
ALTER TABLE $(CALM_SCHEMA).TESTPLAN_TIMESTAMP_EXT ADD CONSTRAINT TPTIMEEXT_FK1 FOREIGN KEY (TESTPLAN_ID)
REFERENCES $(NF_SCHEMA).TESTPLAN (TESTPLAN_ID) ON DELETE CASCADE
GO
	
ALTER TABLE $(CALM_SCHEMA).TESTCASE_STRING_EXT ADD CONSTRAINT TCSTREXT_FK1 FOREIGN KEY (TESTCASE_ID)
REFERENCES $(NF_SCHEMA).TESTCASE (TESTCASE_ID) ON DELETE CASCADE
GO

ALTER TABLE $(CALM_SCHEMA).TESTCASE_STRING_M_EXT ADD CONSTRAINT TCSTRMEXT_FK1 FOREIGN KEY (TESTCASE_ID)
REFERENCES $(NF_SCHEMA).TESTCASE (TESTCASE_ID) ON DELETE CASCADE
GO
	
ALTER TABLE $(CALM_SCHEMA).TESTCASE_INT_EXT ADD CONSTRAINT TCINTEXT_FK1 FOREIGN KEY (TESTCASE_ID)
REFERENCES $(NF_SCHEMA).TESTCASE (TESTCASE_ID) ON DELETE CASCADE
GO
	
ALTER TABLE $(CALM_SCHEMA).TESTCASE_TIMESTAMP_EXT ADD CONSTRAINT TCTIMEEXT_FK1 FOREIGN KEY (TESTCASE_ID)
REFERENCES $(NF_SCHEMA).TESTCASE (TESTCASE_ID) ON DELETE CASCADE
GO
	
ALTER TABLE $(CALM_SCHEMA).TESTSCRIPT_STRING_EXT ADD CONSTRAINT TSCSTREXT_FK1 FOREIGN KEY (TESTSCRIPT_ID)
REFERENCES $(NF_SCHEMA).TESTSCRIPT (TESTSCRIPT_ID) ON DELETE CASCADE
GO
	
ALTER TABLE $(CALM_SCHEMA).TESTSCRIPT_STRING_M_EXT ADD CONSTRAINT TSCSTRMEXT_FK1 FOREIGN KEY (TESTSCRIPT_ID)
REFERENCES $(NF_SCHEMA).TESTSCRIPT (TESTSCRIPT_ID) ON DELETE CASCADE
GO
	
ALTER TABLE $(CALM_SCHEMA).TESTSCRIPT_INT_EXT ADD CONSTRAINT TSCINTEXT_FK1 FOREIGN KEY (TESTSCRIPT_ID)
REFERENCES $(NF_SCHEMA).TESTSCRIPT (TESTSCRIPT_ID) ON DELETE CASCADE
GO
	
ALTER TABLE $(CALM_SCHEMA).TESTSCRIPT_TIMESTAMP_EXT ADD CONSTRAINT TSCTIMEEXT_FK1 FOREIGN KEY (TESTSCRIPT_ID)
REFERENCES $(NF_SCHEMA).TESTSCRIPT (TESTSCRIPT_ID) ON DELETE CASCADE
GO
	
ALTER TABLE $(CALM_SCHEMA).TESTSUITE_STRING_EXT ADD CONSTRAINT TSUSTREXT_FK1 FOREIGN KEY (TESTSUITE_ID)
REFERENCES $(NF_SCHEMA).TESTSUITE (TESTSUITE_ID) ON DELETE CASCADE
GO
	
ALTER TABLE $(CALM_SCHEMA).TESTSUITE_STRING_M_EXT ADD CONSTRAINT TSUSTRMEXT_FK1 FOREIGN KEY (TESTSUITE_ID)
REFERENCES $(NF_SCHEMA).TESTSUITE (TESTSUITE_ID) ON DELETE CASCADE
GO
	
ALTER TABLE $(CALM_SCHEMA).TESTSUITE_INT_EXT ADD CONSTRAINT TSUINTEXT_FK1 FOREIGN KEY (TESTSUITE_ID)
REFERENCES $(NF_SCHEMA).TESTSUITE (TESTSUITE_ID) ON DELETE CASCADE
GO
	
ALTER TABLE $(CALM_SCHEMA).TESTSUITE_TIMESTAMP_EXT ADD CONSTRAINT TSUTIMEEXT_FK1 FOREIGN KEY (TESTSUITE_ID)
REFERENCES $(NF_SCHEMA).TESTSUITE (TESTSUITE_ID) ON DELETE CASCADE
GO
	
ALTER TABLE $(CALM_SCHEMA).EXECRES_STRING_EXT ADD CONSTRAINT EXCRESSTREXT_FK1 FOREIGN KEY (EXECUTION_RESULT_ID)
REFERENCES $(NF_SCHEMA).EXECUTION_RESULT (EXECUTION_RESULT_ID) ON DELETE CASCADE
GO
	
ALTER TABLE $(CALM_SCHEMA).EXECRES_STRING_M_EXT ADD CONSTRAINT EXCRESSTRMEXT_FK1 FOREIGN KEY (EXECUTION_RESULT_ID)
REFERENCES $(NF_SCHEMA).EXECUTION_RESULT (EXECUTION_RESULT_ID) ON DELETE CASCADE
GO
	
ALTER TABLE $(CALM_SCHEMA).EXECRES_INT_EXT ADD CONSTRAINT EXCRESINTEXT_FK1 FOREIGN KEY (EXECUTION_RESULT_ID)
REFERENCES $(NF_SCHEMA).EXECUTION_RESULT (EXECUTION_RESULT_ID) ON DELETE CASCADE
GO
	
ALTER TABLE $(CALM_SCHEMA).EXECRES_TIMESTAMP_EXT ADD CONSTRAINT EXCRESTIMEEXT_FK1 FOREIGN KEY (EXECUTION_RESULT_ID)
REFERENCES $(NF_SCHEMA).EXECUTION_RESULT (EXECUTION_RESULT_ID) ON DELETE CASCADE
GO
	
ALTER TABLE $(CALM_SCHEMA).TESTSUITELOG_STRING_EXT ADD CONSTRAINT TSULOGSTREXT_FK1 FOREIGN KEY (TESTSUITELOG_ID)
REFERENCES $(NF_SCHEMA).TESTSUITELOG (TESTSUITELOG_ID) ON DELETE CASCADE
GO
	
ALTER TABLE $(CALM_SCHEMA).TESTSUITELOG_STRING_M_EXT ADD CONSTRAINT TSULOGSTRMEXT_FK1 FOREIGN KEY (TESTSUITELOG_ID)
REFERENCES $(NF_SCHEMA).TESTSUITELOG (TESTSUITELOG_ID) ON DELETE CASCADE
GO
	
ALTER TABLE $(CALM_SCHEMA).TESTSUITELOG_INT_EXT ADD CONSTRAINT TSULOGINTEXT_FK1 FOREIGN KEY (TESTSUITELOG_ID)
REFERENCES $(NF_SCHEMA).TESTSUITELOG (TESTSUITELOG_ID) ON DELETE CASCADE
GO
	
ALTER TABLE $(CALM_SCHEMA).TESTSUITELOG_TIMESTAMP_EXT ADD CONSTRAINT TSULOGTIMEEXT_FK1 FOREIGN KEY (TESTSUITELOG_ID)
REFERENCES $(NF_SCHEMA).TESTSUITELOG (TESTSUITELOG_ID) ON DELETE CASCADE
GO
	
ALTER TABLE $(CALM_SCHEMA).ITERATION_EXEC_DETAIL ADD CONSTRAINT ITERDET_FK1 FOREIGN KEY (ITERATION_ID)
REFERENCES $(NF_SCHEMA).ITERATION (ITERATION_ID) ON DELETE CASCADE
GO
	
-- LOOKUP HIERARCHY TRIGGERS
CREATE TRIGGER TRG_KWSCRD
    ON $(CALM_SCHEMA).KEYWORD

    FOR UPDATE
AS
BEGIN 

  DELETE FROM $(CALM_SCHEMA).KEYWORD_SCRIPT_LOOKUP  WHERE  KEYWORD_ID IN 
  (SELECT  KEYWORD_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_TPOBJSTAD
    ON $(NF_SCHEMA).TESTPLAN

    FOR UPDATE
AS
BEGIN 

  UPDATE $(CALM_SCHEMA).TESTPLAN_OBJECTIVESTATUS SET ISSOFTDELETED=1 WHERE  TESTPLAN_ID IN 
  (SELECT  TESTPLAN_ID FROM INSERTED )
 END
GO

CREATE TRIGGER TRG_TPOBJD
    ON $(NF_SCHEMA).TESTPLAN

    FOR UPDATE
AS
BEGIN 

  DELETE FROM $(CALM_SCHEMA).TESTPLAN_OBJECTIVE_LOOKUP  WHERE  TESTPLAN_ID IN 
  (SELECT  TESTPLAN_ID FROM INSERTED )
 END
GO
	
	
CREATE TRIGGER TRG_REQCSD
    ON $(CALM_SCHEMA).LABREQUEST

    FOR UPDATE
AS
BEGIN 

  DELETE FROM $(CALM_SCHEMA).LABREQUEST_CHANGESTATE  WHERE  LABREQUEST_ID IN 
  (SELECT  LABREQUEST_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_RESVREQD
    ON $(NF_SCHEMA).RESERVATION

    FOR UPDATE
AS
BEGIN 

  DELETE FROM $(CALM_SCHEMA).RESERVATION_LABREQUEST_LOOKUP  WHERE  RESERVATION_ID IN 
  (SELECT  RESERVATION_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_TPSTREXTD
    ON $(NF_SCHEMA).TESTPLAN

    FOR UPDATE
AS
BEGIN 

  UPDATE $(CALM_SCHEMA).TESTPLAN_STRING_EXT SET ISSOFTDELETED=1 WHERE  TESTPLAN_ID IN 
  (SELECT  TESTPLAN_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_TPSTRMEXTD
    ON $(NF_SCHEMA).TESTPLAN

    FOR UPDATE
AS
BEGIN 

  UPDATE $(CALM_SCHEMA).TESTPLAN_STRING_M_EXT SET ISSOFTDELETED=1 WHERE  TESTPLAN_ID IN 
  (SELECT  TESTPLAN_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_TPINTEXTD
    ON $(NF_SCHEMA).TESTPLAN

    FOR UPDATE
AS
BEGIN 

  UPDATE $(CALM_SCHEMA).TESTPLAN_INT_EXT SET ISSOFTDELETED=1 WHERE  TESTPLAN_ID IN 
  (SELECT  TESTPLAN_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_TPTIMEEXTD
    ON $(NF_SCHEMA).TESTPLAN

    FOR UPDATE
AS
BEGIN 

  UPDATE $(CALM_SCHEMA).TESTPLAN_TIMESTAMP_EXT SET ISSOFTDELETED=1 WHERE  TESTPLAN_ID IN 
  (SELECT  TESTPLAN_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_TCSTREXTD
    ON $(NF_SCHEMA).TESTCASE

    FOR UPDATE
AS
BEGIN 

  UPDATE $(CALM_SCHEMA).TESTCASE_STRING_EXT SET ISSOFTDELETED=1 WHERE  TESTCASE_ID IN 
  (SELECT  TESTCASE_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_TCSTRMEXTD
    ON $(NF_SCHEMA).TESTCASE

    FOR UPDATE
AS
BEGIN 

  UPDATE $(CALM_SCHEMA).TESTCASE_STRING_M_EXT SET ISSOFTDELETED=1 WHERE  TESTCASE_ID IN 
  (SELECT  TESTCASE_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_TCINTEXTD
    ON $(NF_SCHEMA).TESTCASE

    FOR UPDATE
AS
BEGIN 

  UPDATE $(CALM_SCHEMA).TESTCASE_INT_EXT SET ISSOFTDELETED=1 WHERE  TESTCASE_ID IN 
  (SELECT  TESTCASE_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_TCTIMEEXTD
    ON $(NF_SCHEMA).TESTCASE

    FOR UPDATE
AS
BEGIN 

  UPDATE $(CALM_SCHEMA).TESTCASE_TIMESTAMP_EXT SET ISSOFTDELETED=1 WHERE  TESTCASE_ID IN 
  (SELECT  TESTCASE_ID FROM INSERTED )
 END
GO

CREATE TRIGGER TRG_TSCSTREXTD
    ON $(NF_SCHEMA).TESTSCRIPT

    FOR UPDATE
AS
BEGIN 

  UPDATE $(CALM_SCHEMA).TESTSCRIPT_STRING_EXT SET ISSOFTDELETED=1 WHERE  TESTSCRIPT_ID IN 
  (SELECT  TESTSCRIPT_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_TSCSTRMEXTD
    ON $(NF_SCHEMA).TESTSCRIPT

    FOR UPDATE
AS
BEGIN 

  UPDATE $(CALM_SCHEMA).TESTSCRIPT_STRING_M_EXT SET ISSOFTDELETED=1 WHERE  TESTSCRIPT_ID IN 
  (SELECT  TESTSCRIPT_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_TSCINTEXTD
    ON $(NF_SCHEMA).TESTSCRIPT

    FOR UPDATE
AS
BEGIN 

  UPDATE $(CALM_SCHEMA).TESTSCRIPT_INT_EXT SET ISSOFTDELETED=1 WHERE  TESTSCRIPT_ID IN 
  (SELECT  TESTSCRIPT_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_TSCTIMEEXTD
    ON $(NF_SCHEMA).TESTSCRIPT

    FOR UPDATE
AS
BEGIN 

  UPDATE $(CALM_SCHEMA).TESTSCRIPT_TIMESTAMP_EXT SET ISSOFTDELETED=1 WHERE  TESTSCRIPT_ID IN 
  (SELECT  TESTSCRIPT_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_TSUSTREXTD
    ON $(NF_SCHEMA).TESTSUITE

    FOR UPDATE
AS
BEGIN 

  UPDATE $(CALM_SCHEMA).TESTSUITE_STRING_EXT SET ISSOFTDELETED=1 WHERE  TESTSUITE_ID IN 
  (SELECT  TESTSUITE_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_TSUSTRMEXTD
    ON $(NF_SCHEMA).TESTSUITE

    FOR UPDATE
AS
BEGIN 

  UPDATE $(CALM_SCHEMA).TESTSUITE_STRING_M_EXT SET ISSOFTDELETED=1 WHERE  TESTSUITE_ID IN 
  (SELECT  TESTSUITE_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_TSUINTEXTD
    ON $(NF_SCHEMA).TESTSUITE

    FOR UPDATE
AS
BEGIN 

  UPDATE $(CALM_SCHEMA).TESTSUITE_INT_EXT SET ISSOFTDELETED=1 WHERE  TESTSUITE_ID IN 
  (SELECT  TESTSUITE_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_TSUTIMEEXTD
    ON $(NF_SCHEMA).TESTSUITE

    FOR UPDATE
AS
BEGIN 

  UPDATE $(CALM_SCHEMA).TESTSUITE_TIMESTAMP_EXT SET ISSOFTDELETED=1 WHERE  TESTSUITE_ID IN 
  (SELECT  TESTSUITE_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_EXCRESSTREXTD
    ON $(NF_SCHEMA).EXECUTION_RESULT

    FOR UPDATE
AS
BEGIN 

  UPDATE $(CALM_SCHEMA).EXECRES_STRING_EXT SET ISSOFTDELETED=1 WHERE  EXECUTION_RESULT_ID IN 
  (SELECT  EXECUTION_RESULT_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_EXCRESSTRMEXTD
    ON $(NF_SCHEMA).EXECUTION_RESULT

    FOR UPDATE
AS
BEGIN 

  UPDATE $(CALM_SCHEMA).EXECRES_STRING_M_EXT SET ISSOFTDELETED=1 WHERE  EXECUTION_RESULT_ID IN 
  (SELECT  EXECUTION_RESULT_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_EXCRESINTEXTD
    ON $(NF_SCHEMA).EXECUTION_RESULT

    FOR UPDATE
AS
BEGIN 

  UPDATE $(CALM_SCHEMA).EXECRES_INT_EXT SET ISSOFTDELETED=1 WHERE  EXECUTION_RESULT_ID IN 
  (SELECT  EXECUTION_RESULT_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_EXCRESTIMEEXTD
    ON $(NF_SCHEMA).EXECUTION_RESULT

    FOR UPDATE
AS
BEGIN 

  UPDATE $(CALM_SCHEMA).EXECRES_TIMESTAMP_EXT SET ISSOFTDELETED=1 WHERE  EXECUTION_RESULT_ID IN 
  (SELECT  EXECUTION_RESULT_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_TSULOGSTREXTD
    ON $(NF_SCHEMA).TESTSUITELOG

    FOR UPDATE
AS
BEGIN 

  UPDATE $(CALM_SCHEMA).TESTSUITELOG_STRING_EXT SET ISSOFTDELETED=1 WHERE  TESTSUITELOG_ID IN 
  (SELECT  TESTSUITELOG_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_TSULOGSTRMEXTD
    ON $(NF_SCHEMA).TESTSUITELOG

    FOR UPDATE
AS
BEGIN 

  UPDATE $(CALM_SCHEMA).TESTSUITELOG_STRING_M_EXT SET ISSOFTDELETED=1 WHERE  TESTSUITELOG_ID IN 
  (SELECT  TESTSUITELOG_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_TSULOGINTEXTD
    ON $(NF_SCHEMA).TESTSUITELOG

    FOR UPDATE
AS
BEGIN 

  UPDATE $(CALM_SCHEMA).TESTSUITELOG_INT_EXT SET ISSOFTDELETED=1 WHERE  TESTSUITELOG_ID IN 
  (SELECT  TESTSUITELOG_ID FROM INSERTED )
 END
GO

CREATE TRIGGER TRG_TSULOGTIMEEXTD
    ON $(NF_SCHEMA).TESTSUITELOG

    FOR UPDATE
AS
BEGIN 

  UPDATE $(CALM_SCHEMA).TESTSUITELOG_TIMESTAMP_EXT SET ISSOFTDELETED=1 WHERE  TESTSUITELOG_ID IN 
  (SELECT  TESTSUITELOG_ID FROM INSERTED )
 END
GO

CREATE TRIGGER TRG_ITERDETD
    ON $(NF_SCHEMA).ITERATION

    FOR UPDATE
AS
BEGIN 
	
  UPDATE $(CALM_SCHEMA).ITERATION_EXEC_DETAIL SET ISSOFTDELETED=1 WHERE  ITERATION_ID IN 
  (SELECT  ITERATION_ID FROM INSERTED )
 END
GO

CREATE TRIGGER TRG_REQUIATTRD 
	ON $(NF_SCHEMA).REQUIREMENT 
	
	FOR UPDATE 
AS 
BEGIN 
	
	DELETE FROM $(CALM_SCHEMA).RQRMENT_ENUMERATION  WHERE  REQUIREMENT_ID IN 
	(SELECT  REQUIREMENT_ID FROM INSERTED) 
 END
GO