CREATE TABLE RIODS.CHARGECODE ( CHARGECODE_ID INT NOT NULL, REFERENCE_ID NVARCHAR(50), EXTERNAL_ID NVARCHAR(100), NAME NVARCHAR(255) DEFAULT 'Charge Code Name Missing' NOT NULL, PARENT_CHARGECODE_ID INT DEFAULT -1 NOT NULL, CHARGECODE_STATE NVARCHAR(255), EXTERNAL_KEY1 INT DEFAULT -1 NOT NULL, EXTERNAL_KEY2 NCHAR(40) DEFAULT '-1' NOT NULL, SOURCE_ID NVARCHAR(36) DEFAULT '-1' NOT NULL, URL NVARCHAR(2048), REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL, ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  ON VNF_32K
GO

ALTER TABLE RIODS.CHARGECODE ADD CONSTRAINT CHARGECODE_PK PRIMARY KEY(CHARGECODE_ID) ON  VNF_IDX
GO

INSERT INTO RIODS.CHARGECODE (CHARGECODE_ID, NAME ) (SELECT -1 AS CHARGECODE_ID, 'Info not available' AS NAME WHERE NOT EXISTS (SELECT CHARGECODE_ID  FROM RIODS.CHARGECODE WHERE CHARGECODE_ID=-1))
GO

CREATE INDEX CHARGECODE_IDX1 ON RIODS.CHARGECODE (SOURCE_ID,ISSOFTDELETED) ON VNF_IDX
GO

CREATE INDEX CHARGECODE_IDX2 ON RIODS.CHARGECODE (EXTERNAL_KEY1) ON VNF_IDX
GO

CREATE INDEX CHARGECODE_IDX3 ON RIODS.CHARGECODE (EXTERNAL_KEY2) ON VNF_IDX
GO

CREATE INDEX CHARGECODE_IDX4 ON RIODS.CHARGECODE (EXTERNAL_KEY1,SOURCE_ID) ON VNF_IDX
GO

CREATE INDEX CHARGECODE_IDX5 ON RIODS.CHARGECODE (EXTERNAL_KEY2,SOURCE_ID) ON VNF_IDX
GO

CREATE TABLE RIODS.CITY ( CITY_ID INT NOT NULL, REFERENCE_ID NVARCHAR(50), EXTERNAL_ID NVARCHAR(100), NAME NVARCHAR(255) DEFAULT 'City Name Missing' NOT NULL, PROVINCE_STATE_ID INT DEFAULT -1 NOT NULL, EXTERNAL_KEY1 INT DEFAULT -1 NOT NULL, EXTERNAL_KEY2 NCHAR(40) DEFAULT '-1' NOT NULL, SOURCE_ID NVARCHAR(36) DEFAULT '-1' NOT NULL, URL NVARCHAR(2048), REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL, ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  ON VNF_32K
GO

ALTER TABLE RIODS.CITY ADD CONSTRAINT CITY_PK PRIMARY KEY(CITY_ID) ON  VNF_IDX
GO

INSERT INTO RIODS.CITY (CITY_ID,  NAME) (SELECT -1 AS CITY_ID, 'Info not available' AS NAME WHERE NOT EXISTS (SELECT CITY_ID FROM RIODS.CITY WHERE CITY_ID=-1))
GO

CREATE INDEX CITY_IDX1 ON RIODS.CITY (SOURCE_ID,ISSOFTDELETED) ON VNF_IDX
GO

CREATE INDEX CITY_IDX2 ON RIODS.CITY (EXTERNAL_KEY1) ON VNF_IDX
GO

CREATE INDEX CITY_IDX3 ON RIODS.CITY (EXTERNAL_KEY2) ON VNF_IDX
GO

CREATE INDEX CITY_IDX4 ON RIODS.CITY (EXTERNAL_KEY1,SOURCE_ID) ON VNF_IDX
GO

CREATE INDEX CITY_IDX5 ON RIODS.CITY (EXTERNAL_KEY2,SOURCE_ID) ON VNF_IDX
GO

CREATE TABLE RIODS.COMPETENCY ( COMPETENCY_ID INT NOT NULL, NAME NVARCHAR(255) DEFAULT 'Competency Name Missing' NOT NULL, REFERENCE_ID NVARCHAR(50), EXTERNAL_ID NVARCHAR(100), URL NVARCHAR(2048), EXTERNAL_KEY1 INT DEFAULT -1 NOT NULL, EXTERNAL_KEY2 NCHAR(40) DEFAULT '-1' NOT NULL, SOURCE_ID NVARCHAR(36) DEFAULT '-1' NOT NULL, REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL, ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  ON VNF_32K
GO

ALTER TABLE RIODS.COMPETENCY ADD CONSTRAINT COMPETENCY_PK PRIMARY KEY(COMPETENCY_ID) ON  VNF_IDX
GO

INSERT INTO RIODS.COMPETENCY (COMPETENCY_ID, NAME ) (SELECT -1 AS COMPETENCY_ID, 'Info not available' AS NAME WHERE NOT EXISTS (SELECT COMPETENCY_ID FROM RIODS.COMPETENCY WHERE COMPETENCY_ID=-1))
GO

CREATE INDEX COMPETENCY_IDX1 ON RIODS.COMPETENCY (SOURCE_ID,ISSOFTDELETED) ON VNF_IDX
GO

CREATE INDEX COMPETENCY_IDX2 ON RIODS.COMPETENCY (EXTERNAL_KEY1) ON VNF_IDX
GO

CREATE INDEX COMPETENCY_IDX3 ON RIODS.COMPETENCY (EXTERNAL_KEY2) ON VNF_IDX
GO

CREATE INDEX COMPETENCY_IDX4 ON RIODS.COMPETENCY (EXTERNAL_KEY1,SOURCE_ID) ON VNF_IDX
GO

CREATE INDEX COMPETENCY_IDX5 ON RIODS.COMPETENCY (EXTERNAL_KEY2,SOURCE_ID) ON VNF_IDX
GO

CREATE TABLE RIODS.COUNTRY ( COUNTRY_ID INT NOT NULL, REFERENCE_ID NVARCHAR(50), EXTERNAL_ID NVARCHAR(100), NAME NVARCHAR(255) DEFAULT 'Country Name Missing' NOT NULL, TERRITORY_ID INT DEFAULT -1 NOT NULL, EXTERNAL_KEY1 INT DEFAULT -1 NOT NULL, EXTERNAL_KEY2 NCHAR(40) DEFAULT '-1' NOT NULL, SOURCE_ID NVARCHAR(36) DEFAULT '-1' NOT NULL, URL NVARCHAR(2048), REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL, ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  ON VNF_32K
GO

ALTER TABLE RIODS.COUNTRY ADD CONSTRAINT COUNTRY_PK PRIMARY KEY(COUNTRY_ID) ON  VNF_IDX
GO

INSERT INTO RIODS.COUNTRY (COUNTRY_ID, NAME) (SELECT -1 AS COUNTRY_ID, 'Info not available' AS NAME WHERE NOT EXISTS (SELECT COUNTRY_ID FROM RIODS.COUNTRY WHERE COUNTRY_ID=-1))
GO

CREATE INDEX COUNTRY_IDX1 ON RIODS.COUNTRY (SOURCE_ID,ISSOFTDELETED) ON VNF_IDX
GO

CREATE INDEX COUNTRY_IDX2 ON RIODS.COUNTRY (EXTERNAL_KEY1) ON VNF_IDX
GO

CREATE INDEX COUNTRY_IDX3 ON RIODS.COUNTRY (EXTERNAL_KEY2) ON VNF_IDX
GO

CREATE INDEX COUNTRY_IDX4 ON RIODS.COUNTRY (EXTERNAL_KEY1,SOURCE_ID) ON VNF_IDX
GO

CREATE INDEX COUNTRY_IDX5 ON RIODS.COUNTRY (EXTERNAL_KEY2,SOURCE_ID) ON VNF_IDX
GO

CREATE TABLE RIODS.ITERATION_BASELINE ( BASELINE_ID INT NOT NULL, NAME NVARCHAR(255) DEFAULT 'Iteration Baseline Name Missing' NOT NULL, REFERENCE_ID NVARCHAR(50), EXTERNAL_ID NVARCHAR(100), ITERATION_ID INT DEFAULT -1 NOT NULL, BASELINE_DATE DATETIME, PLANNED_START DATETIME, PLANNED_FINISH DATETIME, PLANNED_WORK INT, BASELINE_WORK_COMPLETED INT, PLANNED_COST DECIMAL(18,2), BASELINE_COST_COMPLETED DECIMAL(18,2), PLANNED_DURATION INT, URL NVARCHAR(2048), EXTERNAL_KEY1 INT DEFAULT -1 NOT NULL, EXTERNAL_KEY2 NCHAR(80) DEFAULT '-1' NOT NULL, SOURCE_ID NVARCHAR(36) DEFAULT '-1' NOT NULL, REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL, ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL)  ON VNF_32K
GO

ALTER TABLE RIODS.ITERATION_BASELINE ADD CONSTRAINT ITERBASELINE_PK PRIMARY KEY(BASELINE_ID, ITERATION_ID) ON  VNF_IDX
GO

CREATE INDEX ITERBASELINE_IDX1 ON RIODS.ITERATION_BASELINE (SOURCE_ID,ISSOFTDELETED) ON VNF_IDX
GO

CREATE INDEX ITERBASELINE_IDX2 ON RIODS.ITERATION_BASELINE (EXTERNAL_KEY1) ON VNF_IDX
GO

CREATE INDEX ITERBASELINE_IDX3 ON RIODS.ITERATION_BASELINE (EXTERNAL_KEY2) ON VNF_IDX
GO

CREATE INDEX ITERBASELINE_IDX4 ON RIODS.ITERATION_BASELINE (EXTERNAL_KEY1,SOURCE_ID) ON VNF_IDX
GO

CREATE INDEX ITERBASELINE_IDX5 ON RIODS.ITERATION_BASELINE (EXTERNAL_KEY2,SOURCE_ID) ON VNF_IDX
GO

CREATE TABLE RIODS.ITERATION_DETAIL ( ITERATION_ID INT NOT NULL, ACTUAL_DURATION INT DEFAULT 0 NOT NULL, ACTUAL_WORK INT DEFAULT 0 NOT NULL, ACTUAL_WORK_VARIANCE INT DEFAULT 0 NOT NULL, ACTUAL_START_VARIANCE INT DEFAULT 0 NOT NULL, ACTUAL_FINISH_VARIANCE INT DEFAULT 0 NOT NULL, ACTUAL_START DATETIME, ACTUAL_FINISH DATETIME, ACTUAL_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL, ACTUAL_COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL, BASELINE_DURATION INT DEFAULT 0 NOT NULL, BASELINE_WORK INT DEFAULT 0 NOT NULL, BASELINE_WORK_VARIANCE INT DEFAULT 0 NOT NULL, BASELINE_FINISH_VARIANCE INT DEFAULT 0 NOT NULL, BASELINE_START_VARIANCE INT DEFAULT 0 NOT NULL, BASELINE_COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL, BASELINE_START DATETIME, BASELINE_FINISH DATETIME, PLANNED_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL, COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL, PLANNED_DURATION INT DEFAULT 0 NOT NULL, PLANNED_WORK INT DEFAULT 0 NOT NULL, WORK_VARIANCE INT DEFAULT 0 NOT NULL, START_VARIANCE INT DEFAULT 0 NOT NULL, FINISH_VARIANCE INT DEFAULT 0 NOT NULL, DURATION_VARIANCE INT DEFAULT 0 NOT NULL, PLANNED_START DATETIME, PLANNED_FINISH DATETIME, PERCENT_COMPLETE DECIMAL(5,2), PERCENT_WORK_COMPLETE DECIMAL(5,2) )  ON VNF_32K
GO

ALTER TABLE RIODS.ITERATION_DETAIL ADD CONSTRAINT ITERDET_PK PRIMARY KEY(ITERATION_ID) ON  VNF_IDX
GO

CREATE TABLE RIODS.OPERATING_TERRITORY ( TERRITORY_ID INT NOT NULL, REFERENCE_ID NVARCHAR(50), EXTERNAL_ID NVARCHAR(100), NAME NVARCHAR(255) DEFAULT 'Territory Name Missing' NOT NULL, EXTERNAL_KEY1 INT DEFAULT -1 NOT NULL, EXTERNAL_KEY2 NCHAR(40) DEFAULT '-1' NOT NULL, SOURCE_ID NVARCHAR(36) DEFAULT '-1' NOT NULL, URL NVARCHAR(2048), REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL, ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  ON VNF_32K
GO

ALTER TABLE RIODS.OPERATING_TERRITORY ADD CONSTRAINT OPTERRITORY_PK PRIMARY KEY(TERRITORY_ID) ON  VNF_IDX
GO

INSERT INTO RIODS.OPERATING_TERRITORY (TERRITORY_ID, NAME ) (SELECT -1 AS TERRITORY_ID, 'Info not available' AS NAME WHERE NOT EXISTS (SELECT TERRITORY_ID FROM RIODS.OPERATING_TERRITORY WHERE TERRITORY_ID=-1))
GO

CREATE INDEX OPERTERRI_IDX1 ON RIODS.OPERATING_TERRITORY (SOURCE_ID,ISSOFTDELETED) ON VNF_IDX
GO

CREATE INDEX OPERTERRI_IDX2 ON RIODS.OPERATING_TERRITORY (EXTERNAL_KEY1) ON VNF_IDX
GO

CREATE INDEX OPERTERRI_IDX3 ON RIODS.OPERATING_TERRITORY (EXTERNAL_KEY2) ON VNF_IDX
GO

CREATE INDEX OPERTERRI_IDX4 ON RIODS.OPERATING_TERRITORY (EXTERNAL_KEY1,SOURCE_ID) ON VNF_IDX
GO

CREATE INDEX OPERTERRI_IDX5 ON RIODS.OPERATING_TERRITORY (EXTERNAL_KEY2,SOURCE_ID) ON VNF_IDX
GO

CREATE TABLE RIODS.ORGANIZATION ( ORGANIZATION_ID INT NOT NULL, REFERENCE_ID NVARCHAR(50), EXTERNAL_ID NVARCHAR(100), NAME NVARCHAR(255) DEFAULT 'Organization Name Missing' NOT NULL, EXTERNAL_KEY1 INT DEFAULT -1 NOT NULL, EXTERNAL_KEY2 NCHAR(40) DEFAULT '-1' NOT NULL, SOURCE_ID NVARCHAR(36) DEFAULT '-1' NOT NULL, URL NVARCHAR(2048), REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL, ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  ON VNF_32K
GO

ALTER TABLE RIODS.ORGANIZATION ADD CONSTRAINT ORGANIZATION_PK PRIMARY KEY(ORGANIZATION_ID) ON  VNF_IDX
GO

INSERT INTO RIODS.ORGANIZATION (ORGANIZATION_ID, NAME) (SELECT -1 AS ORGANIZATION_ID, 'Info not available' AS NAME WHERE NOT EXISTS (SELECT ORGANIZATION_ID FROM RIODS.ORGANIZATION WHERE ORGANIZATION_ID=-1))
GO

CREATE TABLE RIODS.PROFILE ( PROFILE_ID INT NOT NULL, NAME NVARCHAR(50) DEFAULT 'Profile Name Missing' NOT NULL, REFERENCE_ID NVARCHAR(50), EXTERNAL_ID NVARCHAR(100), RATE DECIMAL(18,2), CREATION_DATE DATETIME, EXPERIENCE_IN_MONTHS INT, CITY_ID INT DEFAULT -1 NOT NULL, ORGANIZATION_ID INT DEFAULT -1 NOT NULL, URL NVARCHAR(2048), EXTERNAL_KEY1 INT DEFAULT -1 NOT NULL, EXTERNAL_KEY2 NCHAR(40) DEFAULT '-1' NOT NULL, SOURCE_ID NVARCHAR(36) DEFAULT '-1' NOT NULL, REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL, ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  ON VNF_32K
GO

ALTER TABLE RIODS.PROFILE ADD CONSTRAINT PROFILE_PK PRIMARY KEY(PROFILE_ID) ON  VNF_IDX
GO

INSERT INTO RIODS.PROFILE (PROFILE_ID, NAME ) (SELECT -1 AS PROFILE_ID, 'Info not available' AS NAME WHERE NOT EXISTS (SELECT PROFILE_ID FROM RIODS.PROFILE WHERE PROFILE_ID=-1))
GO

CREATE TABLE RIODS.PROFILE_COMPETENCY_LOOKUP ( PROFILE_ID INT NOT NULL, COMPETENCY_ID INT NOT NULL )  ON VNF_32K
GO

ALTER TABLE RIODS.PROFILE_COMPETENCY_LOOKUP ADD CONSTRAINT PROCOMPETENCY_PK PRIMARY KEY(PROFILE_ID, COMPETENCY_ID) ON  VNF_IDX
GO

CREATE TABLE RIODS.SKILL ( SKILL_ID INT NOT NULL, NAME NVARCHAR(255) DEFAULT 'Skill Name Missing' NOT NULL, REFERENCE_ID NVARCHAR(50), EXTERNAL_ID NVARCHAR(100), URL NVARCHAR(2048), EXTERNAL_KEY1 INT DEFAULT -1 NOT NULL, EXTERNAL_KEY2 NCHAR(40) DEFAULT '-1' NOT NULL, SOURCE_ID NVARCHAR(36) DEFAULT '-1' NOT NULL, REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL, ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  ON VNF_32K
GO

ALTER TABLE RIODS.SKILL ADD CONSTRAINT SKILL_PK PRIMARY KEY(SKILL_ID) ON  VNF_IDX
GO

INSERT INTO RIODS.SKILL (SKILL_ID, NAME) (SELECT -1 AS SKILL_ID, 'Info not available' AS NAME WHERE NOT EXISTS (SELECT SKILL_ID FROM RIODS.SKILL WHERE SKILL_ID=-1))
GO

CREATE INDEX SKILL_IDX1 ON RIODS.SKILL (SOURCE_ID,ISSOFTDELETED) ON VNF_IDX
GO

CREATE INDEX SKILL_IDX2 ON RIODS.SKILL (EXTERNAL_KEY1) ON VNF_IDX
GO

CREATE INDEX SKILL_IDX3 ON RIODS.SKILL (EXTERNAL_KEY2) ON VNF_IDX
GO

CREATE INDEX SKILL_IDX4 ON RIODS.SKILL (EXTERNAL_KEY1,SOURCE_ID) ON VNF_IDX
GO

CREATE INDEX SKILL_IDX5 ON RIODS.SKILL (EXTERNAL_KEY2,SOURCE_ID) ON VNF_IDX
GO

CREATE TABLE RIODS.PROGRAM ( PROGRAM_ID INT NOT NULL, NAME NVARCHAR(255) DEFAULT 'Program Name Missing' NOT NULL, REFERENCE_ID NVARCHAR(50), EXTERNAL_ID NVARCHAR(100), PROGRAM_MANAGER INT DEFAULT -1 NOT NULL, URL NVARCHAR(2048), EXTERNAL_KEY1 INT DEFAULT -1 NOT NULL, EXTERNAL_KEY2 NCHAR(40) DEFAULT '-1' NOT NULL, SOURCE_ID NVARCHAR(36) DEFAULT '-1' NOT NULL, REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL, ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  ON VNF_32K
GO

ALTER TABLE RIODS.PROGRAM ADD CONSTRAINT PROGRAM_PK PRIMARY KEY(PROGRAM_ID) ON  VNF_IDX
GO

INSERT INTO RIODS.PROGRAM (PROGRAM_ID,NAME) (SELECT -1 AS PROGRAM_ID, 'Info not available' AS NAME WHERE NOT EXISTS (SELECT PROGRAM_ID FROM RIODS.PROGRAM WHERE PROGRAM_ID=-1))
GO

CREATE INDEX PROGRAM_IDX1 ON RIODS.PROGRAM (SOURCE_ID,ISSOFTDELETED) ON VNF_IDX
GO

CREATE INDEX PROGRAM_IDX2 ON RIODS.PROGRAM (EXTERNAL_KEY1) ON VNF_IDX
GO

CREATE INDEX PROGRAM_IDX3 ON RIODS.PROGRAM (EXTERNAL_KEY2) ON VNF_IDX
GO

CREATE INDEX PROGRAM_IDX4 ON RIODS.PROGRAM (EXTERNAL_KEY1,SOURCE_ID) ON VNF_IDX
GO

CREATE INDEX PROGRAM_IDX5 ON RIODS.PROGRAM (EXTERNAL_KEY2,SOURCE_ID) ON VNF_IDX
GO

CREATE TABLE RIODS.PROGRAM_DETAIL ( PROGRAM_ID INT NOT NULL, CURRENCY_ID INT DEFAULT -1 NOT NULL, ACTUAL_BUDGET DECIMAL(18,2) DEFAULT 0.00 NOT NULL, CURRENT_BUDGET DECIMAL(18,2) DEFAULT 0.00 NOT NULL, PLANNED_BUDGET DECIMAL(18,2) DEFAULT 0.00 NOT NULL, ACTUAL_VARIANCE INT DEFAULT 0, ACTUAL_START DATETIME, ACTUAL_FINISH DATETIME, PLANNED_START DATETIME, PLANNED_FINISH DATETIME, ACWP DECIMAL(18,2) DEFAULT 0.00 NOT NULL, BAC DECIMAL(18,2) DEFAULT 0.00 NOT NULL, BCWP DECIMAL(18,2) DEFAULT 0.00 NOT NULL, BCWS DECIMAL(18,2) DEFAULT 0.00 NOT NULL, EAC DECIMAL(18,2) DEFAULT 0.00 NOT NULL, EV_ETC DECIMAL(18,2) DEFAULT 0.00 NOT NULL, EV_FLAG DECIMAL(18,2) DEFAULT 0.00 NOT NULL, ACTUAL_DURATION INT DEFAULT 0 NOT NULL, ACTUAL_WORK INT DEFAULT 0 NOT NULL, ACTUAL_WORK_VARIANCE INT DEFAULT 0 NOT NULL, ACTUAL_START_VARIANCE INT DEFAULT 0 NOT NULL, ACTUAL_FINISH_VARIANCE INT DEFAULT 0 NOT NULL, ACTUAL_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL, ACTUAL_COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL, PLANNED_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL, COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL, PLANNED_DURATION INT DEFAULT 0 NOT NULL, PLANNED_WORK INT DEFAULT 0 NOT NULL, WORK_VARIANCE INT DEFAULT 0 NOT NULL, START_VARIANCE INT DEFAULT 0 NOT NULL, FINISH_VARIANCE INT DEFAULT 0 NOT NULL, DURATION_VARIANCE INT DEFAULT 0 NOT NULL, PERCENT_COMPLETE DECIMAL(5,2) DEFAULT 0.00 NOT NULL, PERCENT_WORK_COMPLETE DECIMAL(5,2) DEFAULT 0.00 NOT NULL)  ON VNF_32K
GO

ALTER TABLE RIODS.PROGRAM_DETAIL ADD CONSTRAINT PROGRAMDT_PK PRIMARY KEY(PROGRAM_ID) ON  VNF_IDX
GO

CREATE TABLE RIODS.PROJECT_ALLOCATION ( PROJECT_ALLOCATION_ID INT NOT NULL, NAME NVARCHAR(255) DEFAULT 'Project Assignment Name Missing' NOT NULL, REFERENCE_ID NVARCHAR(50), EXTERNAL_ID NVARCHAR(100), PROJECT_ID INT DEFAULT -1 NOT NULL, OWNER_ID INT DEFAULT -1 NOT NULL, PROFILE_ID INT DEFAULT -1 NOT NULL, PLANNED_START DATETIME, PLANNED_FINISH DATETIME, ACTUAL_START DATETIME, ACTUAL_FINISH DATETIME, PLANNED_WORK INT DEFAULT 0 NOT NULL, ACTUAL_WORK INT DEFAULT 0 NOT NULL, PLANNED_DURATION INT, ACTUAL_DURATION INT, PERCENT_COMPLETE DECIMAL(5,2), PERCENT_WORK_COMPLETE DECIMAL(5,2), ALLOTED_WORK INT, UNITS INT, URL NVARCHAR(2048), EXTERNAL_KEY1 INT DEFAULT -1 NOT NULL, EXTERNAL_KEY2 NCHAR(40) DEFAULT '-1' NOT NULL, SOURCE_ID NVARCHAR(36) DEFAULT '-1' NOT NULL, REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL, ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  ON VNF_32K
GO

ALTER TABLE RIODS.PROJECT_ALLOCATION ADD CONSTRAINT PROJALLO_PK PRIMARY KEY(PROJECT_ALLOCATION_ID) ON  VNF_IDX
GO

CREATE INDEX PROJALLOC_IDX1 ON RIODS.PROJECT_ALLOCATION (SOURCE_ID,ISSOFTDELETED) ON VNF_IDX
GO

CREATE INDEX PROJALLOC_IDX2 ON RIODS.PROJECT_ALLOCATION (EXTERNAL_KEY1) ON VNF_IDX
GO

CREATE INDEX PROJALLOC_IDX3 ON RIODS.PROJECT_ALLOCATION (EXTERNAL_KEY2) ON VNF_IDX
GO

CREATE INDEX PROJALLOC_IDX4 ON RIODS.PROJECT_ALLOCATION (EXTERNAL_KEY1,SOURCE_ID) ON VNF_IDX
GO

CREATE INDEX PROJALLOC_IDX5 ON RIODS.PROJECT_ALLOCATION (EXTERNAL_KEY2,SOURCE_ID) ON VNF_IDX
GO

CREATE TABLE RIODS.PROVINCE_STATE ( PROVINCE_STATE_ID INT NOT NULL, REFERENCE_ID NVARCHAR(50), EXTERNAL_ID NVARCHAR(100), NAME NVARCHAR(255) DEFAULT 'Province or State Name Missing' NOT NULL, COUNTRY_ID INT DEFAULT -1 NOT NULL, EXTERNAL_KEY1 INT DEFAULT -1 NOT NULL, EXTERNAL_KEY2 NCHAR(40) DEFAULT '-1' NOT NULL, SOURCE_ID NVARCHAR(36) DEFAULT '-1' NOT NULL, URL NVARCHAR(2048), REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL, ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  ON VNF_32K
GO

ALTER TABLE RIODS.PROVINCE_STATE ADD CONSTRAINT PROVSTATE_PK PRIMARY KEY(PROVINCE_STATE_ID) ON  VNF_IDX
GO

INSERT INTO RIODS.PROVINCE_STATE (PROVINCE_STATE_ID, NAME ) (SELECT -1 AS PROVINCE_STATE_ID, 'Info not available' AS NAME WHERE NOT EXISTS (SELECT PROVINCE_STATE_ID FROM RIODS.PROVINCE_STATE WHERE PROVINCE_STATE_ID=-1))
GO

CREATE INDEX PROVSTATE_IDX1 ON RIODS.PROVINCE_STATE (SOURCE_ID,ISSOFTDELETED) ON VNF_IDX
GO

CREATE INDEX PROVSTATE_IDX2 ON RIODS.PROVINCE_STATE (EXTERNAL_KEY1) ON VNF_IDX
GO

CREATE INDEX PROVSTATE_IDX3 ON RIODS.PROVINCE_STATE (EXTERNAL_KEY2) ON VNF_IDX
GO

CREATE INDEX PROVSTATE_IDX4 ON RIODS.PROVINCE_STATE (EXTERNAL_KEY1,SOURCE_ID) ON VNF_IDX
GO

CREATE INDEX PROVSTATE_IDX5 ON RIODS.PROVINCE_STATE (EXTERNAL_KEY2,SOURCE_ID) ON VNF_IDX
GO

CREATE TABLE RIODS.RESOURCE_COMPETENCY_LOOKUP ( RESOURCE_ID INT NOT NULL, COMPETENCY_ID INT NOT NULL )  ON VNF_32K
GO

ALTER TABLE RIODS.RESOURCE_COMPETENCY_LOOKUP ADD CONSTRAINT RESCOMPETENCY_PK PRIMARY KEY(RESOURCE_ID, COMPETENCY_ID) ON  VNF_IDX
GO

CREATE TABLE RIODS.RESOURCE_SKILL_LOOKUP ( RESOURCE_ID INT NOT NULL, SKILL_ID INT NOT NULL )  ON VNF_32K
GO

ALTER TABLE RIODS.RESOURCE_SKILL_LOOKUP ADD CONSTRAINT RESSKILL_PK PRIMARY KEY(RESOURCE_ID, SKILL_ID) ON  VNF_IDX
GO

CREATE TABLE RIODS.PROFILE_SKILL_LOOKUP ( PROFILE_ID INT NOT NULL, SKILL_ID INT NOT NULL )  ON VNF_32K
GO

ALTER TABLE RIODS.PROFILE_SKILL_LOOKUP ADD CONSTRAINT PROSKILL_PK PRIMARY KEY(PROFILE_ID, SKILL_ID) ON  VNF_IDX
GO

CREATE TABLE RIODS.TASK_BASELINE ( BASELINE_ID INT NOT NULL, NAME NVARCHAR(255) DEFAULT 'Baseline Name Missing' NOT NULL, REFERENCE_ID NVARCHAR(50), EXTERNAL_ID NVARCHAR(100), TASK_ID INT DEFAULT -1 NOT NULL, BASELINE_DATE DATETIME, PLANNED_START DATETIME, PLANNED_FINISH DATETIME, PLANNED_WORK INT, PLANNED_COST DECIMAL(18,2), PLANNED_DURATION INT, URL NVARCHAR(2048), EXTERNAL_KEY1 INT DEFAULT -1 NOT NULL, EXTERNAL_KEY2 NCHAR(80) DEFAULT '-1' NOT NULL, SOURCE_ID NVARCHAR(36) DEFAULT '-1' NOT NULL, REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL, ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  ON VNF_32K
GO

ALTER TABLE RIODS.TASK_BASELINE ADD CONSTRAINT TASKBL_PK PRIMARY KEY(BASELINE_ID, TASK_ID) ON  VNF_IDX
GO

CREATE INDEX TASK_BASE_IDX1 ON RIODS.TASK_BASELINE (SOURCE_ID,ISSOFTDELETED) ON VNF_IDX
GO

CREATE INDEX TASK_BASE_IDX2 ON RIODS.TASK_BASELINE (EXTERNAL_KEY1) ON VNF_IDX
GO

CREATE INDEX TASK_BASE_IDX3 ON RIODS.TASK_BASELINE (EXTERNAL_KEY2) ON VNF_IDX
GO

CREATE INDEX TASK_BASE_IDX4 ON RIODS.TASK_BASELINE (EXTERNAL_KEY1,SOURCE_ID) ON VNF_IDX
GO

CREATE INDEX TASK_BASE_IDX5 ON RIODS.TASK_BASELINE (EXTERNAL_KEY2,SOURCE_ID) ON VNF_IDX
GO

CREATE TABLE RIODS.TEMP_BASELINE ( BASELINE_ID NVARCHAR(256), NAME NVARCHAR(256), BASELINE_DATE DATETIME, PARENT_ID NVARCHAR(256), PARENT_TITLE NVARCHAR(256), PLANNED_SCHEDULE_ID NVARCHAR(256), PLANNED_START DATETIME, PLANNED_FINISH DATETIME, PLANNED_WORK INT, PLANNED_COST DECIMAL(18,2), PLANNED_DURATION INT, URL NVARCHAR(2048), DATASOURCE_ID NVARCHAR(36) )  ON VNF_32K
GO

CREATE TABLE RIODS.TEMP_CALENDAR ( IDREF NCHAR(40) NOT NULL, ADOPTED_CALENDAR NCHAR(40), USER_IDREF NCHAR(40), SOURCE_ID NVARCHAR(36) DEFAULT '-1' NOT NULL, HOURSPERDAY DECIMAL(5,2) )  ON VNF_32K
GO

CREATE TABLE RIODS.TEMP_CAL_EXCEPTION_RANGE ( FROMDATE DATETIME, TODATE DATETIME, HOURSBLOCKED DECIMAL(5,2), EXCEPTIONTYPE NVARCHAR(255), DAYOFWEEK NVARCHAR(255), DURATION INT, EFFORT INT, IDREF NCHAR(40), CALENDAR_IDREF NCHAR(40), DAYOFMONTH INT, MONTHOFYEAR INT, SOURCE_ID NVARCHAR(36) DEFAULT '-1' NOT NULL, REC_DATETIME DATETIME DEFAULT GETDATE() )  ON VNF_32K
GO

CREATE TABLE RIODS.TEMP_POOL_HIERARCHY ( POOL_ID INT NOT NULL, LEVEL INT NOT NULL )  ON VNF_32K
GO

CREATE TABLE RIODS.TEMP_PROJECT_CALENDAR ( PROJECT_IDREF NCHAR(40) NOT NULL, CALENDAR_IDREF NCHAR(40) NOT NULL )  ON VNF_32K
GO

CREATE TABLE RIODS.TEMP_PROJECT_CALENDAR_EXCEP ( PROJECT_ID INT NOT NULL, EXCEPTION_DATE DATETIME NOT NULL, EXCEPTION_MINUTES INT NOT NULL, EXTERNAL_KEY1 INT DEFAULT -1 NOT NULL, EXTERNAL_KEY2 NCHAR(80) DEFAULT '-1' NOT NULL, SOURCE_ID NVARCHAR(36) DEFAULT '-1' NOT NULL, REC_DATETIME DATETIME DEFAULT GETDATE() )  ON VNF_32K
GO

CREATE TABLE RIODS.TEMP_RESOURCE_CALENDAR ( RESOURCE_ID INT NOT NULL, MINUTES_PER_DAY INT NOT NULL )  ON VNF_32K
GO

CREATE TABLE RIODS.TEMP_RESOURCE_CALENDAR_EXCEP ( RESOURCE_ID INT NOT NULL, EXCEPTION_DATE DATETIME NOT NULL, EXCEPTION_MINUTES INT NOT NULL, EXTERNAL_KEY1 INT DEFAULT -1 NOT NULL, EXTERNAL_KEY2 NCHAR(80) DEFAULT '-1' NOT NULL, SOURCE_ID NVARCHAR(36) DEFAULT '-1' NOT NULL, REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL)  ON VNF_32K
GO

CREATE TABLE RIODS.TIMECODE ( TIMECODE_ID INT NOT NULL, REFERENCE_ID NVARCHAR(50), EXTERNAL_ID NVARCHAR(100), NAME NVARCHAR(255) DEFAULT 'Charge Code Name Missing' NOT NULL, PARENT_TIMECODE_ID INT DEFAULT -1 NOT NULL, EXTERNAL_KEY1 INT DEFAULT -1 NOT NULL, EXTERNAL_KEY2 NCHAR(40) DEFAULT '-1' NOT NULL, SOURCE_ID NVARCHAR(36) DEFAULT '-1' NOT NULL, URL NVARCHAR(2048), REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL, ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  ON VNF_32K
GO

ALTER TABLE RIODS.TIMECODE ADD CONSTRAINT TIMECODE_PK PRIMARY KEY(TIMECODE_ID) ON  VNF_IDX
GO

INSERT INTO RIODS.TIMECODE (TIMECODE_ID, NAME ) (SELECT -1 AS TIMECODE_ID, 'Info not available' AS NAME WHERE NOT EXISTS (SELECT TIMECODE_ID FROM RIODS.TIMECODE WHERE TIMECODE_ID=-1))
GO

CREATE TABLE RIODS.TIMESHEET ( TIMESHEET_ID INT NOT NULL, TIMESHEET_REPORTING_WEEK DATETIME, REFERENCE_ID NVARCHAR(50), EXTERNAL_ID NVARCHAR(100), ACTIVITY_ID INT DEFAULT -1 NOT NULL, ADDITIONAL_WORK INT, BILLABLE_HOURS INT, NON_BILLABLE_HOURS INT, APPROVER_ID INT DEFAULT -1 NOT NULL, TIMESHEET_STATE NVARCHAR(255), PERCENT_COMPLETE DECIMAL(18,2), LAST_APPROVAL_DATE DATETIME, REGULAR_TIME INT, OVERTIME INT, MONDAY_DATE DATETIME, TUESDAY_DATE DATETIME, WEDNESDAY_DATE DATETIME, THURSDAY_DATE DATETIME, FRIDAY_DATE DATETIME, SATURDAY_DATE DATETIME, SUNDAY_DATE DATETIME, MONDAY_REGULAR_TIME INT DEFAULT 0, TUESDAY_REGULAR_TIME INT DEFAULT 0, WEDNESDAY_REGULAR_TIME INT DEFAULT 0, THURSDAY_REGULAR_TIME INT DEFAULT 0, FRIDAY_REGULAR_TIME INT DEFAULT 0, SATURDAY_REGULAR_TIME INT DEFAULT 0, SUNDAY_REGULAR_TIME INT DEFAULT 0, MONDAY_OVT INT DEFAULT 0, TUESDAY_OVT INT DEFAULT 0, WEDNESDAY_OVT INT DEFAULT 0, THURSDAY_OVT INT DEFAULT 0, FRIDAY_OVT INT DEFAULT 0, SATURDAY_OVT INT DEFAULT 0, SUNDAY_OVT INT DEFAULT 0, URL NVARCHAR(2048), EXTERNAL_KEY1 INT DEFAULT -1 NOT NULL, EXTERNAL_KEY2 NCHAR(40) DEFAULT '-1' NOT NULL, SOURCE_ID NVARCHAR(36) DEFAULT '-1' NOT NULL, REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL, ISSOFTDELETED SMALLINT DEFAULT 0  NOT NULL)  ON VNF_32K
GO

ALTER TABLE RIODS.TIMESHEET ADD CONSTRAINT TIMESHEET_PK PRIMARY KEY(TIMESHEET_ID) ON  VNF_IDX
GO

CREATE TABLE RIODS.TIMESHEET_TIMECODE_LOOKUP ( TIMESHEET_ID INT NOT NULL, TIMECODE_ID INT NOT NULL )  ON VNF_32K
GO

ALTER TABLE RIODS.TIMESHEET_TIMECODE_LOOKUP ADD CONSTRAINT TSTC_PK PRIMARY KEY(TIMESHEET_ID, TIMECODE_ID) ON  VNF_IDX
GO

CREATE TRIGGER RIODS.TRG_COMPPRO ON RIODS.PROFILE FOR UPDATE AS BEGIN  DELETE FROM RIODS.PROFILE_COMPETENCY_LOOKUP  WHERE  PROFILE_ID IN (SELECT  PROFILE_ID FROM INSERTED ) END
GO

CREATE TRIGGER RIODS.TRG_SKILLPRO ON RIODS.PROFILE FOR UPDATE AS BEGIN  DELETE FROM RIODS.PROFILE_SKILL_LOOKUP  WHERE  PROFILE_ID IN (SELECT  PROFILE_ID FROM INSERTED ) END
GO

CREATE TRIGGER RIODS.TRG_COMPRES ON RIODS.RESOURCE FOR UPDATE AS BEGIN  DELETE FROM RIODS.RESOURCE_COMPETENCY_LOOKUP  WHERE  RESOURCE_ID IN (SELECT  RESOURCE_ID FROM INSERTED ) END
GO

CREATE TRIGGER RIODS.TRG_SKILLRES ON RIODS.RESOURCE FOR UPDATE AS BEGIN  DELETE FROM RIODS.RESOURCE_SKILL_LOOKUP  WHERE  RESOURCE_ID IN (SELECT  RESOURCE_ID FROM INSERTED ) END
GO

CREATE TRIGGER RIODS.TRG_TSTC ON RIODS.TIMESHEET FOR UPDATE AS BEGIN  DELETE FROM RIODS.TIMESHEET_TIMECODE_LOOKUP  WHERE  TIMESHEET_ID IN (SELECT  TIMESHEET_ID FROM INSERTED ) END
GO

CREATE TABLE RIDW.D_BASELINE ( BASELINE_ID INT NOT NULL, NAME NVARCHAR(255) DEFAULT 'Info not available' )  ON VSTR_32K
GO

ALTER TABLE RIDW.D_BASELINE ADD CONSTRAINT D_BASELINE_PK PRIMARY KEY(BASELINE_ID) ON  VSTR_IDX
GO

INSERT INTO RIDW.D_BASELINE (BASELINE_ID, NAME) (SELECT -1 AS BASELINE_ID, 'Info not available' AS NAME WHERE NOT EXISTS (SELECT BASELINE_ID FROM RIDW.D_BASELINE WHERE BASELINE_ID=-1))
GO

GRANT SELECT ON RIDW.D_BASELINE TO RPTUSER
GO

CREATE TABLE RIDW.D_CHARGECODE ( CHARGECODE_ID INT NOT NULL, NAME NVARCHAR(255) DEFAULT 'Info not available' )  ON VSTR_32K
GO

ALTER TABLE RIDW.D_CHARGECODE ADD CONSTRAINT D_CHARGECODE_PK PRIMARY KEY(CHARGECODE_ID) ON  VNF_IDX
GO

INSERT INTO RIDW.D_CHARGECODE (CHARGECODE_ID,NAME ) (SELECT -1 AS CHARGECODE_ID, 'Info not available' AS NAME WHERE NOT EXISTS (SELECT CHARGECODE_ID FROM RIDW.D_CHARGECODE WHERE CHARGECODE_ID=-1))
GO

GRANT SELECT ON RIDW.D_CHARGECODE TO RPTUSER
GO

CREATE TABLE RIDW.D_CITY ( CITY_ID INT NOT NULL, NAME NVARCHAR(255) DEFAULT 'City Name Missing' NOT NULL, PROVINCE_STATE_ID INT NOT NULL )  ON VSTR_32K
GO

ALTER TABLE RIDW.D_CITY ADD CONSTRAINT D_CITY_PK PRIMARY KEY(CITY_ID) ON  VSTR_IDX
GO

INSERT INTO RIDW.D_CITY (CITY_ID, NAME,PROVINCE_STATE_ID ) (SELECT -1 AS CITY_ID, 'Info not available' AS NAME, -1 AS PROVINCE_STATE_ID WHERE NOT EXISTS (SELECT CITY_ID FROM RIDW.D_CITY WHERE CITY_ID=-1))
GO

GRANT SELECT ON RIDW.D_CITY TO RPTUSER
GO

CREATE TABLE RIDW.D_COMPETENCY ( COMPETENCY_ID INT NOT NULL, NAME NVARCHAR(255) DEFAULT 'Info not available' )  ON VSTR_32K
GO

ALTER TABLE RIDW.D_COMPETENCY ADD CONSTRAINT D_COMPETENCY_PK PRIMARY KEY(COMPETENCY_ID) ON  VSTR_IDX
GO

INSERT INTO RIDW.D_COMPETENCY (COMPETENCY_ID,NAME ) (SELECT -1 AS COMPETENCY_ID, 'Info not available' AS NAME WHERE NOT EXISTS (SELECT COMPETENCY_ID FROM RIDW.D_COMPETENCY WHERE COMPETENCY_ID=-1))
GO

GRANT SELECT ON RIDW.D_COMPETENCY TO RPTUSER
GO

CREATE TABLE RIDW.D_COUNTRY ( COUNTRY_ID INT NOT NULL, NAME NVARCHAR(255) DEFAULT 'Country Name Missing' NOT NULL, TERRITORY_ID INT NOT NULL )  ON VSTR_32K
GO

ALTER TABLE RIDW.D_COUNTRY ADD CONSTRAINT D_COUNTRY_PK PRIMARY KEY(COUNTRY_ID) ON  VSTR_IDX
GO

INSERT INTO RIDW.D_COUNTRY (COUNTRY_ID, NAME ,TERRITORY_ID) (SELECT -1 AS COUNTRY_ID, 'Info not available' AS NAME, -1 AS TERRITORY_ID WHERE NOT EXISTS (SELECT COUNTRY_ID FROM RIDW.D_COUNTRY WHERE COUNTRY_ID=-1))
GO

GRANT SELECT ON RIDW.D_COUNTRY TO RPTUSER
GO

CREATE TABLE RIDW.D_IMPACT_RANK ( IMPACT_RANK_ID INT NOT NULL, NAME NVARCHAR(255) NOT NULL )  ON VSTR_32K
GO

ALTER TABLE RIDW.D_IMPACT_RANK ADD CONSTRAINT D_IMPRNK_PK PRIMARY KEY(IMPACT_RANK_ID) ON  VSTR_IDX
GO

INSERT INTO RIDW.D_IMPACT_RANK (IMPACT_RANK_ID,NAME ) (SELECT -1 AS IMPACT_RANK_ID, 'Info not available' AS NAME WHERE NOT EXISTS (SELECT IMPACT_RANK_ID FROM RIDW.D_IMPACT_RANK WHERE IMPACT_RANK_ID=-1))
GO

GRANT SELECT ON RIDW.D_IMPACT_RANK TO RPTUSER
GO

CREATE TABLE RIDW.D_OPERATING_TERRITORY ( TERRITORY_ID INT NOT NULL, NAME NVARCHAR(255) DEFAULT 'Territory Name Missing' )  ON VSTR_32K
GO

ALTER TABLE RIDW.D_OPERATING_TERRITORY ADD CONSTRAINT D_OPTERRITORY_PK PRIMARY KEY(TERRITORY_ID) ON  VSTR_IDX
GO

INSERT INTO RIDW.D_OPERATING_TERRITORY (TERRITORY_ID,NAME ) (SELECT -1 AS TERRITORY_ID, 'Info not available' AS NAME WHERE NOT EXISTS (SELECT TERRITORY_ID FROM RIDW.D_OPERATING_TERRITORY WHERE TERRITORY_ID=-1))
GO

GRANT SELECT ON RIDW.D_OPERATING_TERRITORY TO RPTUSER
GO

CREATE TABLE RIDW.D_ORGANIZATION ( ORGANIZATION_ID INT NOT NULL, NAME NVARCHAR(255) DEFAULT 'City Name Missing' )  ON VSTR_32K
GO

ALTER TABLE RIDW.D_ORGANIZATION ADD CONSTRAINT D_ORGANIZATION_PK PRIMARY KEY(ORGANIZATION_ID) ON  VSTR_IDX
GO

INSERT INTO RIDW.D_ORGANIZATION (ORGANIZATION_ID, NAME ) (SELECT -1 AS ORGANIZATION_ID, 'Info not available' AS NAME WHERE NOT EXISTS (SELECT ORGANIZATION_ID FROM RIDW.D_ORGANIZATION WHERE ORGANIZATION_ID=-1))
GO

GRANT SELECT ON RIDW.D_ORGANIZATION TO RPTUSER
GO

CREATE TABLE RIDW.D_POOL ( POOL_ID INT NOT NULL, NAME NVARCHAR(255) DEFAULT 'Info not available' )  ON VSTR_32K
GO

ALTER TABLE RIDW.D_POOL ADD CONSTRAINT D_POOL_PK PRIMARY KEY(POOL_ID) ON  VSTR_IDX
GO

INSERT INTO RIDW.D_POOL (POOL_ID, NAME ) (SELECT -1 AS POOL_ID, 'Info not available' AS NAME WHERE NOT EXISTS (SELECT POOL_ID FROM RIDW.D_POOL WHERE POOL_ID=-1))
GO

GRANT SELECT ON RIDW.D_POOL TO RPTUSER
GO

CREATE TABLE RIDW.D_PROBABILITY_COST_RANK ( PROBABILITY_COST_RANK_ID INT NOT NULL, NAME NVARCHAR(255) NOT NULL )  ON VSTR_32K
GO

ALTER TABLE RIDW.D_PROBABILITY_COST_RANK ADD CONSTRAINT D_PROBCSTRNK_PK PRIMARY KEY(PROBABILITY_COST_RANK_ID) ON  VSTR_IDX
GO

INSERT INTO RIDW.D_PROBABILITY_COST_RANK (PROBABILITY_COST_RANK_ID,NAME ) (SELECT -1 AS PROBABILITY_COST_RANK_ID, 'Info not available' AS NAME WHERE NOT EXISTS (SELECT PROBABILITY_COST_RANK_ID FROM RIDW.D_PROBABILITY_COST_RANK WHERE PROBABILITY_COST_RANK_ID=-1))
GO

GRANT SELECT ON RIDW.D_PROBABILITY_COST_RANK TO RPTUSER
GO

CREATE TABLE RIDW.D_PROBABILITY_RANK ( PROBABILITY_RANK_ID INT NOT NULL, NAME NVARCHAR(255) NOT NULL )  ON VSTR_32K
GO

ALTER TABLE RIDW.D_PROBABILITY_RANK ADD CONSTRAINT D_PROBRNK_PK PRIMARY KEY(PROBABILITY_RANK_ID) ON  VSTR_IDX
GO

INSERT INTO RIDW.D_PROBABILITY_RANK (PROBABILITY_RANK_ID,NAME) (SELECT -1 AS PROBABILITY_RANK_ID, 'Info not available' AS NAME WHERE NOT EXISTS (SELECT PROBABILITY_RANK_ID FROM RIDW.D_PROBABILITY_RANK WHERE PROBABILITY_RANK_ID=-1))
GO

GRANT SELECT ON RIDW.D_PROBABILITY_RANK TO RPTUSER
GO

CREATE TABLE RIDW.D_PROJECT_ALLOCATION ( PROJECT_ALLOCATION_ID INT NOT NULL, NAME NVARCHAR(255) DEFAULT 'Info not available' )  ON VSTR_32K
GO

ALTER TABLE RIDW.D_PROJECT_ALLOCATION ADD CONSTRAINT D_PROJALLO_PK PRIMARY KEY(PROJECT_ALLOCATION_ID) ON  VSTR_IDX
GO

INSERT INTO RIDW.D_PROJECT_ALLOCATION (PROJECT_ALLOCATION_ID, NAME ) (SELECT -1 AS PROJECT_ALLOCATION_ID, 'Info not available' AS NAME WHERE NOT EXISTS (SELECT PROJECT_ALLOCATION_ID FROM RIDW.D_PROJECT_ALLOCATION WHERE PROJECT_ALLOCATION_ID=-1))
GO

GRANT SELECT ON RIDW.D_PROJECT_ALLOCATION TO RPTUSER
GO

CREATE TABLE RIDW.D_PROVINCE_STATE ( PROVINCE_STATE_ID INT NOT NULL, NAME NVARCHAR(255) DEFAULT 'Province or State Name Missing' NOT NULL, COUNTRY_ID INT NOT NULL )  ON VSTR_32K
GO

ALTER TABLE RIDW.D_PROVINCE_STATE ADD CONSTRAINT D_PROVSTATE_PK PRIMARY KEY(PROVINCE_STATE_ID) ON  VSTR_IDX
GO

INSERT INTO RIDW.D_PROVINCE_STATE (PROVINCE_STATE_ID, NAME,COUNTRY_ID) (SELECT -1 AS PROVINCE_STATE_ID, 'Info not available' AS NAME, -1 AS COUNTRY_ID WHERE NOT EXISTS (SELECT PROVINCE_STATE_ID FROM RIDW.D_PROVINCE_STATE WHERE PROVINCE_STATE_ID=-1))
GO

GRANT SELECT ON RIDW.D_PROVINCE_STATE TO RPTUSER
GO

CREATE TABLE RIDW.D_RISK ( RISK_ID INT NOT NULL, NAME NVARCHAR(255) NOT NULL )  ON VSTR_32K
GO

ALTER TABLE RIDW.D_RISK ADD CONSTRAINT D_RISK_PK PRIMARY KEY(RISK_ID) ON  VSTR_IDX
GO

INSERT INTO RIDW.D_RISK (RISK_ID, NAME ) (SELECT -1 AS RISK_ID, 'Info not available' AS NAME WHERE NOT EXISTS (SELECT RISK_ID FROM RIDW.D_RISK WHERE RISK_ID=-1))
GO

GRANT SELECT ON RIDW.D_RISK TO RPTUSER
GO

CREATE TABLE RIDW.D_RISK_STATE ( STATE_ID INT NOT NULL, NAME NVARCHAR(255) NOT NULL )  ON VSTR_32K
GO

ALTER TABLE RIDW.D_RISK_STATE ADD CONSTRAINT D_RISKSTATE_PK PRIMARY KEY(STATE_ID) ON  VSTR_IDX
GO

INSERT INTO RIDW.D_RISK_STATE (STATE_ID, NAME ) (SELECT -1 AS STATE_ID, 'Info not available' AS NAME WHERE NOT EXISTS (SELECT STATE_ID FROM RIDW.D_RISK_STATE WHERE STATE_ID=-1))
GO

GRANT SELECT ON RIDW.D_RISK_STATE TO RPTUSER
GO

CREATE TABLE RIDW.D_SCORE_RANK ( SCORE_RANK_ID INT NOT NULL, NAME NVARCHAR(255) NOT NULL )  ON VSTR_32K
GO

ALTER TABLE RIDW.D_SCORE_RANK ADD CONSTRAINT D_SCORERNK_PK PRIMARY KEY(SCORE_RANK_ID) ON  VSTR_IDX
GO

INSERT INTO RIDW.D_SCORE_RANK (SCORE_RANK_ID,NAME ) (SELECT -1 AS SCORE_RANK_ID, 'Info not available' AS NAME WHERE NOT EXISTS (SELECT SCORE_RANK_ID FROM RIDW.D_SCORE_RANK WHERE SCORE_RANK_ID=-1))
GO

GRANT SELECT ON RIDW.D_SCORE_RANK TO RPTUSER
GO

CREATE TABLE RIDW.D_SKILL ( SKILL_ID INT NOT NULL, NAME NVARCHAR(255) DEFAULT 'Info not available' )  ON VSTR_32K
GO

ALTER TABLE RIDW.D_SKILL ADD CONSTRAINT D_SKILL_PK PRIMARY KEY(SKILL_ID) ON  VSTR_IDX
GO

INSERT INTO RIDW.D_SKILL (SKILL_ID,NAME ) (SELECT -1 AS SKILL_ID, 'Info not available' AS NAME WHERE NOT EXISTS (SELECT SKILL_ID FROM RIDW.D_SKILL WHERE SKILL_ID=-1))
GO

GRANT SELECT ON RIDW.D_SKILL TO RPTUSER
GO

CREATE TABLE RIDW.D_TIMECODE ( TIMECODE_ID INT NOT NULL, NAME NVARCHAR(255) DEFAULT 'Info not available' )  ON VSTR_32K
GO

ALTER TABLE RIDW.D_TIMECODE ADD CONSTRAINT D_TIMECODE_PK PRIMARY KEY(TIMECODE_ID) ON  VSTR_IDX
GO

INSERT INTO RIDW.D_TIMECODE (TIMECODE_ID,NAME ) (SELECT -1 AS TIMECODE_ID, 'Info not available' AS NAME WHERE NOT EXISTS (SELECT TIMECODE_ID FROM RIDW.D_TIMECODE WHERE TIMECODE_ID=-1))
GO

GRANT SELECT ON RIDW.D_TIMECODE TO RPTUSER
GO

CREATE TABLE RIDW.D_TIMESHEET_STATE ( STATE_ID INT NOT NULL, NAME NVARCHAR(255) NOT NULL )  ON VSTR_32K
GO

ALTER TABLE RIDW.D_TIMESHEET_STATE ADD CONSTRAINT D_TIMESHEETST_PK PRIMARY KEY(STATE_ID) ON  VSTR_IDX
GO

INSERT INTO RIDW.D_TIMESHEET_STATE (STATE_ID, NAME) (SELECT -1 AS STATE_ID, 'Info not available' AS NAME WHERE NOT EXISTS (SELECT STATE_ID FROM RIDW.D_TIMESHEET_STATE WHERE STATE_ID=-1))
GO

GRANT SELECT ON RIDW.D_TIMESHEET_STATE TO RPTUSER
GO

CREATE TABLE RIDW.F_C_RISK_METRICS ( F_RISKMET_ID INT NOT NULL, DATE_ID INT NOT NULL, PROJECT_ID INT NOT NULL, STATE_ID INT NOT NULL, PRIORITY_ID INT NOT NULL, OWNER_ID INT NOT NULL, RELEASE_ID INT NOT NULL, IMPACT_RANK_ID INT NOT NULL, PROBABILITY_RANK_ID INT NOT NULL, PROBABILITY_COST_RANK_ID INT NOT NULL, SCORE_RANK_ID INT NOT NULL, TOTAL_RISKS INT DEFAULT 0 NOT NULL, REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL)  ON VSTR_32K
GO

ALTER TABLE RIDW.F_C_RISK_METRICS ADD CONSTRAINT F_C_RISKMET_PK PRIMARY KEY(F_RISKMET_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.F_C_RISK_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.F_C_TASK_ITE_VARIANCE_METRICS ( F_TASKVAR_MET_ID INT NOT NULL, DATE_ID INT NOT NULL, BASELINE_ID INT NOT NULL, ITERATION_ID INT NOT NULL, PROJECT_ID INT NOT NULL, ACTUAL_FINISH_VARIANCE INT DEFAULT 0 NOT NULL, PLANNED_FINISH_VARIANCE INT DEFAULT 0 NOT NULL, BASELINE_FINISH_VARIANCE INT DEFAULT 0 NOT NULL, ACTUAL_COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL, PLANNED_COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL, BASELINE_COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL, TOTAL_ACTUAL_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL, TOTAL_PLANNED_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL, TOTAL_BASELINE_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL, ACTUAL_WORK_VARIANCE INT DEFAULT 0 NOT NULL, PLANNED_WORK_VARIANCE INT DEFAULT 0 NOT NULL, BASELINE_WORK_VARIANCE INT DEFAULT 0 NOT NULL, TOTAL_ACTUAL_WORK INT DEFAULT 0 NOT NULL, TOTAL_PLANNED_WORK INT DEFAULT 0 NOT NULL, TOTAL_BASELINE_WORK INT DEFAULT 0 NOT NULL, BASELINE_DURATION INT DEFAULT 0 NOT NULL, ACTUAL_DURATION INT DEFAULT 0 NOT NULL, PLANNED_DURATION INT DEFAULT 0 NOT NULL, TOTAL_TASKS INT DEFAULT 0 NOT NULL, REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL)  ON VSTR_32K
GO

ALTER TABLE RIDW.F_C_TASK_ITE_VARIANCE_METRICS ADD CONSTRAINT FCTSKITVARMET_PK PRIMARY KEY(F_TASKVAR_MET_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.F_C_TASK_ITE_VARIANCE_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.F_C_TASK_PRO_VARIANCE_METRICS ( F_TASKVAR_MET_ID INT NOT NULL, DATE_ID INT NOT NULL, BASELINE_ID INT NOT NULL, PROJECT_ID INT NOT NULL, ACTUAL_FINISH_VARIANCE INT DEFAULT 0 NOT NULL, PLANNED_FINISH_VARIANCE INT DEFAULT 0 NOT NULL, BASELINE_FINISH_VARIANCE INT DEFAULT 0 NOT NULL, ACTUAL_COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL, PLANNED_COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL, BASELINE_COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL, TOTAL_ACTUAL_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL, TOTAL_PLANNED_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL, TOTAL_BASELINE_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL, ACTUAL_WORK_VARIANCE INT DEFAULT 0 NOT NULL, PLANNED_WORK_VARIANCE INT DEFAULT 0 NOT NULL, BASELINE_WORK_VARIANCE INT DEFAULT 0 NOT NULL, TOTAL_ACTUAL_WORK INT DEFAULT 0 NOT NULL, TOTAL_PLANNED_WORK INT DEFAULT 0 NOT NULL, TOTAL_BASELINE_WORK INT DEFAULT 0 NOT NULL, BASELINE_DURATION INT DEFAULT 0 NOT NULL, ACTUAL_DURATION INT DEFAULT 0 NOT NULL, PLANNED_DURATION INT DEFAULT 0 NOT NULL, TOTAL_TASKS INT DEFAULT 0 NOT NULL, REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL)  ON VSTR_32K
GO

ALTER TABLE RIDW.F_C_TASK_PRO_VARIANCE_METRICS ADD CONSTRAINT FCTSKPRVARMET_PK PRIMARY KEY(F_TASKVAR_MET_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.F_C_TASK_PRO_VARIANCE_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.F_MISSING_TIMESHEET_METRICS ( TIMESHEET_METRICS_ID INT NOT NULL, WEEK_ID INT NOT NULL, RESOURCE_ID INT NOT NULL, PROJECT_ID INT NOT NULL, CHARGECODE_ID INT NOT NULL, POOL_ID INT NOT NULL, CITY_ID INT NOT NULL, ORGANIZATION_ID INT NOT NULL, TOTAL_WORK INT DEFAULT 0 NOT NULL, TOTAL_TIMESHEETS INT DEFAULT 0 NOT NULL, REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL)  ON VSTR_32K
GO

ALTER TABLE RIDW.F_MISSING_TIMESHEET_METRICS ADD CONSTRAINT F_MISSTIMSH_PK PRIMARY KEY(TIMESHEET_METRICS_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.F_MISSING_TIMESHEET_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.F_MO_COPROJ_RESDEMSUP_METRICS ( F_PROJDS_MET_ID INT NOT NULL, MONTH_ID INT NOT NULL, PROJECT_ID INT NOT NULL, CITY_ID INT NOT NULL, ORGANIZATION_ID INT NOT NULL, COMPETENCY_ID INT NOT NULL, TOTAL_DEMAND INT DEFAULT 0 NOT NULL, TOTAL_ASSIGNED INT DEFAULT 0 NOT NULL, TOTAL_ALLOCATION INT DEFAULT 0 NOT NULL, REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL)  ON VSTR_32K
GO

ALTER TABLE RIDW.F_MO_COPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_MCOPRDSMET_PK PRIMARY KEY(F_PROJDS_MET_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.F_MO_COPROJ_RESDEMSUP_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.F_MO_CORESOURCE_UTIL_METRICS ( F_RESUTIL_MET_ID INT NOT NULL, MONTH_ID INT NOT NULL, POOL_ID INT NOT NULL, CITY_ID INT NOT NULL, ORGANIZATION_ID INT NOT NULL, COMPETENCY_ID INT NOT NULL, TOTAL_AVAILABILITY INT DEFAULT 0 NOT NULL, TOTAL_ALLOCATION INT DEFAULT 0 NOT NULL, TOTAL_ASSIGNED INT DEFAULT 0 NOT NULL, TOTAL_ACTUAL INT DEFAULT 0 NOT NULL, REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL)  ON VSTR_32K
GO

ALTER TABLE RIDW.F_MO_CORESOURCE_UTIL_METRICS ADD CONSTRAINT F_MCORESUTMET_PK PRIMARY KEY(F_RESUTIL_MET_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.F_MO_CORESOURCE_UTIL_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.F_MO_PROJ_RESDEMSUPP_METRICS ( F_PROJDS_MET_ID INT NOT NULL, MONTH_ID INT NOT NULL, PROJECT_ID INT NOT NULL, CITY_ID INT NOT NULL, ORGANIZATION_ID INT NOT NULL, TOTAL_DEMAND INT DEFAULT 0 NOT NULL, TOTAL_ASSIGNED INT DEFAULT 0 NOT NULL, TOTAL_ALLOCATION INT DEFAULT 0 NOT NULL, REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL)  ON VSTR_32K
GO

ALTER TABLE RIDW.F_MO_PROJ_RESDEMSUPP_METRICS ADD CONSTRAINT F_MPJRESDSMET_PK PRIMARY KEY(F_PROJDS_MET_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.F_MO_PROJ_RESDEMSUPP_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.F_MO_RESOURCE_UTIL_METRICS ( F_RESUTIL_MET_ID INT NOT NULL, MONTH_ID INT NOT NULL, POOL_ID INT NOT NULL, CITY_ID INT NOT NULL, ORGANIZATION_ID INT NOT NULL, TOTAL_AVAILABILITY INT DEFAULT 0 NOT NULL, TOTAL_ALLOCATION INT DEFAULT 0 NOT NULL, TOTAL_ASSIGNED INT DEFAULT 0 NOT NULL, TOTAL_ACTUAL INT DEFAULT 0 NOT NULL, REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL)  ON VSTR_32K
GO

ALTER TABLE RIDW.F_MO_RESOURCE_UTIL_METRICS ADD CONSTRAINT F_MRESUTILMET_PK PRIMARY KEY(F_RESUTIL_MET_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.F_MO_RESOURCE_UTIL_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.F_MO_SCPROJ_RESDEMSUP_METRICS ( F_PROJDS_MET_ID INT NOT NULL, MONTH_ID INT NOT NULL, PROJECT_ID INT NOT NULL, CITY_ID INT NOT NULL, ORGANIZATION_ID INT NOT NULL, SKILL_ID INT NOT NULL, COMPETENCY_ID INT NOT NULL, TOTAL_DEMAND INT DEFAULT 0 NOT NULL, TOTAL_ASSIGNED INT DEFAULT 0 NOT NULL, TOTAL_ALLOCATION INT DEFAULT 0 NOT NULL, REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL)  ON VSTR_32K
GO

ALTER TABLE RIDW.F_MO_SCPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_MSCPRDSMET_PK PRIMARY KEY(F_PROJDS_MET_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.F_MO_SCPROJ_RESDEMSUP_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.F_MO_SCRESOURCE_UTIL_METRICS ( F_RESUTIL_MET_ID INT NOT NULL, MONTH_ID INT NOT NULL, POOL_ID INT NOT NULL, CITY_ID INT NOT NULL, ORGANIZATION_ID INT NOT NULL, SKILL_ID INT NOT NULL, COMPETENCY_ID INT NOT NULL, TOTAL_AVAILABILITY INT DEFAULT 0 NOT NULL, TOTAL_ALLOCATION INT DEFAULT 0 NOT NULL, TOTAL_ASSIGNED INT DEFAULT 0 NOT NULL, TOTAL_ACTUAL INT DEFAULT 0 NOT NULL, REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL)  ON VSTR_32K
GO

ALTER TABLE RIDW.F_MO_SCRESOURCE_UTIL_METRICS ADD CONSTRAINT F_MSCRESUTMET_PK PRIMARY KEY(F_RESUTIL_MET_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.F_MO_SCRESOURCE_UTIL_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.F_MO_SKPROJ_RESDEMSUP_METRICS ( F_PROJDS_MET_ID INT NOT NULL, MONTH_ID INT NOT NULL, PROJECT_ID INT NOT NULL, CITY_ID INT NOT NULL, ORGANIZATION_ID INT NOT NULL, SKILL_ID INT NOT NULL, TOTAL_DEMAND INT DEFAULT 0 NOT NULL, TOTAL_ASSIGNED INT DEFAULT 0 NOT NULL, TOTAL_ALLOCATION INT DEFAULT 0 NOT NULL, REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL)  ON VSTR_32K
GO

ALTER TABLE RIDW.F_MO_SKPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_MSKPRDSMET_PK PRIMARY KEY(F_PROJDS_MET_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.F_MO_SKPROJ_RESDEMSUP_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.F_MO_SKRESOURCE_UTIL_METRICS ( F_RESUTIL_MET_ID INT NOT NULL, MONTH_ID INT NOT NULL, POOL_ID INT NOT NULL, CITY_ID INT NOT NULL, ORGANIZATION_ID INT NOT NULL, SKILL_ID INT NOT NULL, TOTAL_AVAILABILITY INT DEFAULT 0 NOT NULL, TOTAL_ALLOCATION INT DEFAULT 0 NOT NULL, TOTAL_ASSIGNED INT DEFAULT 0 NOT NULL, TOTAL_ACTUAL INT DEFAULT 0 NOT NULL, REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL)  ON VSTR_32K
GO

ALTER TABLE RIDW.F_MO_SKRESOURCE_UTIL_METRICS ADD CONSTRAINT F_MSKRESUTMET_PK PRIMARY KEY(F_RESUTIL_MET_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.F_MO_SKRESOURCE_UTIL_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.F_RISK_METRICS ( F_RISKMET_ID INT NOT NULL, DATE_ID INT NOT NULL, PROJECT_ID INT NOT NULL, STATE_ID INT NOT NULL, PRIORITY_ID INT NOT NULL, OWNER_ID INT NOT NULL, RELEASE_ID INT NOT NULL, IMPACT_RANK_ID INT NOT NULL, PROBABILITY_RANK_ID INT NOT NULL, PROBABILITY_COST_RANK_ID INT NOT NULL, SCORE_RANK_ID INT NOT NULL, TOTAL_RISKS INT DEFAULT 0 NOT NULL, REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL)  ON VSTR_32K
GO

ALTER TABLE RIDW.F_RISK_METRICS ADD CONSTRAINT F_RISKMET_PK PRIMARY KEY(F_RISKMET_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.F_RISK_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.F_TASK_ITER_VARIANCE_METRICS ( F_TASKVAR_MET_ID INT NOT NULL, DATE_ID INT NOT NULL, BASELINE_ID INT NOT NULL, ITERATION_ID INT NOT NULL, PROJECT_ID INT NOT NULL, ACTUAL_FINISH_VARIANCE INT DEFAULT 0 NOT NULL, PLANNED_FINISH_VARIANCE INT DEFAULT 0 NOT NULL, BASELINE_FINISH_VARIANCE INT DEFAULT 0 NOT NULL, ACTUAL_COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL, PLANNED_COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL, BASELINE_COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL, TOTAL_ACTUAL_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL, TOTAL_PLANNED_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL, TOTAL_BASELINE_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL, ACTUAL_WORK_VARIANCE INT DEFAULT 0 NOT NULL, PLANNED_WORK_VARIANCE INT DEFAULT 0 NOT NULL, BASELINE_WORK_VARIANCE INT DEFAULT 0 NOT NULL, TOTAL_ACTUAL_WORK INT DEFAULT 0 NOT NULL, TOTAL_PLANNED_WORK INT DEFAULT 0 NOT NULL, TOTAL_BASELINE_WORK INT DEFAULT 0 NOT NULL, BASELINE_DURATION INT DEFAULT 0 NOT NULL, ACTUAL_DURATION INT DEFAULT 0 NOT NULL, PLANNED_DURATION INT DEFAULT 0 NOT NULL, TOTAL_TASKS INT DEFAULT 0 NOT NULL, REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL)  ON VSTR_32K
GO

ALTER TABLE RIDW.F_TASK_ITER_VARIANCE_METRICS ADD CONSTRAINT FTSKITVARMET_PK PRIMARY KEY(F_TASKVAR_MET_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.F_TASK_ITER_VARIANCE_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.F_TASK_PROJ_VARIANCE_METRICS ( F_TASKVAR_MET_ID INT NOT NULL, DATE_ID INT NOT NULL, BASELINE_ID INT NOT NULL, PROJECT_ID INT NOT NULL, ACTUAL_FINISH_VARIANCE INT DEFAULT 0 NOT NULL, PLANNED_FINISH_VARIANCE INT DEFAULT 0 NOT NULL, BASELINE_FINISH_VARIANCE INT DEFAULT 0 NOT NULL, ACTUAL_COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL, PLANNED_COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL, BASELINE_COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL, TOTAL_ACTUAL_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL, TOTAL_PLANNED_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL, TOTAL_BASELINE_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL, ACTUAL_WORK_VARIANCE INT DEFAULT 0 NOT NULL, PLANNED_WORK_VARIANCE INT DEFAULT 0 NOT NULL, BASELINE_WORK_VARIANCE INT DEFAULT 0 NOT NULL, TOTAL_ACTUAL_WORK INT DEFAULT 0 NOT NULL, TOTAL_PLANNED_WORK INT DEFAULT 0 NOT NULL, TOTAL_BASELINE_WORK INT DEFAULT 0 NOT NULL, BASELINE_DURATION INT DEFAULT 0 NOT NULL, ACTUAL_DURATION INT DEFAULT 0 NOT NULL, PLANNED_DURATION INT DEFAULT 0 NOT NULL, TOTAL_TASKS INT DEFAULT 0 NOT NULL, REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL)  ON VSTR_32K
GO

ALTER TABLE RIDW.F_TASK_PROJ_VARIANCE_METRICS ADD CONSTRAINT FTSKPRJVARMET_PK PRIMARY KEY(F_TASKVAR_MET_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.F_TASK_PROJ_VARIANCE_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.F_TIMESHEET_METRICS ( TIMESHEET_METRICS_ID INT NOT NULL, DATE_ID INT NOT NULL, STATE_ID INT NOT NULL, RESOURCE_ID INT NOT NULL, PROJECT_ID INT NOT NULL, CHARGECODE_ID INT NOT NULL, POOL_ID INT NOT NULL, CITY_ID INT NOT NULL, ORGANIZATION_ID INT NOT NULL, TOTAL_WORK INT DEFAULT 0 NOT NULL, REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL)  ON VSTR_32K
GO

ALTER TABLE RIDW.F_TIMESHEET_METRICS ADD CONSTRAINT F_TIMESH_PK PRIMARY KEY(TIMESHEET_METRICS_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.F_TIMESHEET_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.F_TIMESHEET_TIMECODE_METRICS ( TIMESHEET_METRICS_ID INT NOT NULL, DATE_ID INT NOT NULL, STATE_ID INT NOT NULL, RESOURCE_ID INT NOT NULL, PROJECT_ID INT NOT NULL, CHARGECODE_ID INT NOT NULL, POOL_ID INT NOT NULL, CITY_ID INT NOT NULL, ORGANIZATION_ID INT NOT NULL, TIMECODE_ID INT NOT NULL, TOTAL_WORK INT DEFAULT 0 NOT NULL, REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL)  ON VSTR_32K
GO

ALTER TABLE RIDW.F_TIMESHEET_TIMECODE_METRICS ADD CONSTRAINT F_TIMESHTC_PK PRIMARY KEY(TIMESHEET_METRICS_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.F_TIMESHEET_TIMECODE_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.F_WK_COPROJ_RESDEMSUP_METRICS ( F_PROJDS_MET_ID INT NOT NULL, WEEK_ID INT NOT NULL, PROJECT_ID INT NOT NULL, CITY_ID INT NOT NULL, ORGANIZATION_ID INT NOT NULL, COMPETENCY_ID INT NOT NULL, TOTAL_DEMAND INT DEFAULT 0 NOT NULL, TOTAL_ASSIGNED INT DEFAULT 0 NOT NULL, TOTAL_ALLOCATION INT DEFAULT 0 NOT NULL, REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL)  ON VSTR_32K
GO

ALTER TABLE RIDW.F_WK_COPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_WCOPRDSMET_PK PRIMARY KEY(F_PROJDS_MET_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.F_WK_COPROJ_RESDEMSUP_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.F_WK_CORESOURCE_UTIL_METRICS ( F_RESUTIL_MET_ID INT NOT NULL, WEEK_ID INT NOT NULL, POOL_ID INT NOT NULL, CITY_ID INT NOT NULL, ORGANIZATION_ID INT NOT NULL, COMPETENCY_ID INT NOT NULL, TOTAL_AVAILABILITY INT DEFAULT 0 NOT NULL, TOTAL_ALLOCATION INT DEFAULT 0 NOT NULL, TOTAL_ASSIGNED INT DEFAULT 0 NOT NULL, TOTAL_ACTUAL INT DEFAULT 0 NOT NULL, REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL)  ON VSTR_32K
GO

ALTER TABLE RIDW.F_WK_CORESOURCE_UTIL_METRICS ADD CONSTRAINT F_WCORESUTMET_PK PRIMARY KEY(F_RESUTIL_MET_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.F_WK_CORESOURCE_UTIL_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.F_WK_PROJ_RESDEMSUPP_METRICS ( F_PROJDS_MET_ID INT NOT NULL, WEEK_ID INT NOT NULL, PROJECT_ID INT NOT NULL, CITY_ID INT NOT NULL, ORGANIZATION_ID INT NOT NULL, TOTAL_DEMAND INT DEFAULT 0 NOT NULL, TOTAL_ASSIGNED INT DEFAULT 0 NOT NULL, TOTAL_ALLOCATION INT DEFAULT 0 NOT NULL, REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL)  ON VSTR_32K
GO

ALTER TABLE RIDW.F_WK_PROJ_RESDEMSUPP_METRICS ADD CONSTRAINT F_WPJRESDSMET_PK PRIMARY KEY(F_PROJDS_MET_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.F_WK_PROJ_RESDEMSUPP_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.F_WK_RESOURCE_UTIL_METRICS ( F_RESUTIL_MET_ID INT NOT NULL, WEEK_ID INT NOT NULL, POOL_ID INT NOT NULL, CITY_ID INT NOT NULL, ORGANIZATION_ID INT NOT NULL, TOTAL_AVAILABILITY INT DEFAULT 0 NOT NULL, TOTAL_ALLOCATION INT DEFAULT 0 NOT NULL, TOTAL_ASSIGNED INT DEFAULT 0 NOT NULL, TOTAL_ACTUAL INT DEFAULT 0 NOT NULL, REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL)  ON VSTR_32K
GO

ALTER TABLE RIDW.F_WK_RESOURCE_UTIL_METRICS ADD CONSTRAINT F_WRESUTILMET_PK PRIMARY KEY(F_RESUTIL_MET_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.F_WK_RESOURCE_UTIL_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.F_WK_SCPROJ_RESDEMSUP_METRICS ( F_PROJDS_MET_ID INT NOT NULL, WEEK_ID INT NOT NULL, PROJECT_ID INT NOT NULL, CITY_ID INT NOT NULL, ORGANIZATION_ID INT NOT NULL, SKILL_ID INT NOT NULL, COMPETENCY_ID INT NOT NULL, TOTAL_DEMAND INT DEFAULT 0 NOT NULL, TOTAL_ASSIGNED INT DEFAULT 0 NOT NULL, TOTAL_ALLOCATION INT DEFAULT 0 NOT NULL, REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL)  ON VSTR_32K
GO

ALTER TABLE RIDW.F_WK_SCPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_WSCPRDSMET_PK PRIMARY KEY(F_PROJDS_MET_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.F_WK_SCPROJ_RESDEMSUP_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.F_WK_SCRESOURCE_UTIL_METRICS ( F_RESUTIL_MET_ID INT NOT NULL, WEEK_ID INT NOT NULL, POOL_ID INT NOT NULL, CITY_ID INT NOT NULL, ORGANIZATION_ID INT NOT NULL, SKILL_ID INT NOT NULL, COMPETENCY_ID INT NOT NULL, TOTAL_AVAILABILITY INT DEFAULT 0 NOT NULL, TOTAL_ALLOCATION INT DEFAULT 0 NOT NULL, TOTAL_ASSIGNED INT DEFAULT 0 NOT NULL, TOTAL_ACTUAL INT DEFAULT 0 NOT NULL, REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL)  ON VSTR_32K
GO

ALTER TABLE RIDW.F_WK_SCRESOURCE_UTIL_METRICS ADD CONSTRAINT F_WSCRESUTMET_PK PRIMARY KEY(F_RESUTIL_MET_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.F_WK_SCRESOURCE_UTIL_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.F_WK_SKPROJ_RESDEMSUP_METRICS ( F_PROJDS_MET_ID INT NOT NULL, WEEK_ID INT NOT NULL, PROJECT_ID INT NOT NULL, CITY_ID INT NOT NULL, ORGANIZATION_ID INT NOT NULL, SKILL_ID INT NOT NULL, TOTAL_DEMAND INT DEFAULT 0 NOT NULL, TOTAL_ASSIGNED INT DEFAULT 0 NOT NULL, TOTAL_ALLOCATION INT DEFAULT 0 NOT NULL, REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL)  ON VSTR_32K
GO

ALTER TABLE RIDW.F_WK_SKPROJ_RESDEMSUP_METRICS ADD CONSTRAINT F_WSKPRDSMET_PK PRIMARY KEY(F_PROJDS_MET_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.F_WK_SKPROJ_RESDEMSUP_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.F_WK_SKRESOURCE_UTIL_METRICS ( F_RESUTIL_MET_ID INT NOT NULL, WEEK_ID INT NOT NULL, POOL_ID INT NOT NULL, CITY_ID INT NOT NULL, ORGANIZATION_ID INT NOT NULL, SKILL_ID INT NOT NULL, TOTAL_AVAILABILITY INT DEFAULT 0 NOT NULL, TOTAL_ALLOCATION INT DEFAULT 0 NOT NULL, TOTAL_ASSIGNED INT DEFAULT 0 NOT NULL, TOTAL_ACTUAL INT DEFAULT 0 NOT NULL, REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL)  ON VSTR_32K
GO

ALTER TABLE RIDW.F_WK_SKRESOURCE_UTIL_METRICS ADD CONSTRAINT F_WSKRESUTMET_PK PRIMARY KEY(F_RESUTIL_MET_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.F_WK_SKRESOURCE_UTIL_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.H_MISSING_TIMESHEET_METRICS ( TIMESHEET_METRICS_ID INT NOT NULL, ACTIVITY_ID INT NOT NULL )  ON VSTR_32K
GO

ALTER TABLE RIDW.H_MISSING_TIMESHEET_METRICS ADD CONSTRAINT H_MISSTIMSH_PK PRIMARY KEY(TIMESHEET_METRICS_ID, ACTIVITY_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.H_MISSING_TIMESHEET_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.H_MO_COPROJ_RESDEMSUP_METRICS ( F_PROJDS_MET_ID INT NOT NULL, PROJECT_ALLOCATION_ID INT NOT NULL )  ON VSTR_32K
GO

ALTER TABLE RIDW.H_MO_COPROJ_RESDEMSUP_METRICS ADD CONSTRAINT H_MCOPRDSMET_PK PRIMARY KEY(F_PROJDS_MET_ID, PROJECT_ALLOCATION_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.H_MO_COPROJ_RESDEMSUP_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.H_MO_CORESOURCE_UTIL_METRICS ( F_RESUTIL_MET_ID INT NOT NULL, RESOURCE_ID INT NOT NULL )  ON VSTR_32K
GO

ALTER TABLE RIDW.H_MO_CORESOURCE_UTIL_METRICS ADD CONSTRAINT H_MCORESUTMET_PK PRIMARY KEY(F_RESUTIL_MET_ID, RESOURCE_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.H_MO_CORESOURCE_UTIL_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.H_MO_PROJ_RESDEMSUPP_METRICS ( F_PROJDS_MET_ID INT NOT NULL, PROJECT_ALLOCATION_ID INT NOT NULL )  ON VSTR_32K
GO

ALTER TABLE RIDW.H_MO_PROJ_RESDEMSUPP_METRICS ADD CONSTRAINT H_MPJRESDSMET_PK PRIMARY KEY(F_PROJDS_MET_ID, PROJECT_ALLOCATION_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.H_MO_PROJ_RESDEMSUPP_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.H_MO_RESOURCE_UTIL_METRICS ( F_RESUTIL_MET_ID INT NOT NULL, RESOURCE_ID INT NOT NULL )  ON VSTR_32K
GO

ALTER TABLE RIDW.H_MO_RESOURCE_UTIL_METRICS ADD CONSTRAINT H_MRESUTILMET_PK PRIMARY KEY(F_RESUTIL_MET_ID, RESOURCE_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.H_MO_RESOURCE_UTIL_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.H_MO_SCPROJ_RESDEMSUP_METRICS ( F_PROJDS_MET_ID INT NOT NULL, PROJECT_ALLOCATION_ID INT NOT NULL )  ON VSTR_32K
GO

ALTER TABLE RIDW.H_MO_SCPROJ_RESDEMSUP_METRICS ADD CONSTRAINT H_MSCPRDSMET_PK PRIMARY KEY(F_PROJDS_MET_ID, PROJECT_ALLOCATION_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.H_MO_SCPROJ_RESDEMSUP_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.H_MO_SCRESOURCE_UTIL_METRICS ( F_RESUTIL_MET_ID INT NOT NULL, RESOURCE_ID INT NOT NULL )  ON VSTR_32K
GO

ALTER TABLE RIDW.H_MO_SCRESOURCE_UTIL_METRICS ADD CONSTRAINT H_MSCRESUTMET_PK PRIMARY KEY(F_RESUTIL_MET_ID, RESOURCE_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.H_MO_SCRESOURCE_UTIL_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.H_MO_SKPROJ_RESDEMSUP_METRICS ( F_PROJDS_MET_ID INT NOT NULL, PROJECT_ALLOCATION_ID INT NOT NULL )  ON VSTR_32K
GO

ALTER TABLE RIDW.H_MO_SKPROJ_RESDEMSUP_METRICS ADD CONSTRAINT H_MSKPRDSMET_PK PRIMARY KEY(F_PROJDS_MET_ID, PROJECT_ALLOCATION_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.H_MO_SKPROJ_RESDEMSUP_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.H_MO_SKRESOURCE_UTIL_METRICS ( F_RESUTIL_MET_ID INT NOT NULL, RESOURCE_ID INT NOT NULL )  ON VSTR_32K
GO

ALTER TABLE RIDW.H_MO_SKRESOURCE_UTIL_METRICS ADD CONSTRAINT H_MSKRESUTMET_PK PRIMARY KEY(F_RESUTIL_MET_ID, RESOURCE_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.H_MO_SKRESOURCE_UTIL_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.H_RISK_METRICS ( F_RISKMET_ID INT NOT NULL, RISK_ID INT NOT NULL )  ON VSTR_32K
GO

ALTER TABLE RIDW.H_RISK_METRICS ADD CONSTRAINT H_RISKMET_PK PRIMARY KEY(F_RISKMET_ID, RISK_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.H_RISK_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.H_TASK_ITER_VARIANCE_METRICS ( F_TASKVAR_MET_ID INT NOT NULL, TASK_ID INT NOT NULL )  ON VSTR_32K
GO

ALTER TABLE RIDW.H_TASK_ITER_VARIANCE_METRICS ADD CONSTRAINT HTSKITVARMET_PK PRIMARY KEY(F_TASKVAR_MET_ID, TASK_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.H_TASK_ITER_VARIANCE_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.H_TASK_PROJ_VARIANCE_METRICS ( F_TASKVAR_MET_ID INT NOT NULL, TASK_ID INT NOT NULL )  ON VSTR_32K
GO

ALTER TABLE RIDW.H_TASK_PROJ_VARIANCE_METRICS ADD CONSTRAINT HTSKPRJVARME_PK PRIMARY KEY(F_TASKVAR_MET_ID, TASK_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.H_TASK_PROJ_VARIANCE_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.H_TIMESHEET_METRICS ( TIMESHEET_METRICS_ID INT NOT NULL, ACTIVITY_ID INT NOT NULL )  ON VSTR_32K
GO

ALTER TABLE RIDW.H_TIMESHEET_METRICS ADD CONSTRAINT H_TIMESH_PK PRIMARY KEY(TIMESHEET_METRICS_ID, ACTIVITY_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.H_TIMESHEET_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.H_TIMESHEET_TIMECODE_METRICS ( TIMESHEET_METRICS_ID INT NOT NULL, ACTIVITY_ID INT NOT NULL )  ON VSTR_32K
GO

ALTER TABLE RIDW.H_TIMESHEET_TIMECODE_METRICS ADD CONSTRAINT H_TIMESHTC_PK PRIMARY KEY(TIMESHEET_METRICS_ID, ACTIVITY_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.H_TIMESHEET_TIMECODE_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.H_WK_COPROJ_RESDEMSUP_METRICS ( F_PROJDS_MET_ID INT NOT NULL, PROJECT_ALLOCATION_ID INT NOT NULL )  ON VSTR_32K
GO

ALTER TABLE RIDW.H_WK_COPROJ_RESDEMSUP_METRICS ADD CONSTRAINT H_WCOPRDSMET_PK PRIMARY KEY(F_PROJDS_MET_ID, PROJECT_ALLOCATION_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.H_WK_COPROJ_RESDEMSUP_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.H_WK_CORESOURCE_UTIL_METRICS ( F_RESUTIL_MET_ID INT NOT NULL, RESOURCE_ID INT NOT NULL )  ON VSTR_32K
GO

ALTER TABLE RIDW.H_WK_CORESOURCE_UTIL_METRICS ADD CONSTRAINT H_WCORESUTMET_PK PRIMARY KEY(F_RESUTIL_MET_ID, RESOURCE_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.H_WK_CORESOURCE_UTIL_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.H_WK_PROJ_RESDEMSUPP_METRICS ( F_PROJDS_MET_ID INT NOT NULL, PROJECT_ALLOCATION_ID INT NOT NULL )  ON VSTR_32K
GO

ALTER TABLE RIDW.H_WK_PROJ_RESDEMSUPP_METRICS ADD CONSTRAINT H_WPJRESDSMET_PK PRIMARY KEY(F_PROJDS_MET_ID, PROJECT_ALLOCATION_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.H_WK_PROJ_RESDEMSUPP_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.H_WK_RESOURCE_UTIL_METRICS ( F_RESUTIL_MET_ID INT NOT NULL, RESOURCE_ID INT NOT NULL )  ON VSTR_32K
GO

ALTER TABLE RIDW.H_WK_RESOURCE_UTIL_METRICS ADD CONSTRAINT H_WRESUTILMET_PK PRIMARY KEY(F_RESUTIL_MET_ID, RESOURCE_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.H_WK_RESOURCE_UTIL_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.H_WK_SCPROJ_RESDEMSUP_METRICS ( F_PROJDS_MET_ID INT NOT NULL, PROJECT_ALLOCATION_ID INT NOT NULL )  ON VSTR_32K
GO

ALTER TABLE RIDW.H_WK_SCPROJ_RESDEMSUP_METRICS ADD CONSTRAINT H_WSCPRDSMET_PK PRIMARY KEY(F_PROJDS_MET_ID, PROJECT_ALLOCATION_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.H_WK_SCPROJ_RESDEMSUP_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.H_WK_SCRESOURCE_UTIL_METRICS ( F_RESUTIL_MET_ID INT NOT NULL, RESOURCE_ID INT NOT NULL )  ON VSTR_32K
GO

ALTER TABLE RIDW.H_WK_SCRESOURCE_UTIL_METRICS ADD CONSTRAINT H_WSCRESUTMET_PK PRIMARY KEY(F_RESUTIL_MET_ID, RESOURCE_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.H_WK_SCRESOURCE_UTIL_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.H_WK_SKPROJ_RESDEMSUP_METRICS ( F_PROJDS_MET_ID INT NOT NULL, PROJECT_ALLOCATION_ID INT NOT NULL )  ON VSTR_32K
GO

ALTER TABLE RIDW.H_WK_SKPROJ_RESDEMSUP_METRICS ADD CONSTRAINT H_WSKPRDSMET_PK PRIMARY KEY(F_PROJDS_MET_ID, PROJECT_ALLOCATION_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.H_WK_SKPROJ_RESDEMSUP_METRICS TO RPTUSER
GO

CREATE TABLE RIDW.H_WK_SKRESOURCE_UTIL_METRICS ( F_RESUTIL_MET_ID INT NOT NULL, RESOURCE_ID INT NOT NULL )  ON VSTR_32K
GO

ALTER TABLE RIDW.H_WK_SKRESOURCE_UTIL_METRICS ADD CONSTRAINT H_WSKRESUTMET_PK PRIMARY KEY(F_RESUTIL_MET_ID, RESOURCE_ID) ON  VSTR_IDX
GO

GRANT SELECT ON RIDW.H_WK_SKRESOURCE_UTIL_METRICS TO RPTUSER
GO

ALTER TABLE RIODS.ACTIVITY ADD  PROFILE_ID INT DEFAULT -1 NOT NULL
GO

ALTER TABLE RIODS.ACTIVITY ADD  CHARGECODE_ID INT DEFAULT -1 NOT NULL
GO

ALTER TABLE RIODS.ACTIVITY_DETAIL ADD  PERCENT_COMPLETE DECIMAL(5,2)
GO

ALTER TABLE RIODS.ACTIVITY_DETAIL ADD  PERCENT_WORK_COMPLETE DECIMAL(5,2)
GO

ALTER TABLE RIODS.ACTIVITY_DETAIL ADD  PLANNED_DURATION INT
GO

ALTER TABLE RIODS.ACTIVITY_DETAIL ADD  ACTUAL_DURATION INT
GO

ALTER TABLE RIODS.POOL ADD  PARENT_POOL_ID INT DEFAULT -1 NOT NULL
GO

ALTER TABLE RIODS.POOL ADD  POOL_TYPE NVARCHAR(255)
GO

ALTER TABLE RIODS.PROJECT ADD  PROGRAM_ID INT DEFAULT -1 NOT NULL
GO

ALTER TABLE RIODS.PROJECT ADD  PRIORITY NVARCHAR(255)
GO

ALTER TABLE RIODS.PROJECT ADD  STATUS NVARCHAR(255)
GO

ALTER TABLE RIODS.PROJECT_BASELINE ADD  BASELINE_DATE DATETIME
GO

ALTER TABLE RIODS.PROJECT_BASELINE ADD  PLANNED_START DATETIME
GO

ALTER TABLE RIODS.PROJECT_BASELINE ADD  PLANNED_FINISH DATETIME
GO

ALTER TABLE RIODS.PROJECT_BASELINE ADD  PLANNED_WORK INT
GO

ALTER TABLE RIODS.PROJECT_BASELINE ADD  BASELINE_WORK_COMPLETED INT
GO

ALTER TABLE RIODS.PROJECT_BASELINE ADD  PLANNED_COST DECIMAL(18,2)
GO

ALTER TABLE RIODS.PROJECT_BASELINE ADD  BASELINE_COST_COMPLETED DECIMAL(18,2)
GO

ALTER TABLE RIODS.PROJECT_BASELINE ADD  PLANNED_DURATION INT
GO

ALTER TABLE RIODS.PROJECT_DETAIL ADD  ACTUAL_DURATION INT DEFAULT 0 NOT NULL
GO

ALTER TABLE RIODS.PROJECT_DETAIL ADD  ACTUAL_WORK INT DEFAULT 0 NOT NULL
GO

ALTER TABLE RIODS.PROJECT_DETAIL ADD  ACTUAL_WORK_VARIANCE INT DEFAULT 0 NOT NULL
GO

ALTER TABLE RIODS.PROJECT_DETAIL ADD  ACTUAL_START_VARIANCE INT DEFAULT 0 NOT NULL
GO

ALTER TABLE RIODS.PROJECT_DETAIL ADD  ACTUAL_FINISH_VARIANCE INT DEFAULT 0 NOT NULL
GO

ALTER TABLE RIODS.PROJECT_DETAIL ADD  ACTUAL_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL
GO

ALTER TABLE RIODS.PROJECT_DETAIL ADD  ACTUAL_COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL
GO

ALTER TABLE RIODS.PROJECT_DETAIL ADD  BASELINE_DURATION INT DEFAULT 0 NOT NULL
GO

ALTER TABLE RIODS.PROJECT_DETAIL ADD  BASELINE_WORK INT DEFAULT 0 NOT NULL
GO

ALTER TABLE RIODS.PROJECT_DETAIL ADD  BASELINE_WORK_VARIANCE INT DEFAULT 0 NOT NULL
GO

ALTER TABLE RIODS.PROJECT_DETAIL ADD  BASELINE_START_VARIANCE INT DEFAULT 0 NOT NULL
GO

ALTER TABLE RIODS.PROJECT_DETAIL ADD  BASELINE_FINISH_VARIANCE INT DEFAULT 0 NOT NULL
GO

ALTER TABLE RIODS.PROJECT_DETAIL ADD  BASELINE_COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL
GO

ALTER TABLE RIODS.PROJECT_DETAIL ADD  PLANNED_COST DECIMAL(18,2) DEFAULT 0.00 NOT NULL
GO

ALTER TABLE RIODS.PROJECT_DETAIL ADD  COST_VARIANCE DECIMAL(18,2) DEFAULT 0.00 NOT NULL
GO

ALTER TABLE RIODS.PROJECT_DETAIL ADD  PLANNED_DURATION INT DEFAULT 0 NOT NULL
GO

ALTER TABLE RIODS.PROJECT_DETAIL ADD  PLANNED_WORK INT DEFAULT 0 NOT NULL
GO

ALTER TABLE RIODS.PROJECT_DETAIL ADD  WORK_VARIANCE INT DEFAULT 0 NOT NULL
GO

ALTER TABLE RIODS.PROJECT_DETAIL ADD  START_VARIANCE INT DEFAULT 0 NOT NULL
GO

ALTER TABLE RIODS.PROJECT_DETAIL ADD  FINISH_VARIANCE INT DEFAULT 0 NOT NULL
GO

ALTER TABLE RIODS.PROJECT_DETAIL ADD  DURATION_VARIANCE INT DEFAULT 0 NOT NULL
GO

ALTER TABLE RIODS.PROJECT_DETAIL ADD  PERCENT_COMPLETE DECIMAL(5,2) DEFAULT 0.00 NOT NULL
GO

ALTER TABLE RIODS.PROJECT_DETAIL ADD  PERCENT_WORK_COMPLETE DECIMAL(5,2) DEFAULT 0.00 NOT NULL
GO

ALTER TABLE RIODS.RESOURCE ADD  CITY_ID INT DEFAULT -1 NOT NULL
GO

ALTER TABLE RIODS.RESOURCE ADD  ORGANIZATION_ID INT DEFAULT -1 NOT NULL
GO

ALTER TABLE RIODS.RESOURCE ADD  EFFECTIVE_DATE DATETIME
GO

ALTER TABLE RIODS.RESOURCE ADD  DISCONTINUE_DATE DATETIME
GO

ALTER TABLE RIODS.RESOURCE ADD  TIME_PER_DAY INT
GO

ALTER TABLE RIODS.RISK ADD  IMPACT INT
GO

ALTER TABLE RIODS.RISK ADD  PROBABILITY INT
GO

ALTER TABLE RIODS.RISK ADD  PROBABILITY_COST DECIMAL(18,2)
GO

ALTER TABLE RIODS.RISK ADD  RISK_SCORE DECIMAL(18,2)
GO

ALTER TABLE RIODS.TASK_DETAIL ADD  ACTUAL_FINISH_VARIANCE INT
GO

ALTER TABLE RIODS.TASK_DETAIL ADD  BASELINE_FINISH_VARIANCE INT
GO

ALTER TABLE RIODS.TASK_DETAIL ADD  ACTUAL_WORK_VARIANCE INT
GO

ALTER TABLE RIODS.TASK_DETAIL ADD  BASELINE_WORK_VARIANCE INT
GO

ALTER TABLE RIODS.TASK_DETAIL ADD  ACTUAL_START_VARIANCE INT
GO

ALTER TABLE RIODS.TASK_DETAIL ADD  BASELINE_START_VARIANCE INT
GO

ALTER TABLE RIODS.TASK_DETAIL ADD  WORK_VARIANCE INT
GO

EXEC RIDW.PROCESS_COLUMN_UPDATE 'RIODS','BUILD','BUILDING_TIME','ALTER TABLE RIODS.BUILD ALTER COLUMN BUILDING_TIME   BIGINT'
GO

EXEC RIDW.PROCESS_COLUMN_UPDATE 'RIODS','BUILD','WAITING_TIME','ALTER TABLE RIODS.BUILD ALTER COLUMN WAITING_TIME   BIGINT'
GO

EXEC RIDW.PROCESS_COLUMN_UPDATE 'RIODS','PROJECT_BASELINE','EXTERNAL_KEY2','ALTER TABLE RIODS.PROJECT_BASELINE ALTER COLUMN EXTERNAL_KEY2    NCHAR(80)'
GO

IF NOT EXISTS (SELECT NAME FROM RIODS.ACTIVITY_CLASSIFICATION WHERE NAME ='Project Conductor Assignment')INSERT INTO RIODS.ACTIVITY_CLASSIFICATION (ACTIVITY_CLASS_ID, NAME) SELECT MAX(ACTIVITY_CLASS_ID) +1 , 'Project Conductor Assignment' FROM RIODS.ACTIVITY_CLASSIFICATION
GO

IF NOT EXISTS (SELECT NAME FROM RIODS.PROJECT_CLASSIFICATION WHERE NAME ='Project Conductor Project') INSERT INTO RIODS.PROJECT_CLASSIFICATION (PROJECT_CLASS_ID, NAME ) SELECT MAX(PROJECT_CLASS_ID) +1 , 'Project Conductor Project' FROM RIODS.PROJECT_CLASSIFICATION
GO

IF NOT EXISTS (SELECT NAME FROM RIODS.REQUIREMENT_CLASSIFICATION WHERE NAME ='Doors Requirement') INSERT INTO RIODS.REQUIREMENT_CLASSIFICATION (REQUIREMENT_CLASS_ID, NAME) SELECT MAX(REQUIREMENT_CLASS_ID) +1 , 'Doors Requirement' FROM RIODS.REQUIREMENT_CLASSIFICATION
GO

 ALTER TABLE RIODS.CITY  ADD CONSTRAINT CITY_FK1 FOREIGN KEY  (PROVINCE_STATE_ID) REFERENCES RIODS.PROVINCE_STATE  (PROVINCE_STATE_ID)
GO

 ALTER TABLE RIODS.COUNTRY  ADD CONSTRAINT COUNTRY_FK1 FOREIGN KEY  (TERRITORY_ID) REFERENCES RIODS.OPERATING_TERRITORY  (TERRITORY_ID)
GO

 ALTER TABLE RIODS.ITERATION_BASELINE  ADD CONSTRAINT ITERBASELINE_FK2 FOREIGN KEY  (ITERATION_ID) REFERENCES RIODS.ITERATION  (ITERATION_ID)
GO

 ALTER TABLE RIODS.ITERATION_BASELINE  ADD CONSTRAINT ITERBASELINE_FK3 FOREIGN KEY  (BASELINE_ID) REFERENCES RIODS.PROJECT_BASELINE  (BASELINE_ID)
GO

 ALTER TABLE RIODS.ITERATION_DETAIL  ADD CONSTRAINT ITERDET_FK1 FOREIGN KEY  (ITERATION_ID) REFERENCES RIODS.ITERATION  (ITERATION_ID)
GO

 ALTER TABLE RIODS.PROFILE  ADD CONSTRAINT PROFILE_FK1 FOREIGN KEY  (CITY_ID) REFERENCES RIODS.CITY  (CITY_ID)
GO

 ALTER TABLE RIODS.PROFILE  ADD CONSTRAINT PROFILE_FK2 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIODS.ORGANIZATION  (ORGANIZATION_ID)
GO

 ALTER TABLE RIODS.PROFILE_COMPETENCY_LOOKUP  ADD CONSTRAINT PROCOMPETENCY_FK1 FOREIGN KEY  (COMPETENCY_ID) REFERENCES RIODS.COMPETENCY  (COMPETENCY_ID)
GO

 ALTER TABLE RIODS.PROFILE_COMPETENCY_LOOKUP  ADD CONSTRAINT PROCOMPETENCY_FK2 FOREIGN KEY  (PROFILE_ID) REFERENCES RIODS.PROFILE  (PROFILE_ID)
GO

 ALTER TABLE RIODS.PROFILE_SKILL_LOOKUP  ADD CONSTRAINT PROSKILL_FK1 FOREIGN KEY  (SKILL_ID) REFERENCES RIODS.SKILL  (SKILL_ID)
GO

 ALTER TABLE RIODS.PROFILE_SKILL_LOOKUP  ADD CONSTRAINT PROSKILL_FK2 FOREIGN KEY  (PROFILE_ID) REFERENCES RIODS.PROFILE  (PROFILE_ID)
GO

 ALTER TABLE RIODS.PROGRAM  ADD CONSTRAINT PROGRAM_FK1 FOREIGN KEY  (PROGRAM_MANAGER) REFERENCES RIODS.RESOURCE  (RESOURCE_ID)
GO

 ALTER TABLE RIODS.PROGRAM_DETAIL  ADD CONSTRAINT PROGRAM_DETAIL_FK1 FOREIGN KEY  (PROGRAM_ID) REFERENCES RIODS.PROGRAM  (PROGRAM_ID)
GO

 ALTER TABLE RIODS.PROJECT_ALLOCATION  ADD CONSTRAINT PROJALLO_FK1 FOREIGN KEY  (PROJECT_ID) REFERENCES RIODS.PROJECT  (PROJECT_ID)
GO

 ALTER TABLE RIODS.PROJECT_ALLOCATION  ADD CONSTRAINT PROJALLO_FK2 FOREIGN KEY  (OWNER_ID) REFERENCES RIODS.RESOURCE  (RESOURCE_ID)
GO

 ALTER TABLE RIODS.PROJECT_ALLOCATION  ADD CONSTRAINT PROJALLO_FK3 FOREIGN KEY  (PROFILE_ID) REFERENCES RIODS.PROFILE  (PROFILE_ID)
GO

 ALTER TABLE RIODS.PROVINCE_STATE  ADD CONSTRAINT PROVSTATE_FK1 FOREIGN KEY  (COUNTRY_ID) REFERENCES RIODS.COUNTRY  (COUNTRY_ID)
GO

 ALTER TABLE RIODS.RESOURCE_COMPETENCY_LOOKUP  ADD CONSTRAINT RESCOMPETENCY_FK FOREIGN KEY  (COMPETENCY_ID) REFERENCES RIODS.COMPETENCY  (COMPETENCY_ID)
GO

 ALTER TABLE RIODS.RESOURCE_COMPETENCY_LOOKUP  ADD CONSTRAINT RESCOMPETENCY_FK1 FOREIGN KEY  (RESOURCE_ID) REFERENCES RIODS.RESOURCE  (RESOURCE_ID)
GO

 ALTER TABLE RIODS.RESOURCE_SKILL_LOOKUP  ADD CONSTRAINT RESSKILL_FK FOREIGN KEY  (SKILL_ID) REFERENCES RIODS.SKILL  (SKILL_ID)
GO

 ALTER TABLE RIODS.RESOURCE_SKILL_LOOKUP  ADD CONSTRAINT RESSKILL_FK1 FOREIGN KEY  (RESOURCE_ID) REFERENCES RIODS.RESOURCE  (RESOURCE_ID)
GO

 ALTER TABLE RIODS.TASK_BASELINE  ADD CONSTRAINT TASKBL_FK1 FOREIGN KEY  (TASK_ID) REFERENCES RIODS.TASK  (TASK_ID)
GO

 ALTER TABLE RIODS.TASK_BASELINE  ADD CONSTRAINT TASKBL_FK2 FOREIGN KEY  (BASELINE_ID) REFERENCES RIODS.PROJECT_BASELINE  (BASELINE_ID)
GO

 ALTER TABLE RIODS.TIMESHEET  ADD CONSTRAINT TIMESHEET_FK1 FOREIGN KEY  (ACTIVITY_ID) REFERENCES RIODS.ACTIVITY  (ACTIVITY_ID)
GO

 ALTER TABLE RIODS.TIMESHEET  ADD CONSTRAINT TIMESHEET_FK2 FOREIGN KEY  (APPROVER_ID) REFERENCES RIODS.RESOURCE  (RESOURCE_ID)
GO

 ALTER TABLE RIODS.TIMESHEET_TIMECODE_LOOKUP  ADD CONSTRAINT TSTC_FK1 FOREIGN KEY  (TIMESHEET_ID) REFERENCES RIODS.TIMESHEET  (TIMESHEET_ID)
GO

 ALTER TABLE RIODS.TIMESHEET_TIMECODE_LOOKUP  ADD CONSTRAINT TSTC_FK2 FOREIGN KEY  (TIMECODE_ID) REFERENCES RIODS.TIMECODE  (TIMECODE_ID)
GO

 ALTER TABLE RIDW.F_C_RISK_METRICS  ADD CONSTRAINT F_C_RISKMET_FK1 FOREIGN KEY  (DATE_ID) REFERENCES RIDW.D_DATE  (DATE_ID)
GO

 ALTER TABLE RIDW.F_C_RISK_METRICS  ADD CONSTRAINT F_C_RISKMET_FK10 FOREIGN KEY  (SCORE_RANK_ID) REFERENCES RIDW.D_SCORE_RANK  (SCORE_RANK_ID)
GO

 ALTER TABLE RIDW.F_C_RISK_METRICS  ADD CONSTRAINT F_C_RISKMET_FK2 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID)
GO

 ALTER TABLE RIDW.F_C_RISK_METRICS  ADD CONSTRAINT F_C_RISKMET_FK3 FOREIGN KEY  (STATE_ID) REFERENCES RIDW.D_RISK_STATE  (STATE_ID)
GO

 ALTER TABLE RIDW.F_C_RISK_METRICS  ADD CONSTRAINT F_C_RISKMET_FK4 FOREIGN KEY  (PRIORITY_ID) REFERENCES RIDW.D_PRIORITY  (PRIORITY_ID)
GO

 ALTER TABLE RIDW.F_C_RISK_METRICS  ADD CONSTRAINT F_C_RISKMET_FK5 FOREIGN KEY  (OWNER_ID) REFERENCES RIDW.D_RESOURCE  (RESOURCE_ID)
GO

 ALTER TABLE RIDW.F_C_RISK_METRICS  ADD CONSTRAINT F_C_RISKMET_FK6 FOREIGN KEY  (RELEASE_ID) REFERENCES RIDW.D_RELEASE  (RELEASE_ID)
GO

 ALTER TABLE RIDW.F_C_RISK_METRICS  ADD CONSTRAINT F_C_RISKMET_FK7 FOREIGN KEY  (IMPACT_RANK_ID) REFERENCES RIDW.D_IMPACT_RANK  (IMPACT_RANK_ID)
GO

 ALTER TABLE RIDW.F_C_RISK_METRICS  ADD CONSTRAINT F_C_RISKMET_FK8 FOREIGN KEY  (PROBABILITY_RANK_ID) REFERENCES RIDW.D_PROBABILITY_RANK  (PROBABILITY_RANK_ID)
GO

 ALTER TABLE RIDW.F_C_RISK_METRICS  ADD CONSTRAINT F_C_RISKMET_FK9 FOREIGN KEY  (PROBABILITY_COST_RANK_ID) REFERENCES RIDW.D_PROBABILITY_COST_RANK  (PROBABILITY_COST_RANK_ID)
GO

 ALTER TABLE RIDW.F_C_TASK_ITE_VARIANCE_METRICS  ADD CONSTRAINT FCTSKITVARMET_FK1 FOREIGN KEY  (DATE_ID) REFERENCES RIDW.D_DATE  (DATE_ID)
GO

 ALTER TABLE RIDW.F_C_TASK_ITE_VARIANCE_METRICS  ADD CONSTRAINT FCTSKITVARMET_FK2 FOREIGN KEY  (BASELINE_ID) REFERENCES RIDW.D_BASELINE  (BASELINE_ID)
GO

 ALTER TABLE RIDW.F_C_TASK_ITE_VARIANCE_METRICS  ADD CONSTRAINT FCTSKITVARMET_FK3 FOREIGN KEY  (ITERATION_ID) REFERENCES RIDW.D_ITERATION  (ITERATION_ID)
GO

 ALTER TABLE RIDW.F_C_TASK_ITE_VARIANCE_METRICS  ADD CONSTRAINT FCTSKITVARMET_FK4 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID)
GO

 ALTER TABLE RIDW.F_C_TASK_PRO_VARIANCE_METRICS  ADD CONSTRAINT FCTSKPRVARMET_FK1 FOREIGN KEY  (DATE_ID) REFERENCES RIDW.D_DATE  (DATE_ID)
GO

 ALTER TABLE RIDW.F_C_TASK_PRO_VARIANCE_METRICS  ADD CONSTRAINT FCTSKPRVARMET_FK2 FOREIGN KEY  (BASELINE_ID) REFERENCES RIDW.D_BASELINE  (BASELINE_ID)
GO

 ALTER TABLE RIDW.F_C_TASK_PRO_VARIANCE_METRICS  ADD CONSTRAINT FCTSKPRVARMET_FK3 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID)
GO

 ALTER TABLE RIDW.F_MISSING_TIMESHEET_METRICS  ADD CONSTRAINT F_MISSTIMSH_FK1 FOREIGN KEY  (WEEK_ID) REFERENCES RIDW.D_DATE  (DATE_ID)
GO

 ALTER TABLE RIDW.F_MISSING_TIMESHEET_METRICS  ADD CONSTRAINT F_MISSTIMSH_FK3 FOREIGN KEY  (RESOURCE_ID) REFERENCES RIDW.D_RESOURCE  (RESOURCE_ID)
GO

 ALTER TABLE RIDW.F_MISSING_TIMESHEET_METRICS  ADD CONSTRAINT F_MISSTIMSH_FK4 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID)
GO

 ALTER TABLE RIDW.F_MISSING_TIMESHEET_METRICS  ADD CONSTRAINT F_MISSTIMSH_FK5 FOREIGN KEY  (CHARGECODE_ID) REFERENCES RIDW.D_CHARGECODE  (CHARGECODE_ID)
GO

 ALTER TABLE RIDW.F_MISSING_TIMESHEET_METRICS  ADD CONSTRAINT F_MISSTIMSH_FK6 FOREIGN KEY  (POOL_ID) REFERENCES RIDW.D_POOL  (POOL_ID)
GO

 ALTER TABLE RIDW.F_MISSING_TIMESHEET_METRICS  ADD CONSTRAINT F_MISSTIMSH_FK7 FOREIGN KEY  (CITY_ID) REFERENCES RIDW.D_CITY  (CITY_ID)
GO

 ALTER TABLE RIDW.F_MISSING_TIMESHEET_METRICS  ADD CONSTRAINT F_MISSTIMSH_FK8 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIDW.D_ORGANIZATION  (ORGANIZATION_ID)
GO

 ALTER TABLE RIDW.F_MO_COPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_MCOPRDSMET_FK1 FOREIGN KEY  (MONTH_ID) REFERENCES RIDW.D_DATE  (DATE_ID)
GO

 ALTER TABLE RIDW.F_MO_COPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_MCOPRDSMET_FK2 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID)
GO

 ALTER TABLE RIDW.F_MO_COPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_MCOPRDSMET_FK3 FOREIGN KEY  (CITY_ID) REFERENCES RIDW.D_CITY  (CITY_ID)
GO

 ALTER TABLE RIDW.F_MO_COPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_MCOPRDSMET_FK4 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIDW.D_ORGANIZATION  (ORGANIZATION_ID)
GO

 ALTER TABLE RIDW.F_MO_COPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_MCOPRDSMET_FK5 FOREIGN KEY  (COMPETENCY_ID) REFERENCES RIDW.D_COMPETENCY  (COMPETENCY_ID)
GO

 ALTER TABLE RIDW.F_MO_CORESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MCORESUTMET_FK1 FOREIGN KEY  (MONTH_ID) REFERENCES RIDW.D_DATE  (DATE_ID)
GO

 ALTER TABLE RIDW.F_MO_CORESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MCORESUTMET_FK2 FOREIGN KEY  (POOL_ID) REFERENCES RIDW.D_POOL  (POOL_ID)
GO

 ALTER TABLE RIDW.F_MO_CORESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MCORESUTMET_FK4 FOREIGN KEY  (CITY_ID) REFERENCES RIDW.D_CITY  (CITY_ID)
GO

 ALTER TABLE RIDW.F_MO_CORESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MCORESUTMET_FK5 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIDW.D_ORGANIZATION  (ORGANIZATION_ID)
GO

 ALTER TABLE RIDW.F_MO_CORESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MCORESUTMET_FK6 FOREIGN KEY  (COMPETENCY_ID) REFERENCES RIDW.D_COMPETENCY  (COMPETENCY_ID)
GO

 ALTER TABLE RIDW.F_MO_PROJ_RESDEMSUPP_METRICS  ADD CONSTRAINT F_MPJRESDSMET_FK1 FOREIGN KEY  (MONTH_ID) REFERENCES RIDW.D_DATE  (DATE_ID)
GO

 ALTER TABLE RIDW.F_MO_PROJ_RESDEMSUPP_METRICS  ADD CONSTRAINT F_MPJRESDSMET_FK2 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID)
GO

 ALTER TABLE RIDW.F_MO_PROJ_RESDEMSUPP_METRICS  ADD CONSTRAINT F_MPJRESDSMET_FK3 FOREIGN KEY  (CITY_ID) REFERENCES RIDW.D_CITY  (CITY_ID)
GO

 ALTER TABLE RIDW.F_MO_PROJ_RESDEMSUPP_METRICS  ADD CONSTRAINT F_MPJRESDSMET_FK4 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIDW.D_ORGANIZATION  (ORGANIZATION_ID)
GO

 ALTER TABLE RIDW.F_MO_RESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MRESUTILMETT_FK1 FOREIGN KEY  (MONTH_ID) REFERENCES RIDW.D_DATE  (DATE_ID)
GO

 ALTER TABLE RIDW.F_MO_RESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MRESUTILMET_FK2 FOREIGN KEY  (POOL_ID) REFERENCES RIDW.D_POOL  (POOL_ID)
GO

 ALTER TABLE RIDW.F_MO_RESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MRESUTILMET_FK3 FOREIGN KEY  (CITY_ID) REFERENCES RIDW.D_CITY  (CITY_ID)
GO

 ALTER TABLE RIDW.F_MO_RESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MRESUTILMET_FK4 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIDW.D_ORGANIZATION  (ORGANIZATION_ID)
GO

 ALTER TABLE RIDW.F_MO_SCPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_MSCPRDSMET_FK1 FOREIGN KEY  (MONTH_ID) REFERENCES RIDW.D_DATE  (DATE_ID)
GO

 ALTER TABLE RIDW.F_MO_SCPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_MSCPRDSMET_FK2 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID)
GO

 ALTER TABLE RIDW.F_MO_SCPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_MSCPRDSMET_FK3 FOREIGN KEY  (CITY_ID) REFERENCES RIDW.D_CITY  (CITY_ID)
GO

 ALTER TABLE RIDW.F_MO_SCPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_MSCPRDSMET_FK4 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIDW.D_ORGANIZATION  (ORGANIZATION_ID)
GO

 ALTER TABLE RIDW.F_MO_SCPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_MSCPRDSMET_FK5 FOREIGN KEY  (SKILL_ID) REFERENCES RIDW.D_SKILL  (SKILL_ID)
GO

 ALTER TABLE RIDW.F_MO_SCPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_MSCPRDSMET_FK6 FOREIGN KEY  (COMPETENCY_ID) REFERENCES RIDW.D_COMPETENCY  (COMPETENCY_ID)
GO

 ALTER TABLE RIDW.F_MO_SCRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MSCRESUTMET_FK1 FOREIGN KEY  (MONTH_ID) REFERENCES RIDW.D_DATE  (DATE_ID)
GO

 ALTER TABLE RIDW.F_MO_SCRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MSCRESUTMET_FK2 FOREIGN KEY  (POOL_ID) REFERENCES RIDW.D_POOL  (POOL_ID)
GO

 ALTER TABLE RIDW.F_MO_SCRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MSCRESUTMET_FK3 FOREIGN KEY  (CITY_ID) REFERENCES RIDW.D_CITY  (CITY_ID)
GO

 ALTER TABLE RIDW.F_MO_SCRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MSCRESUTMET_FK4 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIDW.D_ORGANIZATION  (ORGANIZATION_ID)
GO

 ALTER TABLE RIDW.F_MO_SCRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MSCRESUTMET_FK5 FOREIGN KEY  (SKILL_ID) REFERENCES RIDW.D_SKILL  (SKILL_ID)
GO

 ALTER TABLE RIDW.F_MO_SCRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MSCRESUTMET_FK6 FOREIGN KEY  (COMPETENCY_ID) REFERENCES RIDW.D_COMPETENCY  (COMPETENCY_ID)
GO

 ALTER TABLE RIDW.F_MO_SKPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_MSKPRDSMET_FK1 FOREIGN KEY  (MONTH_ID) REFERENCES RIDW.D_DATE  (DATE_ID)
GO

 ALTER TABLE RIDW.F_MO_SKPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_MSKPRDSMET_FK2 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID)
GO

 ALTER TABLE RIDW.F_MO_SKPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_MSKPRDSMET_FK3 FOREIGN KEY  (CITY_ID) REFERENCES RIDW.D_CITY  (CITY_ID)
GO

 ALTER TABLE RIDW.F_MO_SKPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_MSKPRDSMET_FK4 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIDW.D_ORGANIZATION  (ORGANIZATION_ID)
GO

 ALTER TABLE RIDW.F_MO_SKPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_MSKPRDSMET_FK5 FOREIGN KEY  (SKILL_ID) REFERENCES RIDW.D_SKILL  (SKILL_ID)
GO

 ALTER TABLE RIDW.F_MO_SKRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MSKRESUTMET_FK1 FOREIGN KEY  (MONTH_ID) REFERENCES RIDW.D_DATE  (DATE_ID)
GO

 ALTER TABLE RIDW.F_MO_SKRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MSKRESUTMET_FK2 FOREIGN KEY  (POOL_ID) REFERENCES RIDW.D_POOL  (POOL_ID)
GO

 ALTER TABLE RIDW.F_MO_SKRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MSKRESUTMET_FK3 FOREIGN KEY  (CITY_ID) REFERENCES RIDW.D_CITY  (CITY_ID)
GO

 ALTER TABLE RIDW.F_MO_SKRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MSKRESUTMET_FK4 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIDW.D_ORGANIZATION  (ORGANIZATION_ID)
GO

 ALTER TABLE RIDW.F_MO_SKRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_MSKRESUTMET_FK5 FOREIGN KEY  (SKILL_ID) REFERENCES RIDW.D_SKILL  (SKILL_ID)
GO

 ALTER TABLE RIDW.F_RISK_METRICS  ADD CONSTRAINT F_RISKMET_FK9 FOREIGN KEY  (PROBABILITY_COST_RANK_ID) REFERENCES RIDW.D_PROBABILITY_COST_RANK  (PROBABILITY_COST_RANK_ID)
GO

 ALTER TABLE RIDW.F_RISK_METRICS  ADD CONSTRAINT F_RISKMET_FK1 FOREIGN KEY  (DATE_ID) REFERENCES RIDW.D_DATE  (DATE_ID)
GO

 ALTER TABLE RIDW.F_RISK_METRICS  ADD CONSTRAINT F_RISKMET_FK10 FOREIGN KEY  (SCORE_RANK_ID) REFERENCES RIDW.D_SCORE_RANK  (SCORE_RANK_ID)
GO

 ALTER TABLE RIDW.F_RISK_METRICS  ADD CONSTRAINT F_RISKMET_FK2 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID)
GO

 ALTER TABLE RIDW.F_RISK_METRICS  ADD CONSTRAINT F_RISKMET_FK3 FOREIGN KEY  (STATE_ID) REFERENCES RIDW.D_RISK_STATE  (STATE_ID)
GO

 ALTER TABLE RIDW.F_RISK_METRICS  ADD CONSTRAINT F_RISKMET_FK4 FOREIGN KEY  (PRIORITY_ID) REFERENCES RIDW.D_PRIORITY  (PRIORITY_ID)
GO

 ALTER TABLE RIDW.F_RISK_METRICS  ADD CONSTRAINT F_RISKMET_FK5 FOREIGN KEY  (OWNER_ID) REFERENCES RIDW.D_RESOURCE  (RESOURCE_ID)
GO

 ALTER TABLE RIDW.F_RISK_METRICS  ADD CONSTRAINT F_RISKMET_FK6 FOREIGN KEY  (RELEASE_ID) REFERENCES RIDW.D_RELEASE  (RELEASE_ID)
GO

 ALTER TABLE RIDW.F_RISK_METRICS  ADD CONSTRAINT F_RISKMET_FK7 FOREIGN KEY  (IMPACT_RANK_ID) REFERENCES RIDW.D_IMPACT_RANK  (IMPACT_RANK_ID)
GO

 ALTER TABLE RIDW.F_RISK_METRICS  ADD CONSTRAINT F_RISKMET_FK8 FOREIGN KEY  (PROBABILITY_RANK_ID) REFERENCES RIDW.D_PROBABILITY_RANK  (PROBABILITY_RANK_ID)
GO

 ALTER TABLE RIDW.F_TASK_ITER_VARIANCE_METRICS  ADD CONSTRAINT FTSKITVARMET_FK1 FOREIGN KEY  (DATE_ID) REFERENCES RIDW.D_DATE  (DATE_ID)
GO

 ALTER TABLE RIDW.F_TASK_ITER_VARIANCE_METRICS  ADD CONSTRAINT FTSKITVARMET_FK2 FOREIGN KEY  (BASELINE_ID) REFERENCES RIDW.D_BASELINE  (BASELINE_ID)
GO

 ALTER TABLE RIDW.F_TASK_ITER_VARIANCE_METRICS  ADD CONSTRAINT FTSKITVARMET_FK3 FOREIGN KEY  (ITERATION_ID) REFERENCES RIDW.D_ITERATION  (ITERATION_ID)
GO

 ALTER TABLE RIDW.F_TASK_ITER_VARIANCE_METRICS  ADD CONSTRAINT FTSKITVARMET_FK4 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID)
GO

 ALTER TABLE RIDW.F_TASK_PROJ_VARIANCE_METRICS  ADD CONSTRAINT FTSKPRJVARMET_FK1 FOREIGN KEY  (DATE_ID) REFERENCES RIDW.D_DATE  (DATE_ID)
GO

 ALTER TABLE RIDW.F_TASK_PROJ_VARIANCE_METRICS  ADD CONSTRAINT FTSKPRJVARMET_FK2 FOREIGN KEY  (BASELINE_ID) REFERENCES RIDW.D_BASELINE  (BASELINE_ID)
GO

 ALTER TABLE RIDW.F_TASK_PROJ_VARIANCE_METRICS  ADD CONSTRAINT FTSKPRJVARMET_FK3 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID)
GO

 ALTER TABLE RIDW.F_TIMESHEET_METRICS  ADD CONSTRAINT F_TIMESH_FK1 FOREIGN KEY  (DATE_ID) REFERENCES RIDW.D_DATE  (DATE_ID)
GO

 ALTER TABLE RIDW.F_TIMESHEET_METRICS  ADD CONSTRAINT F_TIMESH_FK2 FOREIGN KEY  (STATE_ID) REFERENCES RIDW.D_TIMESHEET_STATE  (STATE_ID)
GO

 ALTER TABLE RIDW.F_TIMESHEET_METRICS  ADD CONSTRAINT F_TIMESH_FK3 FOREIGN KEY  (RESOURCE_ID) REFERENCES RIDW.D_RESOURCE  (RESOURCE_ID)
GO

 ALTER TABLE RIDW.F_TIMESHEET_METRICS  ADD CONSTRAINT F_TIMESH_FK4 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID)
GO

 ALTER TABLE RIDW.F_TIMESHEET_METRICS  ADD CONSTRAINT F_TIMESH_FK5 FOREIGN KEY  (CHARGECODE_ID) REFERENCES RIDW.D_CHARGECODE  (CHARGECODE_ID)
GO

 ALTER TABLE RIDW.F_TIMESHEET_METRICS  ADD CONSTRAINT F_TIMESH_FK6 FOREIGN KEY  (POOL_ID) REFERENCES RIDW.D_POOL  (POOL_ID)
GO

 ALTER TABLE RIDW.F_TIMESHEET_METRICS  ADD CONSTRAINT F_TIMESH_FK7 FOREIGN KEY  (CITY_ID) REFERENCES RIDW.D_CITY  (CITY_ID)
GO

 ALTER TABLE RIDW.F_TIMESHEET_METRICS  ADD CONSTRAINT F_TIMESH_FK8 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIDW.D_ORGANIZATION  (ORGANIZATION_ID)
GO

 ALTER TABLE RIDW.F_TIMESHEET_TIMECODE_METRICS  ADD CONSTRAINT F_TIMESHTC_FK1 FOREIGN KEY  (DATE_ID) REFERENCES RIDW.D_DATE  (DATE_ID)
GO

 ALTER TABLE RIDW.F_TIMESHEET_TIMECODE_METRICS  ADD CONSTRAINT F_TIMESHTC_FK2 FOREIGN KEY  (STATE_ID) REFERENCES RIDW.D_TIMESHEET_STATE  (STATE_ID)
GO

 ALTER TABLE RIDW.F_TIMESHEET_TIMECODE_METRICS  ADD CONSTRAINT F_TIMESHTC_FK3 FOREIGN KEY  (RESOURCE_ID) REFERENCES RIDW.D_RESOURCE  (RESOURCE_ID)
GO

 ALTER TABLE RIDW.F_TIMESHEET_TIMECODE_METRICS  ADD CONSTRAINT F_TIMESHTC_FK4 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID)
GO

 ALTER TABLE RIDW.F_TIMESHEET_TIMECODE_METRICS  ADD CONSTRAINT F_TIMESHTC_FK5 FOREIGN KEY  (CHARGECODE_ID) REFERENCES RIDW.D_CHARGECODE  (CHARGECODE_ID)
GO

 ALTER TABLE RIDW.F_TIMESHEET_TIMECODE_METRICS  ADD CONSTRAINT F_TIMESHTC_FK6 FOREIGN KEY  (TIMECODE_ID) REFERENCES RIDW.D_TIMECODE  (TIMECODE_ID)
GO

 ALTER TABLE RIDW.F_TIMESHEET_TIMECODE_METRICS  ADD CONSTRAINT F_TIMESHTC_FK7 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIDW.D_ORGANIZATION  (ORGANIZATION_ID)
GO

 ALTER TABLE RIDW.F_TIMESHEET_TIMECODE_METRICS  ADD CONSTRAINT F_TIMESHTC_FK8 FOREIGN KEY  (POOL_ID) REFERENCES RIDW.D_POOL  (POOL_ID)
GO

 ALTER TABLE RIDW.F_TIMESHEET_TIMECODE_METRICS  ADD CONSTRAINT F_TIMESHTC_FK9 FOREIGN KEY  (CITY_ID) REFERENCES RIDW.D_CITY  (CITY_ID)
GO

 ALTER TABLE RIDW.F_WK_COPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_WCOPRDSMET_FK1 FOREIGN KEY  (WEEK_ID) REFERENCES RIDW.D_DATE  (DATE_ID)
GO

 ALTER TABLE RIDW.F_WK_COPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_WCOPRDSMET_FK2 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID)
GO

 ALTER TABLE RIDW.F_WK_COPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_WCOPRDSMET_FK3 FOREIGN KEY  (CITY_ID) REFERENCES RIDW.D_CITY  (CITY_ID)
GO

 ALTER TABLE RIDW.F_WK_COPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_WCOPRDSMET_FK4 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIDW.D_ORGANIZATION  (ORGANIZATION_ID)
GO

 ALTER TABLE RIDW.F_WK_COPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_WCOPRDSMET_FK5 FOREIGN KEY  (COMPETENCY_ID) REFERENCES RIDW.D_COMPETENCY  (COMPETENCY_ID)
GO

 ALTER TABLE RIDW.F_WK_CORESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WCORESUTMET_FK1 FOREIGN KEY  (WEEK_ID) REFERENCES RIDW.D_DATE  (DATE_ID)
GO

 ALTER TABLE RIDW.F_WK_CORESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WCORESUTMET_FK2 FOREIGN KEY  (POOL_ID) REFERENCES RIDW.D_POOL  (POOL_ID)
GO

 ALTER TABLE RIDW.F_WK_CORESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WCORESUTMET_FK3 FOREIGN KEY  (CITY_ID) REFERENCES RIDW.D_CITY  (CITY_ID)
GO

 ALTER TABLE RIDW.F_WK_CORESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WCORESUTMET_FK4 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIDW.D_ORGANIZATION  (ORGANIZATION_ID)
GO

 ALTER TABLE RIDW.F_WK_CORESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WCORESUTMET_FK5 FOREIGN KEY  (COMPETENCY_ID) REFERENCES RIDW.D_COMPETENCY  (COMPETENCY_ID)
GO

 ALTER TABLE RIDW.F_WK_PROJ_RESDEMSUPP_METRICS  ADD CONSTRAINT F_WPJRESDSMET_FK1 FOREIGN KEY  (WEEK_ID) REFERENCES RIDW.D_DATE  (DATE_ID)
GO

 ALTER TABLE RIDW.F_WK_PROJ_RESDEMSUPP_METRICS  ADD CONSTRAINT F_WPJRESDSMET_FK2 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID)
GO

 ALTER TABLE RIDW.F_WK_PROJ_RESDEMSUPP_METRICS  ADD CONSTRAINT F_WPJRESDSMET_FK3 FOREIGN KEY  (CITY_ID) REFERENCES RIDW.D_CITY  (CITY_ID)
GO

 ALTER TABLE RIDW.F_WK_PROJ_RESDEMSUPP_METRICS  ADD CONSTRAINT F_WPJRESDSMET_FK4 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIDW.D_ORGANIZATION  (ORGANIZATION_ID)
GO

 ALTER TABLE RIDW.F_WK_RESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WRESUTILMET_FK1 FOREIGN KEY  (WEEK_ID) REFERENCES RIDW.D_DATE  (DATE_ID)
GO

 ALTER TABLE RIDW.F_WK_RESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WRESUTILMET_FK2 FOREIGN KEY  (POOL_ID) REFERENCES RIDW.D_POOL  (POOL_ID)
GO

 ALTER TABLE RIDW.F_WK_RESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WRESUTILMET_FK3 FOREIGN KEY  (CITY_ID) REFERENCES RIDW.D_CITY  (CITY_ID)
GO

 ALTER TABLE RIDW.F_WK_RESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WRESUTILMET_FK4 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIDW.D_ORGANIZATION  (ORGANIZATION_ID)
GO

 ALTER TABLE RIDW.F_WK_SCPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_WSCPRDSMET_FK1 FOREIGN KEY  (WEEK_ID) REFERENCES RIDW.D_DATE  (DATE_ID)
GO

 ALTER TABLE RIDW.F_WK_SCPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_WSCPRDSMET_FK2 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID)
GO

 ALTER TABLE RIDW.F_WK_SCPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_WSCPRDSMET_FK3 FOREIGN KEY  (CITY_ID) REFERENCES RIDW.D_CITY  (CITY_ID)
GO

 ALTER TABLE RIDW.F_WK_SCPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_WSCPRDSMET_FK4 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIDW.D_ORGANIZATION  (ORGANIZATION_ID)
GO

 ALTER TABLE RIDW.F_WK_SCPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_WSCPRDSMET_FK5 FOREIGN KEY  (SKILL_ID) REFERENCES RIDW.D_SKILL  (SKILL_ID)
GO

 ALTER TABLE RIDW.F_WK_SCPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_WSCPRDSMET_FK6 FOREIGN KEY  (COMPETENCY_ID) REFERENCES RIDW.D_COMPETENCY  (COMPETENCY_ID)
GO

 ALTER TABLE RIDW.F_WK_SCRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WSCRESUTMET_FK1 FOREIGN KEY  (WEEK_ID) REFERENCES RIDW.D_DATE  (DATE_ID)
GO

 ALTER TABLE RIDW.F_WK_SCRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WSCRESUTMET_FK2 FOREIGN KEY  (POOL_ID) REFERENCES RIDW.D_POOL  (POOL_ID)
GO

 ALTER TABLE RIDW.F_WK_SCRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WSCRESUTMET_FK3 FOREIGN KEY  (CITY_ID) REFERENCES RIDW.D_CITY  (CITY_ID)
GO

 ALTER TABLE RIDW.F_WK_SCRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WSCRESUTMET_FK4 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIDW.D_ORGANIZATION  (ORGANIZATION_ID)
GO

 ALTER TABLE RIDW.F_WK_SCRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WSCRESUTMET_FK5 FOREIGN KEY  (SKILL_ID) REFERENCES RIDW.D_SKILL  (SKILL_ID)
GO

 ALTER TABLE RIDW.F_WK_SCRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WSCRESUTMET_FK6 FOREIGN KEY  (COMPETENCY_ID) REFERENCES RIDW.D_COMPETENCY  (COMPETENCY_ID)
GO

 ALTER TABLE RIDW.F_WK_SKPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_WSKPRDSMET_FK1 FOREIGN KEY  (WEEK_ID) REFERENCES RIDW.D_DATE  (DATE_ID)
GO

 ALTER TABLE RIDW.F_WK_SKPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_WSKPRDSMET_FK2 FOREIGN KEY  (PROJECT_ID) REFERENCES RIDW.D_PROJECT  (PROJECT_ID)
GO

 ALTER TABLE RIDW.F_WK_SKPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_WSKPRDSMET_FK3 FOREIGN KEY  (CITY_ID) REFERENCES RIDW.D_CITY  (CITY_ID)
GO

 ALTER TABLE RIDW.F_WK_SKPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_WSKPRDSMET_FK4 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIDW.D_ORGANIZATION  (ORGANIZATION_ID)
GO

 ALTER TABLE RIDW.F_WK_SKPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT F_WSKPRDSMET_FK5 FOREIGN KEY  (SKILL_ID) REFERENCES RIDW.D_SKILL  (SKILL_ID)
GO

 ALTER TABLE RIDW.F_WK_SKRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WSKRESUTMET_FK1 FOREIGN KEY  (WEEK_ID) REFERENCES RIDW.D_DATE  (DATE_ID)
GO

 ALTER TABLE RIDW.F_WK_SKRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WSKRESUTMET_FK2 FOREIGN KEY  (POOL_ID) REFERENCES RIDW.D_POOL  (POOL_ID)
GO

 ALTER TABLE RIDW.F_WK_SKRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WSKRESUTMET_FK3 FOREIGN KEY  (CITY_ID) REFERENCES RIDW.D_CITY  (CITY_ID)
GO

 ALTER TABLE RIDW.F_WK_SKRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WSKRESUTMET_FK4 FOREIGN KEY  (ORGANIZATION_ID) REFERENCES RIDW.D_ORGANIZATION  (ORGANIZATION_ID)
GO

 ALTER TABLE RIDW.F_WK_SKRESOURCE_UTIL_METRICS  ADD CONSTRAINT F_WSKRESUTMET_FK5 FOREIGN KEY  (SKILL_ID) REFERENCES RIDW.D_SKILL  (SKILL_ID)
GO

 ALTER TABLE RIDW.H_MISSING_TIMESHEET_METRICS  ADD CONSTRAINT H_MISSTIMSH_FK1 FOREIGN KEY  (TIMESHEET_METRICS_ID) REFERENCES RIDW.F_MISSING_TIMESHEET_METRICS  (TIMESHEET_METRICS_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_MISSING_TIMESHEET_METRICS  ADD CONSTRAINT H_MISSTIMSH_FK2 FOREIGN KEY  (ACTIVITY_ID) REFERENCES RIDW.D_ACTIVITY  (ACTIVITY_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_MO_COPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT H_MCOPRDSMET_FK1 FOREIGN KEY  (F_PROJDS_MET_ID) REFERENCES RIDW.F_MO_COPROJ_RESDEMSUP_METRICS  (F_PROJDS_MET_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_MO_COPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT H_MCOPRDSMET_FK2 FOREIGN KEY  (PROJECT_ALLOCATION_ID) REFERENCES RIDW.D_PROJECT_ALLOCATION  (PROJECT_ALLOCATION_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_MO_CORESOURCE_UTIL_METRICS  ADD CONSTRAINT H_MCORESUTMET_FK1 FOREIGN KEY  (F_RESUTIL_MET_ID) REFERENCES RIDW.F_MO_CORESOURCE_UTIL_METRICS  (F_RESUTIL_MET_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_MO_CORESOURCE_UTIL_METRICS  ADD CONSTRAINT H_MCORESUTMET_FK2 FOREIGN KEY  (RESOURCE_ID) REFERENCES RIDW.D_RESOURCE  (RESOURCE_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_MO_PROJ_RESDEMSUPP_METRICS  ADD CONSTRAINT H_MPJRESDSMET_FK1 FOREIGN KEY  (F_PROJDS_MET_ID) REFERENCES RIDW.F_MO_PROJ_RESDEMSUPP_METRICS  (F_PROJDS_MET_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_MO_PROJ_RESDEMSUPP_METRICS  ADD CONSTRAINT H_MPJRESDSMET_FK2 FOREIGN KEY  (PROJECT_ALLOCATION_ID) REFERENCES RIDW.D_PROJECT_ALLOCATION  (PROJECT_ALLOCATION_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_MO_RESOURCE_UTIL_METRICS  ADD CONSTRAINT H_MRESUTILMET_FK1 FOREIGN KEY  (F_RESUTIL_MET_ID) REFERENCES RIDW.F_MO_RESOURCE_UTIL_METRICS  (F_RESUTIL_MET_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_MO_RESOURCE_UTIL_METRICS  ADD CONSTRAINT H_MRESUTILMET_FK2 FOREIGN KEY  (RESOURCE_ID) REFERENCES RIDW.D_RESOURCE  (RESOURCE_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_MO_SCPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT H_MSCPRDSMET_FK1 FOREIGN KEY  (F_PROJDS_MET_ID) REFERENCES RIDW.F_MO_SCPROJ_RESDEMSUP_METRICS  (F_PROJDS_MET_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_MO_SCPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT H_MSCPRDSMET_FK2 FOREIGN KEY  (PROJECT_ALLOCATION_ID) REFERENCES RIDW.D_PROJECT_ALLOCATION  (PROJECT_ALLOCATION_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_MO_SCRESOURCE_UTIL_METRICS  ADD CONSTRAINT H_MSCRESUTMET_FK1 FOREIGN KEY  (F_RESUTIL_MET_ID) REFERENCES RIDW.F_MO_SCRESOURCE_UTIL_METRICS  (F_RESUTIL_MET_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_MO_SCRESOURCE_UTIL_METRICS  ADD CONSTRAINT H_MSCRESUTMET_FK2 FOREIGN KEY  (RESOURCE_ID) REFERENCES RIDW.D_RESOURCE  (RESOURCE_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_MO_SKPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT H_MSKPRDSMET_FK1 FOREIGN KEY  (F_PROJDS_MET_ID) REFERENCES RIDW.F_MO_SKPROJ_RESDEMSUP_METRICS  (F_PROJDS_MET_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_MO_SKPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT H_MSKPRDSMET_FK2 FOREIGN KEY  (PROJECT_ALLOCATION_ID) REFERENCES RIDW.D_PROJECT_ALLOCATION  (PROJECT_ALLOCATION_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_MO_SKRESOURCE_UTIL_METRICS  ADD CONSTRAINT H_MSKRESUTMET_FK1 FOREIGN KEY  (F_RESUTIL_MET_ID) REFERENCES RIDW.F_MO_SKRESOURCE_UTIL_METRICS  (F_RESUTIL_MET_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_MO_SKRESOURCE_UTIL_METRICS  ADD CONSTRAINT H_MSKRESUTMET_FK2 FOREIGN KEY  (RESOURCE_ID) REFERENCES RIDW.D_RESOURCE  (RESOURCE_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_RISK_METRICS  ADD CONSTRAINT H_RISKMET_FK1 FOREIGN KEY  (F_RISKMET_ID) REFERENCES RIDW.F_RISK_METRICS  (F_RISKMET_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_RISK_METRICS  ADD CONSTRAINT H_RISKMET_FK2 FOREIGN KEY  (RISK_ID) REFERENCES RIDW.D_RISK  (RISK_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_TASK_ITER_VARIANCE_METRICS  ADD CONSTRAINT HTSKITVARMET_FK1 FOREIGN KEY  (F_TASKVAR_MET_ID) REFERENCES RIDW.F_TASK_ITER_VARIANCE_METRICS  (F_TASKVAR_MET_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_TASK_ITER_VARIANCE_METRICS  ADD CONSTRAINT HTSKITVARMET_FK2 FOREIGN KEY  (TASK_ID) REFERENCES RIDW.D_TASK  (TASK_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_TASK_PROJ_VARIANCE_METRICS  ADD CONSTRAINT HTSKPRJVARME_FK1 FOREIGN KEY  (F_TASKVAR_MET_ID) REFERENCES RIDW.F_TASK_PROJ_VARIANCE_METRICS  (F_TASKVAR_MET_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_TASK_PROJ_VARIANCE_METRICS  ADD CONSTRAINT HTSKPRJVARME_FK2 FOREIGN KEY  (TASK_ID) REFERENCES RIDW.D_TASK  (TASK_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_TIMESHEET_METRICS  ADD CONSTRAINT H_TIMESH_FK1 FOREIGN KEY  (TIMESHEET_METRICS_ID) REFERENCES RIDW.F_TIMESHEET_METRICS  (TIMESHEET_METRICS_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_TIMESHEET_METRICS  ADD CONSTRAINT H_TIMESH_FK2 FOREIGN KEY  (ACTIVITY_ID) REFERENCES RIDW.D_ACTIVITY  (ACTIVITY_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_TIMESHEET_TIMECODE_METRICS  ADD CONSTRAINT H_TIMESHTC_FK1 FOREIGN KEY  (TIMESHEET_METRICS_ID) REFERENCES RIDW.F_TIMESHEET_TIMECODE_METRICS  (TIMESHEET_METRICS_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_TIMESHEET_TIMECODE_METRICS  ADD CONSTRAINT H_TIMESHTC_FK2 FOREIGN KEY  (ACTIVITY_ID) REFERENCES RIDW.D_ACTIVITY  (ACTIVITY_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_WK_COPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT H_WCOPRDSMET_FK1 FOREIGN KEY  (F_PROJDS_MET_ID) REFERENCES RIDW.F_WK_COPROJ_RESDEMSUP_METRICS  (F_PROJDS_MET_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_WK_COPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT H_WCOPRDSMET_FK2 FOREIGN KEY  (PROJECT_ALLOCATION_ID) REFERENCES RIDW.D_PROJECT_ALLOCATION  (PROJECT_ALLOCATION_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_WK_CORESOURCE_UTIL_METRICS  ADD CONSTRAINT H_WCORESUTMET_FK1 FOREIGN KEY  (F_RESUTIL_MET_ID) REFERENCES RIDW.F_WK_CORESOURCE_UTIL_METRICS  (F_RESUTIL_MET_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_WK_CORESOURCE_UTIL_METRICS  ADD CONSTRAINT H_WCORESUTMET_FK2 FOREIGN KEY  (RESOURCE_ID) REFERENCES RIDW.D_RESOURCE  (RESOURCE_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_WK_PROJ_RESDEMSUPP_METRICS  ADD CONSTRAINT H_WPJRESDSMET_FK1 FOREIGN KEY  (F_PROJDS_MET_ID) REFERENCES RIDW.F_WK_PROJ_RESDEMSUPP_METRICS  (F_PROJDS_MET_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_WK_PROJ_RESDEMSUPP_METRICS  ADD CONSTRAINT H_WPJRESDSMET_FK2 FOREIGN KEY  (PROJECT_ALLOCATION_ID) REFERENCES RIDW.D_PROJECT_ALLOCATION  (PROJECT_ALLOCATION_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_WK_RESOURCE_UTIL_METRICS  ADD CONSTRAINT H_WRESUTILMET_FK1 FOREIGN KEY  (F_RESUTIL_MET_ID) REFERENCES RIDW.F_WK_RESOURCE_UTIL_METRICS  (F_RESUTIL_MET_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_WK_RESOURCE_UTIL_METRICS  ADD CONSTRAINT H_WRESUTILMET_FK2 FOREIGN KEY  (RESOURCE_ID) REFERENCES RIDW.D_RESOURCE  (RESOURCE_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_WK_SCPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT H_WSCPRDSMET_FK1 FOREIGN KEY  (F_PROJDS_MET_ID) REFERENCES RIDW.F_WK_SCPROJ_RESDEMSUP_METRICS  (F_PROJDS_MET_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_WK_SCPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT H_WSCPRDSMET_FK2 FOREIGN KEY  (PROJECT_ALLOCATION_ID) REFERENCES RIDW.D_PROJECT_ALLOCATION  (PROJECT_ALLOCATION_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_WK_SCRESOURCE_UTIL_METRICS  ADD CONSTRAINT H_WSCRESUTMET_FK1 FOREIGN KEY  (F_RESUTIL_MET_ID) REFERENCES RIDW.F_WK_SCRESOURCE_UTIL_METRICS  (F_RESUTIL_MET_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_WK_SCRESOURCE_UTIL_METRICS  ADD CONSTRAINT H_WSCRESUTMET_FK2 FOREIGN KEY  (RESOURCE_ID) REFERENCES RIDW.D_RESOURCE  (RESOURCE_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_WK_SKPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT H_WSKPRDSMET_FK1 FOREIGN KEY  (F_PROJDS_MET_ID) REFERENCES RIDW.F_WK_SKPROJ_RESDEMSUP_METRICS  (F_PROJDS_MET_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_WK_SKPROJ_RESDEMSUP_METRICS  ADD CONSTRAINT H_WSKPRDSMET_FK2 FOREIGN KEY  (PROJECT_ALLOCATION_ID) REFERENCES RIDW.D_PROJECT_ALLOCATION  (PROJECT_ALLOCATION_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_WK_SKRESOURCE_UTIL_METRICS  ADD CONSTRAINT H_WSKRESUTMET_FK1 FOREIGN KEY  (F_RESUTIL_MET_ID) REFERENCES RIDW.F_WK_SKRESOURCE_UTIL_METRICS  (F_RESUTIL_MET_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_WK_SKRESOURCE_UTIL_METRICS  ADD CONSTRAINT H_WSKRESUTMET_FK2 FOREIGN KEY  (RESOURCE_ID) REFERENCES RIDW.D_RESOURCE  (RESOURCE_ID) ON DELETE CASCADE
GO

CREATE VIEW RIDW.VW_CHARGECODE (CHARGECODE_ID,REFERENCE_ID,EXTERNAL_ID,NAME,PARENT_CHARGECODE_ID,CHARGECODE_STATE,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED)AS (SELECT CHARGECODE_ID,REFERENCE_ID,EXTERNAL_ID,NAME,PARENT_CHARGECODE_ID,CHARGECODE_STATE,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED FROM RIODS.CHARGECODE)
GO

GRANT SELECT ON RIDW.VW_CHARGECODE TO RPTUSER
GO

CREATE VIEW RIDW.VW_CITY (CITY_ID,REFERENCE_ID,EXTERNAL_ID,NAME,PROVINCE_STATE_ID,PROVINCE_STATE_NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,ISSOFTDELETED)AS (SELECT C.CITY_ID,C.REFERENCE_ID,C.EXTERNAL_ID,C.NAME,C.PROVINCE_STATE_ID,P.NAME AS PROVINCE_STATE_NAME, C.EXTERNAL_KEY1,C.EXTERNAL_KEY2,C.SOURCE_ID,C.URL,C.ISSOFTDELETED FROM RIODS.CITY C JOIN RIODS.PROVINCE_STATE P ON P.PROVINCE_STATE_ID=C.PROVINCE_STATE_ID)
GO

GRANT SELECT ON RIDW.VW_CITY TO RPTUSER
GO

CREATE VIEW RIDW.VW_COMPETENCY (EXTERNAL_ID, NAME, COMPETENCY_ID, REFERENCE_ID,URL, EXTERNAL_KEY1, EXTERNAL_KEY2) AS (SELECT EXTERNAL_ID,NAME,COMPETENCY_ID,REFERENCE_ID,URL,EXTERNAL_KEY1,EXTERNAL_KEY2 FROM RIODS.COMPETENCY)
GO

GRANT SELECT ON RIDW.VW_COMPETENCY TO RPTUSER
GO

CREATE VIEW RIDW.VW_COUNTRY(COUNTRY_ID,REFERENCE_ID,EXTERNAL_ID,NAME,TERRITORY_ID,TERRITORY_NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,ISSOFTDELETED)AS (SELECT C.COUNTRY_ID,C.REFERENCE_ID,C.EXTERNAL_ID,C.NAME,C.TERRITORY_ID,T.NAME AS TERRITORY_NAME,C.EXTERNAL_KEY1,C.EXTERNAL_KEY2,C.SOURCE_ID,C.URL,C.ISSOFTDELETED FROM RIODS.COUNTRY C JOIN RIODS.OPERATING_TERRITORY T ON T.TERRITORY_ID=C.TERRITORY_ID)
GO

GRANT SELECT ON RIDW.VW_COUNTRY TO RPTUSER
GO

CREATE VIEW RIDW.VW_ITERATION_BASELINE (BASELINE_ID, EXTERNAL_ID, NAME, ITERATION_ID,REFERENCE_ID, URL, BASELINE_DATE, PLANNED_START, PLANNED_FINISH, PLANNED_WORK,BASELINE_WORK_COMPLETED, PLANNED_COST, BASELINE_COST_COMPLETED, PLANNED_DURATION,EXTERNAL_KEY1, EXTERNAL_KEY2) AS (SELECT P.BASELINE_ID, P.EXTERNAL_ID,P.NAME, P.ITERATION_ID, P.REFERENCE_ID, P.URL, P.BASELINE_DATE, P.PLANNED_START,P.PLANNED_FINISH, P.PLANNED_WORK,P.BASELINE_WORK_COMPLETED,P.PLANNED_COST,P.BASELINE_COST_COMPLETED, P.PLANNED_DURATION, P.EXTERNAL_KEY1,P.EXTERNAL_KEY2 FROM RIODS.ITERATION_BASELINE P)
GO

GRANT SELECT ON RIDW.VW_ITERATION_BASELINE TO RPTUSER
GO

CREATE VIEW RIDW.VW_ITERATION_DETAIL (ITERATION_ID,ITERATION_NAME,ACTUAL_DURATION,ACTUAL_WORK,ACTUAL_WORK_VARIANCE,ACTUAL_START_VARIANCE,ACTUAL_FINISH_VARIANCE,ACTUAL_START,ACTUAL_FINISH,ACTUAL_COST,ACTUAL_COST_VARIANCE,BASELINE_DURATION,BASELINE_WORK,BASELINE_WORK_VARIANCE,BASELINE_FINISH_VARIANCE,BASELINE_START_VARIANCE,BASELINE_COST_VARIANCE,BASELINE_START,BASELINE_FINISH,PLANNED_COST,COST_VARIANCE,PLANNED_DURATION,PLANNED_WORK,WORK_VARIANCE,START_VARIANCE,FINISH_VARIANCE,DURATION_VARIANCE,PLANNED_START,PLANNED_FINISH,PERCENT_COMPLETE,PERCENT_WORK_COMPLETE)AS (SELECT I.ITERATION_ID,IT.NAME AS ITERATION_NAME,I.ACTUAL_DURATION,I.ACTUAL_WORK,I.ACTUAL_WORK_VARIANCE,I.ACTUAL_START_VARIANCE,I.ACTUAL_FINISH_VARIANCE,I.ACTUAL_START,I.ACTUAL_FINISH,I.ACTUAL_COST,I.ACTUAL_COST_VARIANCE,I.BASELINE_DURATION,I.BASELINE_WORK,I.BASELINE_WORK_VARIANCE,I.BASELINE_FINISH_VARIANCE,I.BASELINE_START_VARIANCE,I.BASELINE_COST_VARIANCE,I.BASELINE_START,I.BASELINE_FINISH,I.PLANNED_COST,I.COST_VARIANCE,I.PLANNED_DURATION,I.PLANNED_WORK,I.WORK_VARIANCE,I.START_VARIANCE,I.FINISH_VARIANCE,I.DURATION_VARIANCE,I.PLANNED_START,I.PLANNED_FINISH,I.PERCENT_COMPLETE,I.PERCENT_WORK_COMPLETE FROM RIODS.ITERATION_DETAIL I JOIN RIODS.ITERATION IT ON IT.ITERATION_ID=I.ITERATION_ID)
GO

GRANT SELECT ON RIDW.VW_ITERATION_DETAIL TO RPTUSER
GO

CREATE VIEW RIDW.VW_OPERATING_TERRITORY (TERRITORY_ID,REFERENCE_ID,EXTERNAL_ID,NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,ISSOFTDELETED)AS (SELECT TERRITORY_ID,REFERENCE_ID,EXTERNAL_ID,NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,ISSOFTDELETED FROM RIODS.OPERATING_TERRITORY)
GO

GRANT SELECT ON RIDW.VW_OPERATING_TERRITORY TO RPTUSER
GO

CREATE VIEW RIDW.VW_ORGANIZATION(ORGANIZATION_ID,REFERENCE_ID,EXTERNAL_ID, NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,ISSOFTDELETED)AS (SELECT ORGANIZATION_ID,REFERENCE_ID,EXTERNAL_ID,NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,ISSOFTDELETED FROM RIODS.ORGANIZATION)
GO

GRANT SELECT ON RIDW.VW_ORGANIZATION TO RPTUSER
GO

CREATE VIEW RIDW.VW_PROFILE (PROFILE_ID, NAME, REFERENCE_ID, EXTERNAL_ID, RATE,EXPERIENCE_IN_MONTHS, URL, EXTERNAL_KEY1, EXTERNAL_KEY2,CITY_ID,CITY_NAME,ORGANIZATION_ID,ORGANIZATION_NAME)AS ( SELECT P.PROFILE_ID, P.NAME, P.REFERENCE_ID, P.EXTERNAL_ID, P.RATE, P.EXPERIENCE_IN_MONTHS, P.URL, P.EXTERNAL_KEY1, P.EXTERNAL_KEY2,P.CITY_ID,C.NAME AS CITY_NAME,P.ORGANIZATION_ID,O.NAME AS ORGANIZATION_NAME FROM RIODS.PROFILE P JOIN RIODS.CITY C ON C.CITY_ID=P.CITY_ID JOIN RIODS.ORGANIZATION O ON O.ORGANIZATION_ID=P.ORGANIZATION_ID)
GO

GRANT SELECT ON RIDW.VW_PROFILE TO RPTUSER
GO

CREATE VIEW RIDW.VW_PROFILE_COMPETENCY_LOOKUP (COMPETENCY_ID, COMPETENCY_NAME,PROFILE_ID, PROFILE_NAME) AS ( SELECT PC.COMPETENCY_ID, C.NAME AS COMPETENCY_NAME,PC.PROFILE_ID, P.NAME AS PROFILE_NAME FROM RIODS.PROFILE_COMPETENCY_LOOKUP PC JOIN RIODS.COMPETENCY C ON PC.COMPETENCY_ID=C.COMPETENCY_ID JOIN RIODS.PROFILE P ON P.PROFILE_ID=PC.PROFILE_ID)
GO

GRANT SELECT ON RIDW.VW_PROFILE_COMPETENCY_LOOKUP TO RPTUSER
GO

CREATE VIEW RIDW.VW_PROFILE_SKILL_LOOKUP (SKILL_ID, SKILL_NAME, PROFILE_ID, PROFILE_NAME)AS ( SELECT PS.SKILL_ID, S.NAME AS SKILL_NAME, PS.PROFILE_ID, P.NAME ASPROFILE_NAME FROM RIODS.PROFILE_SKILL_LOOKUP PS JOIN RIODS.SKILL S ON PS.SKILL_ID=S.SKILL_ID JOIN RIODS.PROFILE P ON P.PROFILE_ID=PS.PROFILE_ID)
GO

GRANT SELECT ON RIDW.VW_PROFILE_SKILL_LOOKUP TO RPTUSER
GO

CREATE VIEW RIDW.VW_PROGRAM (PROGRAM_ID,NAME,REFERENCE_ID,EXTERNAL_ID,PROGRAM_MANAGER_ID,PROGRAM_MANAGER,URL,EXTERNAL_KEY1,EXTERNAL_KEY2,ISSOFTDELETED,SOURCE_ID)AS (SELECT PR.PROGRAM_ID,PR.NAME,PR.REFERENCE_ID,PR.EXTERNAL_ID,PR.PROGRAM_MANAGER AS PROGRAM_MANAGER_ID,R.FULL_NAME AS PROGRAM_MANAGER,PR.URL,PR.EXTERNAL_KEY1,PR.EXTERNAL_KEY2,PR.ISSOFTDELETED,PR.SOURCE_ID FROM RIODS.PROGRAM PR JOIN RIODS.RESOURCE R ON R.RESOURCE_ID=PR.PROGRAM_MANAGER)
GO

GRANT SELECT ON RIDW.VW_PROGRAM TO RPTUSER
GO

CREATE VIEW RIDW.VW_PROGRAM_DETAIL (PROGRAM_ID, PROGRAM_NAME,CURRENCY_ID,CURRENCY,ACTUAL_BUDGET,CURRENT_BUDGET,PLANNED_BUDGET,ACTUAL_VARIANCE,PLANNED_START,PLANNED_FINISH,ACWP,BAC,BCWP,BCWS,EAC, EV_ETC,EV_FLAG, ACTUAL_DURATION,ACTUAL_WORK,ACTUAL_WORK_VARIANCE,ACTUAL_START_VARIANCE,ACTUAL_FINISH_VARIANCE,ACTUAL_COST,ACTUAL_START,ACTUAL_FINISH,ACTUAL_COST_VARIANCE,PLANNED_COST, COST_VARIANCE,PLANNED_DURATION,PLANNED_WORK, WORK_VARIANCE,START_VARIANCE,FINISH_VARIANCE,DURATION_VARIANCE,PERCENT_COMPLETE,PERCENT_WORK_COMPLETE)AS (SELECT PR.PROGRAM_ID,P.NAME AS PROGRAM_NAME,PR.CURRENCY_ID,C.NAME ASCURRENCY,PR.ACTUAL_BUDGET,PR.CURRENT_BUDGET,PR.PLANNED_BUDGET,PR.ACTUAL_VARIANCE,PR.PLANNED_START,PR.PLANNED_FINISH,PR.ACWP,PR.BAC,PR.BCWP,PR.BCWS,PR.EAC,PR.EV_ETC,PR.EV_FLAG,PR.ACTUAL_DURATION,PR.ACTUAL_WORK,PR.ACTUAL_WORK_VARIANCE,PR.ACTUAL_START_VARIANCE,PR.ACTUAL_FINISH_VARIANCE,PR.ACTUAL_COST,PR.ACTUAL_START,PR.ACTUAL_FINISH,PR.ACTUAL_COST_VARIANCE,PR.PLANNED_COST,PR.COST_VARIANCE,PR.PLANNED_DURATION,PR.PLANNED_WORK,PR.WORK_VARIANCE,PR.START_VARIANCE,PR.FINISH_VARIANCE,PR.DURATION_VARIANCE,PR.PERCENT_COMPLETE,PR.PERCENT_WORK_COMPLETE FROM RIODS.PROGRAM_DETAIL PR JOIN RIODS.PROGRAM P ON P.PROGRAM_ID=PR.PROGRAM_ID JOIN RIODS.CURRENCY C ON C.CURRENCY_ID=PR.CURRENCY_ID)
GO

GRANT SELECT ON RIDW.VW_PROGRAM_DETAIL TO RPTUSER
GO

CREATE VIEW RIDW.VW_PROJECT_ALLOCATION(PROJECT_ALLOCATION_ID,NAME,REFERENCE_ID,EXTERNAL_ID,PROJECT_ID,PROJECT_NAME,OWNER_ID,OWNER_NAME,PLANNED_START,PLANNED_FINISH,ACTUAL_START,ACTUAL_FINISH,PLANNED_WORK,ACTUAL_WORK,PLANNED_DURATION,ACTUAL_DURATION,PERCENT_COMPLETE,PERCENT_WORK_COMPLETE,ALLOTED_WORK,URL,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,ISSOFTDELETED,PROFILE_ID,PROFILE_NAME,UNITS)AS (SELECT PA.PROJECT_ALLOCATION_ID,PA.NAME,PA.REFERENCE_ID,PA.EXTERNAL_ID,PA.PROJECT_ID,P.NAME AS PROJECT_NAME,PA.OWNER_ID,R.FULL_NAME AS OWNER_NAME,PA.PLANNED_START,PA.PLANNED_FINISH,PA.ACTUAL_START,PA.ACTUAL_FINISH,PA.PLANNED_WORK,PA.ACTUAL_WORK,PA.PLANNED_DURATION,PA.ACTUAL_DURATION,PA.PERCENT_COMPLETE,PA.PERCENT_WORK_COMPLETE,PA.ALLOTED_WORK,PA.URL,PA.EXTERNAL_KEY1,PA.EXTERNAL_KEY2,PA.SOURCE_ID,PA.ISSOFTDELETED,PA.PROFILE_ID,PF.NAME AS PROFILE_NAME,PA.UNITS FROM RIODS.PROJECT_ALLOCATION PA JOIN RIODS.PROJECT P ON P.PROJECT_ID =PA.PROJECT_ID JOIN RIODS.RESOURCE R ON R.RESOURCE_ID=PA.OWNER_ID JOIN RIODS.PROFILE PF ON PF.PROFILE_ID=PA.PROFILE_ID)
GO

GRANT SELECT ON RIDW.VW_PROJECT_ALLOCATION TO RPTUSER
GO

CREATE VIEW RIDW.VW_PROVINCE_STATE (PROVINCE_STATE_ID,REFERENCE_ID,EXTERNAL_ID,NAME,COUNTRY_ID,COUNTRY_NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,ISSOFTDELETED)AS (SELECT P.PROVINCE_STATE_ID,P.REFERENCE_ID,P.EXTERNAL_ID,P.NAME,P.COUNTRY_ID,C.NAME AS COUNTRY_NAME,P.EXTERNAL_KEY1,P.EXTERNAL_KEY2,P.SOURCE_ID,P.URL,P.ISSOFTDELETED FROM RIODS.PROVINCE_STATE P JOIN RIODS.COUNTRY C ON C.COUNTRY_ID=P.COUNTRY_ID)
GO

GRANT SELECT ON RIDW.VW_PROVINCE_STATE TO RPTUSER
GO

CREATE VIEW RIDW.VW_RESOURCE_COMPETENCY_LOOKUP (COMPETENCY_ID, COMPETENCY_NAME,RESOURCE_ID, RESOURCE_NAME) AS ( SELECT RS.COMPETENCY_ID, S.NAME AS COMPETENCY_NAME,RS.RESOURCE_ID, R.NAME AS RESOURCE_NAME FROM RIODS.RESOURCE_COMPETENCY_LOOKUP RS JOIN RIODS.COMPETENCY S ON RS.COMPETENCY_ID=S.COMPETENCY_ID JOIN RIODS.RESOURCE R ON R.RESOURCE_ID=RS.RESOURCE_ID)
GO

GRANT SELECT ON RIDW.VW_RESOURCE_COMPETENCY_LOOKUP TO RPTUSER
GO

CREATE VIEW RIDW.VW_RESOURCE_SKILL_LOOKUP (SKILL_ID, SKILL_NAME, RESOURCE_ID,RESOURCE_NAME) AS ( SELECT RS.SKILL_ID, S.NAME AS SKILL_NAME, RS.RESOURCE_ID,R.NAME AS RESOURCE_NAME FROM RIODS.RESOURCE_SKILL_LOOKUP RS JOIN RIODS.SKILL S ON RS.SKILL_ID=S.SKILL_ID JOIN RIODS.RESOURCE R ON R.RESOURCE_ID=RS.RESOURCE_ID)
GO

GRANT SELECT ON RIDW.VW_RESOURCE_SKILL_LOOKUP TO RPTUSER
GO

CREATE VIEW RIDW.VW_SKILL (EXTERNAL_ID, NAME, SKILL_ID, REFERENCE_ID, URL, EXTERNAL_KEY1,EXTERNAL_KEY2) AS (SELECT EXTERNAL_ID,NAME,SKILL_ID,REFERENCE_ID,URL,EXTERNAL_KEY1,EXTERNAL_KEY2 FROM RIODS.SKILL)
GO

GRANT SELECT ON RIDW.VW_SKILL TO RPTUSER
GO

CREATE VIEW RIDW.VW_TASK_BASELINE (BASELINE_ID, NAME, REFERENCE_ID, EXTERNAL_ID,TASK_ID, BASELINE_DATE, PLANNED_START, PLANNED_FINISH, PLANNED_WORK, PLANNED_COST,PLANNED_DURATION, URL, EXTERNAL_KEY1, EXTERNAL_KEY2) AS (SELECT T.BASELINE_ID,T.NAME, T.REFERENCE_ID, T.EXTERNAL_ID, T.TASK_ID, T.BASELINE_DATE, T.PLANNED_START,T.PLANNED_FINISH, T.PLANNED_WORK, T.PLANNED_COST, T.PLANNED_DURATION, T.URL,T.EXTERNAL_KEY1, T.EXTERNAL_KEY2 FROM RIODS.TASK_BASELINE T)
GO

GRANT SELECT ON RIDW.VW_TASK_BASELINE TO RPTUSER
GO

CREATE VIEW RIDW.VW_TIMECODE (TIMECODE_ID,REFERENCE_ID,EXTERNAL_ID,NAME,PARENT_TIMECODE_ID,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED)AS (SELECT TIMECODE_ID,REFERENCE_ID,EXTERNAL_ID,NAME,PARENT_TIMECODE_ID,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,URL,REC_DATETIME,ISSOFTDELETED FROM RIODS.TIMECODE)
GO

GRANT SELECT ON RIDW.VW_TIMECODE TO RPTUSER
GO

CREATE VIEW RIDW.VW_TIMESHEET (TIMESHEET_ID,TIMESHEET_REPORTING_WEEK,REFERENCE_ID,EXTERNAL_ID,ACTIVITY_ID,ACTIVITY_NAME,ADDITIONAL_WORK,BILLABLE_HOURS,NON_BILLABLE_HOURS,APPROVER_ID,APPROVER_NAME,TIMESHEET_STATE,PERCENT_COMPLETE,LAST_APPROVAL_DATE,REGULAR_TIME,OVERTIME,MONDAY_DATE,TUESDAY_DATE,WEDNESDAY_DATE,THURSDAY_DATE,FRIDAY_DATE,SATURDAY_DATE,SUNDAY_DATE,MONDAY_REGULAR_TIME,TUESDAY_REGULAR_TIME,WEDNESDAY_REGULAR_TIME,THURSDAY_REGULAR_TIME,FRIDAY_REGULAR_TIME,SATURDAY_REGULAR_TIME,SUNDAY_REGULAR_TIME,MONDAY_OVT,TUESDAY_OVT,WEDNESDAY_OVT,THURSDAY_OVT,FRIDAY_OVT,SATURDAY_OVT,SUNDAY_OVT,URL,EXTERNAL_KEY1,EXTERNAL_KEY2,SOURCE_ID,REC_DATETIME,ISSOFTDELETED)AS (SELECT TIMESHEET_ID,T.TIMESHEET_REPORTING_WEEK,T.REFERENCE_ID,T.EXTERNAL_ID,T.ACTIVITY_ID,A.NAME AS ACTIVITY_NAME,T.ADDITIONAL_WORK,T.BILLABLE_HOURS,T.NON_BILLABLE_HOURS,T.APPROVER_ID,R.FULL_NAME AS APPROVER_NAME,T.TIMESHEET_STATE, T.PERCENT_COMPLETE,T.LAST_APPROVAL_DATE,T.REGULAR_TIME,T.OVERTIME,T.MONDAY_DATE,T.TUESDAY_DATE,T.WEDNESDAY_DATE,T.THURSDAY_DATE,T.FRIDAY_DATE,T.SATURDAY_DATE,T.SUNDAY_DATE,T.MONDAY_REGULAR_TIME,T.TUESDAY_REGULAR_TIME,T.WEDNESDAY_REGULAR_TIME,T.THURSDAY_REGULAR_TIME,T.FRIDAY_REGULAR_TIME,T.SATURDAY_REGULAR_TIME,T.SUNDAY_REGULAR_TIME,T.MONDAY_OVT,T.TUESDAY_OVT,T.WEDNESDAY_OVT,T.THURSDAY_OVT,T.FRIDAY_OVT,T.SATURDAY_OVT,T.SUNDAY_OVT,T.URL,T.EXTERNAL_KEY1,T.EXTERNAL_KEY2,T.SOURCE_ID,T.REC_DATETIME,T.ISSOFTDELETED FROM RIODS.TIMESHEET T JOIN RIODS.ACTIVITY A ON A.ACTIVITY_ID=T.ACTIVITY_ID JOIN RIODS.RESOURCE R ON R.RESOURCE_ID=T.APPROVER_ID)
GO

GRANT SELECT ON RIDW.VW_TIMESHEET TO RPTUSER
GO

CREATE VIEW RIDW.VW_TIMESHEET_TIMECODE_LOOKUP (TIMESHEET_ID, TIMESHEET_REPORTING_WEEK,TIMECODE_ID, NAME) AS (SELECT T.TIMESHEET_ID, TS.TIMESHEET_REPORTING_WEEK,T.TIMECODE_ID, TC.NAME FROM RIODS.TIMESHEET_TIMECODE_LOOKUP T JOIN RIODS.TIMESHEET TS ON T.TIMESHEET_ID = TS.TIMESHEET_ID JOIN RIODS.TIMECODE TC ON T.TIMECODE_ID= TC.TIMECODE_ID)
GO

GRANT SELECT ON RIDW.VW_TIMESHEET_TIMECODE_LOOKUP TO RPTUSER
GO

DROP VIEW RIDW.VW_ACTIVITY
GO

CREATE VIEW RIDW.VW_ACTIVITY (ACTIVITY_ID, EXTERNAL_ID, REFERENCE_ID, NAME, TASK_ID, TASK_NAME,OWNER_ID, OWNER_FULLNAME, PROFILE_ID, PROFILE_NAME, FAILED_BUILD, VALIDATION_BUILD, NOTEST_BUILD, FILE_STREAM_ID, FILE_STREAM_NAME, RESOLUTION_CODE, CHARGECODE_ID, CHARGECODE_NAME, URL, ACTIVITY_STATE,ACTIVITY_TYPE,CREATION_DATE,PRIORITY,PROJECT_ID,PROJECT_NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,ACTIVITY_CLASS_ID,ACTIVITY_CLASS_NAME,STATUS,RESOLUTION) AS (SELECT A.ACTIVITY_ID, A.EXTERNAL_ID, A.REFERENCE_ID, A.NAME, A.TASK_ID, T.NAME AS TASK_NAME,A.OWNER_ID,R.FULL_NAME AS OWNER_FULLNAME, PR.PROFILE_ID, PR.NAME AS PROFILE_NAME, A.FAILED_BUILD, A.VALIDATION_BUILD, A.NOTEST_BUILD, A.FILE_STREAM_ID, S.NAME AS FILE_STREAM_NAME, A.RESOLUTION_CODE, C.CHARGECODE_ID, C.NAME,A.URL, A.ACTIVITY_STATE,A.ACTIVITY_TYPE,A.CREATION_DATE,A.PRIORITY,A.PROJECT_ID,P.NAME AS PROJECT_NAME,A.EXTERNAL_KEY1,A.EXTERNAL_KEY2,A.ACTIVITY_CLASS_ID,AC.NAME AS ACTIVITY_CLASS_NAME,A.STATUS,A.RESOLUTION FROM RIODS.ACTIVITY A JOIN RIODS.TASK T ON T.TASK_ID=A.TASK_ID JOIN RIODS.RESOURCE R ON R.RESOURCE_ID=A.OWNER_ID JOIN RIODS.PROFILE PR ON PR.PROFILE_ID=A.PROFILE_ID JOIN RIODS.FILE_STREAM S ON S.FILE_STREAM_ID=A.FILE_STREAM_ID JOIN RIODS.PROJECT P ON P.PROJECT_ID=A.PROJECT_ID JOIN RIODS.ACTIVITY_CLASSIFICATION AC ON AC.ACTIVITY_CLASS_ID=A.ACTIVITY_CLASS_ID JOIN RIODS.CHARGECODE C ON C.CHARGECODE_ID=A.CHARGECODE_ID)
GO

GRANT SELECT ON RIDW.VW_ACTIVITY TO RPTUSER
GO

DROP VIEW RIDW.VW_ACTIVITY_DETAIL
GO

CREATE VIEW RIDW.VW_ACTIVITY_DETAIL (ACTIVITY_ID,ACTIVITY_NAME,ACTUAL_COST,ACTUAL_FINISH,ACTUAL_OVT_COST,ACTUAL_OVT_WORK,ACTUAL_START,ACTUAL_WORK,ACWP,BASELINE_COST,BASELINE_FINISH,BASELINE_START,BASELINE_WORK,BCWP,BCWS,DELAY,EAC,EXTERNAL_ID,FINISH_VARIANCE,IS_CONFIRMED,IS_OVERALLOCATED,OWNER_ID,OWNER_NAME,PLANNED_COST,PLANNED_FINISH,PLANNED_OVT_WORK,PLANNED_START,PLANNED_WORK,REFERENCE_ID,REGULAR_WORK,REMAINING_COST,REMAINING_OVT_COST,REMAINING_OVT_WORK,REMAINING_WORK,RESOURCE_TYPE,START_VARIANCE,TASK_ID,TASK_NAME,UNITS,URL,EXTERNAL_KEY1,EXTERNAL_KEY2,PERCENT_COMPLETE,PERCENT_WORK_COMPLETE,PLANNED_DURATION,ACTUAL_DURATION) AS (SELECT A.ACTIVITY_ID,AA.NAME AS ACTIVITY_NAME,A.ACTUAL_COST,A.ACTUAL_FINISH,A.ACTUAL_OVT_COST,A.ACTUAL_OVT_WORK,A.ACTUAL_START,A.ACTUAL_WORK,A.ACWP,A.BASELINE_COST,A.BASELINE_FINISH,A.BASELINE_START,A.BASELINE_WORK,A.BCWP,A.BCWS,A.DELAY,A.EAC,AA.EXTERNAL_ID,A.FINISH_VARIANCE,A.IS_CONFIRMED,A.IS_OVERALLOCATED,AA.OWNER_ID,R.FULL_NAME AS OWNER_NAME,A.PLANNED_COST,A.PLANNED_FINISH,A.PLANNED_OVT_WORK,A.PLANNED_START,A.PLANNED_WORK,AA.REFERENCE_ID,A.REGULAR_WORK,A.REMAINING_COST,A.REMAINING_OVT_COST,A.REMAINING_OVT_WORK,A.REMAINING_WORK,A.RESOURCE_TYPE,A.START_VARIANCE,AA.TASK_ID,T.NAME AS TASK_NAME,A.UNITS,AA.URL,AA.EXTERNAL_KEY1,AA.EXTERNAL_KEY2,A.PERCENT_COMPLETE,A.PERCENT_WORK_COMPLETE,A.PLANNED_DURATION,A.ACTUAL_DURATION FROM RIODS.ACTIVITY_DETAIL A JOIN RIODS.ACTIVITY AA ON A.ACTIVITY_ID=AA.ACTIVITY_ID JOIN RIODS.RESOURCE R ON R.RESOURCE_ID=AA.OWNER_ID JOIN RIODS.TASK T ON T.TASK_ID=AA.TASK_ID)
GO

GRANT SELECT ON RIDW.VW_ACTIVITY_DETAIL TO RPTUSER
GO

DROP VIEW RIDW.VW_POOL
GO

CREATE VIEW RIDW.VW_POOL (EXTERNAL_ID,NAME,POOL_ID,POOL_TYPE,PARENT_POOL_ID, PARENT_POOL_NAME,REFERENCE_ID,URL,EXTERNAL_KEY1,EXTERNAL_KEY2) AS (SELECT P.EXTERNAL_ID,P.NAME,P.POOL_ID,P.POOL_TYPE,P.PARENT_POOL_ID, PP.NAME AS PARENT_POOL_NAME,P.REFERENCE_ID,P.URL,P.EXTERNAL_KEY1,P.EXTERNAL_KEY2 FROM RIODS.POOL P JOIN RIODS.POOL PP ON PP.POOL_ID=P.PARENT_POOL_ID)
GO

GRANT SELECT ON RIDW.VW_POOL TO RPTUSER
GO

DROP VIEW RIDW.VW_PROJECT
GO

CREATE VIEW RIDW.VW_PROJECT (EXTERNAL_ID, NAME, PROJECT_ID, PROGRAM_ID, PROGRAM_NAME, PROJECT_MANAGER, MANAGER_NAME, REFERENCE_ID, URL, END_DATE,START_DATE,PROJECT_CATEGORY_ID,PROJECT_CATEGORY_NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,PROJECT_CLASS_ID,PROJECT_CLASS_NAME,SHIP_DATE,PRIORITY,STATUS) AS (SELECT  P.EXTERNAL_ID, P.NAME, P.PROJECT_ID, P.PROGRAM_ID, PR.NAME, P.PROJECT_MANAGER,R.FULL_NAME AS MANAGER_NAME, P.REFERENCE_ID, P.URL, P.END_DATE,P.START_DATE,P.PROJECT_CATEGORY_ID,PC.NAME AS PROJECT_CATEGORY_NAME,P.EXTERNAL_KEY1,P.EXTERNAL_KEY2,P.PROJECT_CLASS_ID,PL.NAME AS PROJECT_CLASS_NAME,P.SHIP_DATE,P.PRIORITY,P.STATUS FROM RIODS.PROJECT P JOIN RIODS.RESOURCE R ON R.RESOURCE_ID=P.PROJECT_MANAGER JOIN RIODS.PROJECT_CATEGORY PC ON PC.PROJECT_CATEGORY_ID=P.PROJECT_CATEGORY_ID JOIN RIODS.PROJECT_CLASSIFICATION PL ON PL.PROJECT_CLASS_ID=P.PROJECT_CLASS_ID JOIN RIODS.PROGRAM PR ON PR.PROGRAM_ID=P.PROGRAM_ID)
GO

GRANT SELECT ON RIDW.VW_PROJECT TO RPTUSER
GO

DROP VIEW RIDW.VW_PROJECT_BASELINE
GO

CREATE VIEW RIDW.VW_PROJECT_BASELINE (BASELINE_ID, EXTERNAL_ID, FILE_STREAM_ID, FILE_NAME, NAME, OWNER_ID, PROJECT_ID, REFERENCE_ID, URL, BASELINE_DATE, PLANNED_START, PLANNED_FINISH, PLANNED_WORK,BASELINE_WORK_COMPLETED, PLANNED_COST,BASELINE_COST_COMPLETED, PLANNED_DURATION, EXTERNAL_KEY1, EXTERNAL_KEY2) AS (SELECT P.BASELINE_ID, P.EXTERNAL_ID, P.FILE_STREAM_ID,F.NAME AS FILE_NAME, P.NAME, P.OWNER_ID, P.PROJECT_ID, P.REFERENCE_ID, P.URL, P.BASELINE_DATE, P.PLANNED_START, P.PLANNED_FINISH, P.PLANNED_WORK,P.BASELINE_WORK_COMPLETED,P.PLANNED_COST, P.BASELINE_COST_COMPLETED,P.PLANNED_DURATION, P.EXTERNAL_KEY1,P.EXTERNAL_KEY2 FROM RIODS.PROJECT_BASELINE P LEFT JOIN RIODS.FILE_STREAM F ON F.FILE_STREAM_ID=P.FILE_STREAM_ID)
GO

GRANT SELECT ON RIDW.VW_PROJECT_BASELINE TO RPTUSER
GO

DROP VIEW RIDW.VW_PROJECT_DETAIL
GO

CREATE VIEW RIDW.VW_PROJECT_DETAIL (ACTUAL_BUDGET, ACTUAL_FINISH, ACTUAL_START, ACTUAL_VARIANCE, ACWP, BAC, BASELINE_COST, BASELINE_ESTIMATED_COST, BASELINE_ESTIMATED_FINISH, BASELINE_ESTIMATED_START, BASELINE_FINISH, BASELINE_START, BASELINE_VARIANCE, BCWP, BCWS, CURRENCY_ID, CURRENT_BUDGET, EAC, EV_ETC, EV_FLAG, PLANNED_BUDGET, PLANNED_FINISH, PLANNED_START, PROJECT_ID, ACTUAL_DURATION, ACTUAL_WORK, ACTUAL_WORK_VARIANCE, ACTUAL_START_VARIANCE, ACTUAL_FINISH_VARIANCE, ACTUAL_COST, ACTUAL_COST_VARIANCE, BASELINE_DURATION, BASELINE_WORK, BASELINE_WORK_VARIANCE, BASELINE_START_VARIANCE, BASELINE_FINISH_VARIANCE, BASELINE_COST_VARIANCE, PLANNED_COST, COST_VARIANCE, PLANNED_DURATION, PLANNED_WORK, WORK_VARIANCE, START_VARIANCE, FINISH_VARIANCE, DURATION_VARIANCE, PROJECT_NAME, URL, EXTERNAL_KEY1, EXTERNAL_KEY2,PERCENT_COMPLETE,PERCENT_WORK_COMPLETE) AS (SELECT  P.ACTUAL_BUDGET, P.ACTUAL_FINISH, P.ACTUAL_START, P.ACTUAL_VARIANCE, P.ACWP, P.BAC, P.BASELINE_COST, P.BASELINE_ESTIMATED_COST, P.BASELINE_ESTIMATED_FINISH, P.BASELINE_ESTIMATED_START, P.BASELINE_FINISH, P.BASELINE_START, P.BASELINE_VARIANCE, P.BCWP, P.BCWS, P.CURRENCY_ID, P.CURRENT_BUDGET, P.EAC, P.EV_ETC, P.EV_FLAG, P.PLANNED_BUDGET, P.PLANNED_FINISH, P.PLANNED_START, P.PROJECT_ID,P.ACTUAL_DURATION, P.ACTUAL_WORK, P.ACTUAL_WORK_VARIANCE, P.ACTUAL_START_VARIANCE ,P.ACTUAL_FINISH_VARIANCE, P.ACTUAL_COST ,P.ACTUAL_COST_VARIANCE, P.BASELINE_DURATION ,P.BASELINE_WORK ,P.BASELINE_WORK_VARIANCE ,P.BASELINE_START_VARIANCE , P.BASELINE_FINISH_VARIANCE ,P.BASELINE_COST_VARIANCE,P.PLANNED_COST ,P.COST_VARIANCE,P.PLANNED_DURATION ,P.PLANNED_WORK ,P.WORK_VARIANCE,P.START_VARIANCE , P.FINISH_VARIANCE ,P.DURATION_VARIANCE,  R.NAME AS PROJECT_NAME, R.URL,R.EXTERNAL_KEY1,R.EXTERNAL_KEY2,P.PERCENT_COMPLETE,P.PERCENT_WORK_COMPLETE FROM RIODS.PROJECT_DETAIL P JOIN RIODS.PROJECT R ON R.PROJECT_ID=P.PROJECT_ID)
GO

GRANT SELECT ON RIDW.VW_PROJECT_DETAIL TO RPTUSER
GO

DROP VIEW RIDW.VW_REQUEST
GO

CREATE VIEW RIDW.VW_REQUEST (ACTIVATE_DATE, ASSIGNED_DATE, CLOSED_DATE, COMPONENT_ID, COMPONENT_NAME, CREATION_DATE, CUSTOMER_PRIORITY, DUPLICATE_DATE, EXTERNAL_ID, FIXEDINRELEASE_ID, FIXED_IN_RELEASE_NAME, IS_BLOCKING, ITERATION_ID, ITERATION_NAME, TEAM_ID, TEAM_NAME, PLANNED_WORK, ACTUAL_WORK, COMMENT_COUNT, SUBSCRIBER_COUNT, STORY_POINTS, TAGS, NAME, PLATFORM, PRIORITY, PROJECT_ID, PROJECT_NAME, REFERENCE_ID, RELEASE_ID, FOUND_IN_RELEASE_NAME, REQUEST_CLASS_ID, REQUEST_TYPE_NAME, REQUEST_ID, OWNER_ID, REQUEST_RESPONSIBLE, REQUEST_SOURCE, REQUEST_STATE, RESOLUTION, RESOLVED_DATE, SEVERITY, SLOC_CHANGE, STATUS, SUBMIT_DATE, URL, BUILD_ID,BUILD_NAME,PHASE_ID,PHASE_NAME,PROJECT_CATEGORY_ID, PROJECT_CATEGORY_NAME,EXTERNAL_KEY1,EXTERNAL_KEY2,REQUEST_TYPE,REQUEST_CATEGORY_ID,REQUEST_CATEGORY_NAME,RESOLVER_ID,RESOLVER_NAME,SUMMARY) AS (SELECT R.ACTIVATE_DATE, R.ASSIGNED_DATE, R.CLOSED_DATE, R.COMPONENT_ID,C.NAME AS COMPONENT_NAME, R.CREATION_DATE, R.CUSTOMER_PRIORITY, R.DUPLICATE_DATE, R.EXTERNAL_ID, R.FIXEDINRELEASE_ID,RL.NAME AS FIXED_IN_RELEASE_NAME, R.IS_BLOCKING, R.ITERATION_ID,I.NAME AS ITERATION_NAME, R.TEAM_ID, T.NAME AS TEAM_NAME, R.PLANNED_WORK, R.ACTUAL_WORK, R.COMMENT_COUNT, R.SUBSCRIBER_COUNT, R.STORY_POINTS, R.TAGS, R.NAME, R.PLATFORM, R.PRIORITY, R.PROJECT_ID, PJ.NAME AS PROJECT_NAME,R.REFERENCE_ID, R.RELEASE_ID, RL2.NAME AS FOUND_IN_RELEASE_NAME, R.REQUEST_CLASS_ID,RQ.NAME AS REQUEST_TYPE_NAME, R.REQUEST_ID, R.OWNER_ID,PS.FULL_NAME AS REQUEST_RESPONSIBLE, R.REQUEST_SOURCE, R.REQUEST_STATE, R.RESOLUTION, R.RESOLVED_DATE, R.SEVERITY, R.SLOC_CHANGE, R.STATUS, R.SUBMIT_DATE, R.URL, R.BUILD_ID,B.NAME AS BUILD_NAME,R.PHASE_ID,PH.NAME AS PHASE_NAME,R.PROJECT_CATEGORY_ID,PC.NAME AS PROJECT_CATEGORY_NAME,R.EXTERNAL_KEY1,R.EXTERNAL_KEY2,R.REQUEST_TYPE,R.REQUEST_CATEGORY_ID,RC.NAME AS REQUEST_CATEGORY_NAME,R.RESOLVER_ID,RS.FULL_NAME AS RESOLVER_NAME,R.SUMMARY FROM RIODS.REQUEST R JOIN RIODS.ITERATION I ON I.ITERATION_ID=R.ITERATION_ID JOIN RIODS.TEAM T ON T.TEAM_ID=R.TEAM_ID JOIN RIODS.PROJECT PJ ON PJ.PROJECT_ID=R.PROJECT_ID JOIN RIODS.COMPONENT C ON C.COMPONENT_ID=R.COMPONENT_ID JOIN RIODS.RELEASE RL ON RL.RELEASE_ID=R.FIXEDINRELEASE_ID JOIN RIODS.RELEASE RL2 ON RL2.RELEASE_ID=R.RELEASE_ID JOIN RIODS.REQUEST_CLASSIFICATION RQ ON RQ.REQUEST_CLASS_ID=R.REQUEST_CLASS_ID JOIN RIODS.REQUEST_CATEGORY RC ON RC.REQUEST_CATEGORY_ID=R.REQUEST_CATEGORY_ID JOIN RIODS.BUILD B ON B.BUILD_ID=R.BUILD_ID JOIN RIODS.PHASE PH ON PH.PHASE_ID=R.PHASE_ID JOIN RIODS.PROJECT_CATEGORY PC ON PC.PROJECT_CATEGORY_ID=R.PROJECT_CATEGORY_ID JOIN RIODS.RESOURCE PS ON PS.RESOURCE_ID=R.OWNER_ID JOIN RIODS.RESOURCE RS ON RS.RESOURCE_ID=R.RESOLVER_ID)
GO

GRANT SELECT ON RIDW.VW_REQUEST TO RPTUSER
GO

DROP VIEW RIDW.VW_RESOURCE
GO

CREATE VIEW RIDW.VW_RESOURCE (EXTERNAL_ID, FIRST_NAME, FULL_NAME, LAST_NAME, MIDDLE_INITIAL, NAME, RESOURCE_ID, REFERENCE_ID, URL, OVERTIME_RATE,TIME_PER_DAY,POOL_ID,POOL_NAME,RESOURCE_TYPE,STANDARD_RATE,EFFECTIVE_DATE,DISCONTINUE_DATE,EXTERNAL_KEY1,EXTERNAL_KEY2,CITY_ID,CITY_NAME,ORGANIZATION_ID,ORGANIZATION_NAME) AS (SELECT P.EXTERNAL_ID, P.FIRST_NAME, P.FULL_NAME, P.LAST_NAME, P.MIDDLE_INITIAL, P.NAME, P.RESOURCE_ID, P.REFERENCE_ID, P.URL, P.OVERTIME_RATE,P.TIME_PER_DAY,P.POOL_ID,PL.NAME AS POOL_NAME,P.RESOURCE_TYPE,P.STANDARD_RATE,P.EFFECTIVE_DATE,P.DISCONTINUE_DATE,P.EXTERNAL_KEY1,P.EXTERNAL_KEY2,P.CITY_ID,C.NAME AS CITY_NAME,P.ORGANIZATION_ID,O.NAME AS ORGANIZATION_NAME FROM RIODS.RESOURCE P JOIN RIODS.POOL PL ON PL.POOL_ID=P.POOL_ID JOIN RIODS.CITY C ON C.CITY_ID=P.CITY_ID JOIN RIODS.ORGANIZATION O ON O.ORGANIZATION_ID=P.ORGANIZATION_ID)
GO

GRANT SELECT ON RIDW.VW_RESOURCE TO RPTUSER
GO

DROP VIEW RIDW.VW_RISK
GO

CREATE VIEW RIDW.VW_RISK (RISK_ID,NAME,REFERENCE_ID,EXTERNAL_ID,PROJECT_ID,PROJECT_NAME,REQUIREMENT_ID,REQUIREMENT_NAME,PRIORITY,RISK_STATE,OCCURED_DATETIME , IMPACT,IMPACT_RANK,PROBABILITY,PROBABILITY_RANK,OWNER_ID,OWNER_NAME,RELEASE_ID,RELEASE_NAME,ITERATION_ID,ITERATION_NAME,TARGET_DATE ,CREATION_DATE ,CLOSE_DATE , IMPACT_CATEGORY,CONSEQUENCE_COST,RISK_MANAGEMENT_ACTION,URL,EXTERNAL_KEY1,EXTERNAL_KEY2,PROBABILITY_COST,RISK_SCORE) AS (SELECT R.RISK_ID,R.NAME,R.REFERENCE_ID,R.EXTERNAL_ID,R.PROJECT_ID,P.NAME AS PROJECT_NAME,R.REQUIREMENT_ID,RQ.NAME AS REQUIREMENT_NAME,R.PRIORITY,R.RISK_STATE,R.OCCURED_DATETIME ,R.IMPACT, R.IMPACT_RANK,R.PROBABILITY,R.PROBABILITY_RANK,R.OWNER_ID,RE.FULL_NAME AS OWNER_NAME,R.RELEASE_ID,RL.NAME AS RELEASE_NAME,R.ITERATION_ID,I.NAME AS ITERATION_NAME,R.TARGET_DATE ,R.CREATION_DATE ,R.CLOSE_DATE , R.IMPACT_CATEGORY,R.CONSEQUENCE_COST,R.RISK_MANAGEMENT_ACTION,R.URL,R.EXTERNAL_KEY1,R.EXTERNAL_KEY2,R.PROBABILITY_COST,R.RISK_SCORE FROM RIODS.RISK R JOIN RIODS.PROJECT P ON P.PROJECT_ID=R.PROJECT_ID JOIN RIODS.REQUIREMENT RQ ON RQ.REQUIREMENT_ID=R.REQUIREMENT_ID JOIN RIODS.RESOURCE RE ON RE.RESOURCE_ID = R.OWNER_ID JOIN RIODS.RELEASE RL ON RL.RELEASE_ID=R.RELEASE_ID JOIN RIODS.ITERATION I ON I.ITERATION_ID =R.ITERATION_ID)
GO

GRANT SELECT ON RIDW.VW_RISK TO RPTUSER
GO

DROP VIEW RIDW.VW_TASK_DETAIL
GO

CREATE VIEW RIDW.VW_TASK_DETAIL (ACTUAL_WORK, ACTUAL_FINISH, ACTUAL_START, PLANNED_WORK, PLANNED_FINISH, PLANNED_START, PRIORITY, TASK_ID, URL, NAME, ACTUAL_COST, ACTUAL_OVT_COST, ACTUAL_OVT_WORK, ACWP, BASELINE_COST, BASELINE_DURATION, BASELINE_FINISH, BASELINE_START, BASELINE_WORK, BCWP, BCWS, CONSTRAINT_DATE, CONSTRAINT_TYPE, DEADLINE, DURATION_VARIANCE, EAC, EARLY_FINISH, EARLY_START, FINISH_VARIANCE, LATE_FINISH, LATE_START, PERCENT_COMPLETE, PERCENT_WORK_COMPLETE, PLANNED_COST, PLANNED_DURATION, PLANNED_OVT_COST, PLANNED_OVT_WORK, REGULAR_WORK, REMAINING_COST, REMAINING_DURATION, REMAINING_OVT_COST, REMAINING_OVT_WORK, REMAINING_WORK, START_VARIANCE, VAC, WBS_CODE, ACTUAL_FINISH_VARIANCE, BASELINE_FINISH_VARIANCE, ACTUAL_WORK_VARIANCE, BASELINE_WORK_VARIANCE, ACTUAL_START_VARIANCE, BASELINE_START_VARIANCE, WORK_VARIANCE, EXTERNAL_KEY1, EXTERNAL_KEY2) AS ( SELECT T.ACTUAL_WORK, T.ACTUAL_FINISH, T.ACTUAL_START, T.PLANNED_WORK, T.PLANNED_FINISH, T.PLANNED_START, TS.PRIORITY, T.TASK_ID, TS.URL, TS.NAME, T.ACTUAL_COST,T.ACTUAL_OVT_COST,T.ACTUAL_OVT_WORK,T.ACWP,T.BASELINE_COST,T.BASELINE_DURATION,T.BASELINE_FINISH,T.BASELINE_START, T.BASELINE_WORK,T.BCWP,T.BCWS,T.CONSTRAINT_DATE,T.CONSTRAINT_TYPE,T.DEADLINE,T.DURATION_VARIANCE,T.EAC,T.EARLY_FINISH,T.EARLY_START,T.FINISH_VARIANCE,T. LATE_FINISH,T.LATE_START,T.PERCENT_COMPLETE,T.PERCENT_WORK_COMPLETE,T.PLANNED_COST,T.PLANNED_DURATION,T.PLANNED_OVT_COST,T.PLANNED_OVT_WORK,T.REGULAR_WORK,T. REMAINING_COST,T.REMAINING_DURATION,T.REMAINING_OVT_COST,T.REMAINING_OVT_WORK,T.REMAINING_WORK,T.START_VARIANCE,T.VAC,T.WBS_CODE, T.ACTUAL_FINISH_VARIANCE, T.BASELINE_FINISH_VARIANCE, T.ACTUAL_WORK_VARIANCE, T.BASELINE_WORK_VARIANCE,T.ACTUAL_START_VARIANCE, T.BASELINE_START_VARIANCE, T.WORK_VARIANCE, TS.EXTERNAL_KEY1,TS.EXTERNAL_KEY2 FROM RIODS.TASK_DETAIL T JOIN RIODS.TASK TS ON TS.TASK_ID=T.TASK_ID)
GO

GRANT SELECT ON RIDW.VW_TASK_DETAIL TO RPTUSER
GO

UPDATE RIODS.TASK_CLASSIFICATION SET NAME= 'Project Conductor Task' WHERE TASK_CLASS_ID=1
GO

UPDATE RIODS.TASK_CLASSIFICATION SET NAME= 'Project Conductor Story'  WHERE TASK_CLASS_ID=2
GO

UPDATE RIODS.TASK_CLASSIFICATION SET NAME= 'Project Conductor CR Task'  WHERE TASK_CLASS_ID=3
GO

UPDATE RIODS.TASK_CLASSIFICATION SET NAME= 'Project Conductor Summary Task'  WHERE TASK_CLASS_ID=4
GO

UPDATE RIODS.TASK_CLASSIFICATION SET NAME= 'Project Conductor Issue Task'  WHERE TASK_CLASS_ID= 5
GO

UPDATE RIODS.TASK_CLASSIFICATION SET NAME= 'Project Conductor Defect Task'  WHERE TASK_CLASS_ID=6
GO

CREATE TABLE RIODS.TEMP_REQUIREMENT(CREATED_ON DATETIME,CREATED_BY NVARCHAR (255),REQUIREMENT_NAME NVARCHAR (255),IDENTIFIER NVARCHAR (255),LAST_MODIFIED_ON DATETIME,COMPONENT NVARCHAR (255),DIFFICULTY NVARCHAR (255),REQUIREMENT_TYPE NVARCHAR (255),ACTUAL_ITERATION NVARCHAR (255),CUSTOMER_PRIORITY NVARCHAR (255),PLANNED_ITERATION NVARCHAR (255),PLATFORM NVARCHAR (255),PRIORITY NVARCHAR (255),PROJECT_ID NVARCHAR (255),STABILITY NVARCHAR (255),STATE NVARCHAR (255),STATUS NVARCHAR (255),URL NVARCHAR (255),DATASOURCE_ID NVARCHAR (255),CHILD_ID INT,PARENT_ID  INT,SOURCE_ID NVARCHAR (255),TARGET_ID  INT)ON VNF_32K
GO

UPDATE RIODS.TASK_CATEGORY SET NAME ='Info not available' WHERE TASK_CATEGORY_ID=-1
GO

UPDATE RIODS.TASK_CLASSIFICATION SET NAME ='Info not available' WHERE TASK_CLASS_ID=-1
GO

 ALTER TABLE RIDW.H_BUILD_REQU_FAIL  ADD CONSTRAINT  H_BLD_REQUFAIL_FK1 FOREIGN KEY (BUILD_METRIC_ID) REFERENCES RIDW.F_BUILD_REQU_METRICS (BUILD_METRIC_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_BUILD_REQU_FAIL  ADD CONSTRAINT  H_BLD_REQUFAIL_FK2 FOREIGN KEY (BUILD_ID) REFERENCES RIDW.D_BUILD (BUILD_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_BUILD_REQU_PASS  ADD CONSTRAINT  H_BLD_REQUPASS_FK1 FOREIGN KEY (BUILD_METRIC_ID) REFERENCES RIDW.F_BUILD_REQU_METRICS (BUILD_METRIC_ID) ON DELETE CASCADE
GO

 ALTER TABLE RIDW.H_BUILD_REQU_PASS  ADD CONSTRAINT  H_BLD_REQUPASS_FK2 FOREIGN KEY (BUILD_ID) REFERENCES RIDW.D_BUILD (BUILD_ID) ON DELETE CASCADE
GO
UPDATE CONFIG.SYSCONFIG_INFO SET CHAR_VALUE='1.0.0.2' WHERE INFO_ID=6;
UPDATE CONFIG.SYSCONFIG_INFO SET INT_VALUE=1  WHERE INFO_ID=8;
GO