@echo off

rem Default SQL Server instance to use.  If the database needs to be
rem deployed on a different instance change the value of SQLSERVINST
rem By default the SQL Server Default instance is assumed in which case
rem the variable is set to the local host's name
rem If you are installing remotely put the remote server's name and 
rem if you are using a named instance set the variable accordingly 
rem following the SQL Server named instance convention of SERVER\NAMEDINSTANCE

SET SQLSERVINST=%COMPUTERNAME%

rem Default authentication mode when installing insight, the values for Windows is 0 and 1 for SQL Server. 
rem if a different value is required change the value of AUTH_TYPE

SET AUTH_TYPE=0

rem Default username and password are to need for SQL Server authentication mode when installing insight. 
rem if different values are required change the values of USERNAME and PASSWORD

SET USERNAME=sa

rem Default Rational Reporting database ALIAS instance to use. 
rem if a different value is required change the value of DBNAME
rem Not accepting the default implies changes in the connection information
rem defined on the Cognos BI server and Data Manager ETL

SET DBNAME=RIDW

rem Default account to use for the report executions.
rem If a different value is required change the value of REP_USER.
rem Not accepting the defaults implies that RIDW connection
rem in the Cognos BI server will have to be changed

SET REP_USER=RPTUSER

rem Default path for the files for the file groups
rem Change the value of DATA_HOME to any suitable value for your system

SET DATA_HOME=%USERPROFILE%\databases

rem Specify the instance's base directory

SET MSSQL_HOME=C:\Microsoft SQL Server\MSSQL.1


rem Default start year from which to populate the 
rem date dimension in the data mart.  If the default is not suitable 
rem change the value of START_YEAR to any sensible value required.

SET START_YEAR=2008

rem Default end year up to which to populate the 
rem date dimension in the data mart.  If the default is not suitable 
rem change the value of END_YEAR to any sensible value required.
rem END_YEAR must be greater than the value specified for START_YEAR

SET END_YEAR=2012

rem Do not change the values below

SET NF_SCHEMA=RIODS


SET RIASSET_SCHEMA=RIASSET


SET RISCHK_SCHEMA=RISCHK


SET STAR_SCHEMA=RIDW


SET CALM_SCHEMA=RICALM