--******************************************************************************************************************************
--* Licensed Materials - Property of IBM                                                                                       *
--* (c) Copyright IBM Corp. 2010 All Rights Reserved.                                                                          *
--*                                                                                                                            *
--*US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
--******************************************************************************************************************************

USE $(DBNAME)
 GO
 
CREATE SCHEMA AUTHORIZATION CONFIG
GO

INSERT INTO CONFIG.SYSCONFIG_INFO(INFO_ID,NAME,DISPLAY_NAME,INT_VALUE,CHAR_VALUE) SELECT 16 AS INFO_ID,'CALM_VERSION' AS NAME,'CALM Warehouse Version' AS DISPLAY_NAME,1 AS INT_VALUE,'3.0.1.1' AS CHAR_VALUE WHERE NOT EXISTS(SELECT INFO_ID FROM CONFIG.SYSCONFIG_INFO WHERE INFO_ID=16)
GO 

CREATE SCHEMA AUTHORIZATION $(CALM_SCHEMA)
GO

INSERT INTO $(CALM_SCHEMA).REQUEST_HISTORY (REQUEST_HISTORY_ID,NAME) VALUES (-1,'Info not available')
GO

INSERT INTO $(CALM_SCHEMA).KEYWORD_CLASSIFICATION (KEYWORD_CLASS_ID,NAME) VALUES (-1,'Info not available')
GO
INSERT INTO $(CALM_SCHEMA).KEYWORD_CLASSIFICATION (KEYWORD_CLASS_ID,NAME) VALUES (1,'RQM KeyWord')
GO
INSERT INTO $(CALM_SCHEMA).OBJECTIVE_CLASSIFICATION (OBJECTIVE_CLASS_ID,NAME) VALUES (-1,'Info not available')
GO
INSERT INTO $(CALM_SCHEMA).OBJECTIVE_CLASSIFICATION (OBJECTIVE_CLASS_ID,NAME) VALUES (1,'RQM Quality Objective')
GO
INSERT INTO $(CALM_SCHEMA).LABREQUEST_CLASSIFICATION (LABREQUEST_CLASS_ID,NAME) VALUES (-1,'Info not available')
GO
INSERT INTO $(CALM_SCHEMA).LABREQUEST_CLASSIFICATION (LABREQUEST_CLASS_ID,NAME) VALUES (1,'RQM Lab Request')
GO

INSERT INTO $(CALM_SCHEMA).KEYWORD (KEYWORD_ID,TITLE) VALUES (-1,'Info not available')
GO
INSERT INTO $(CALM_SCHEMA).QUALITY_OBJECTIVE (OBJECTIVE_ID,TITLE) VALUES (-1,'Info not available')
GO
INSERT INTO $(CALM_SCHEMA).TESTPLAN_OBJECTIVESTATUS (TESTPLAN_OBJECTIVESTATUS_ID) VALUES (-1)
GO
INSERT INTO $(CALM_SCHEMA).LABREQUEST (LABREQUEST_ID,TITLE) VALUES (-1,'Info not available')
GO
INSERT INTO $(CALM_SCHEMA).LABREQUEST_CHANGESTATE (CHANGESTATE_ID) VALUES (-1)
GO
INSERT INTO $(CALM_SCHEMA).TESTPLAN_STRING_EXT (TESTPLAN_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available')
GO
INSERT INTO $(CALM_SCHEMA).TESTPLAN_STRING_M_EXT (TESTPLAN_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available')
GO
INSERT INTO $(CALM_SCHEMA).TESTPLAN_INT_EXT (TESTPLAN_ID, NAME, VAR) VALUES (-1, 'Info not available', -1)
GO
INSERT INTO $(CALM_SCHEMA).TESTPLAN_TIMESTAMP_EXT (TESTPLAN_ID, NAME, VAR) VALUES (-1, 'Info not available', GETDATE())
GO
INSERT INTO $(CALM_SCHEMA).TESTCASE_STRING_EXT (TESTCASE_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available')
GO
INSERT INTO $(CALM_SCHEMA).TESTCASE_STRING_M_EXT (TESTCASE_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available')
GO
INSERT INTO $(CALM_SCHEMA).TESTCASE_INT_EXT (TESTCASE_ID, NAME, VAR) VALUES (-1, 'Info not available', -1)
GO
INSERT INTO $(CALM_SCHEMA).TESTCASE_TIMESTAMP_EXT (TESTCASE_ID, NAME, VAR) VALUES (-1, 'Info not available', GETDATE())
GO
INSERT INTO $(CALM_SCHEMA).TESTSCRIPT_STRING_EXT (TESTSCRIPT_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available')
GO
INSERT INTO $(CALM_SCHEMA).TESTSCRIPT_STRING_M_EXT (TESTSCRIPT_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available')
GO
INSERT INTO $(CALM_SCHEMA).TESTSCRIPT_INT_EXT (TESTSCRIPT_ID, NAME, VAR) VALUES (-1, 'Info not available', -1)
GO
INSERT INTO $(CALM_SCHEMA).TESTSCRIPT_TIMESTAMP_EXT (TESTSCRIPT_ID, NAME, VAR) VALUES (-1, 'Info not available', GETDATE())
GO
INSERT INTO $(CALM_SCHEMA).TESTSUITE_STRING_EXT (TESTSUITE_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available')
GO
INSERT INTO $(CALM_SCHEMA).TESTSUITE_STRING_M_EXT (TESTSUITE_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available')
GO
INSERT INTO $(CALM_SCHEMA).TESTSUITE_INT_EXT (TESTSUITE_ID, NAME, VAR) VALUES (-1, 'Info not available', -1)
GO
INSERT INTO $(CALM_SCHEMA).TESTSUITE_TIMESTAMP_EXT (TESTSUITE_ID, NAME, VAR) VALUES (-1, 'Info not available', GETDATE())
GO
INSERT INTO $(CALM_SCHEMA).EXECRES_STRING_EXT (EXECUTION_RESULT_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available')
GO
INSERT INTO $(CALM_SCHEMA).EXECRES_STRING_M_EXT (EXECUTION_RESULT_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available')
GO
INSERT INTO $(CALM_SCHEMA).EXECRES_INT_EXT (EXECUTION_RESULT_ID, NAME, VAR) VALUES (-1, 'Info not available', -1)
GO
INSERT INTO $(CALM_SCHEMA).EXECRES_TIMESTAMP_EXT (EXECUTION_RESULT_ID, NAME, VAR) VALUES (-1, 'Info not available', GETDATE())
GO
INSERT INTO $(CALM_SCHEMA).TESTSUITELOG_STRING_EXT (TESTSUITELOG_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available')
GO
INSERT INTO $(CALM_SCHEMA).TESTSUITELOG_STRING_M_EXT (TESTSUITELOG_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available')
GO
INSERT INTO $(CALM_SCHEMA).TESTSUITELOG_INT_EXT (TESTSUITELOG_ID, NAME, VAR) VALUES (-1, 'Info not available', -1)
GO
INSERT INTO $(CALM_SCHEMA).TESTSUITELOG_TIMESTAMP_EXT (TESTSUITELOG_ID, NAME, VAR) VALUES (-1, 'Info not available', GETDATE())
GO
INSERT INTO $(CALM_SCHEMA).ITERATION_EXEC_DETAIL (ITER_EXEC_DETAIL_ID) VALUES (-1)
GO
